<?php defined('BASEPATH') or exit('No direct script access allowed');
class Product extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		$this->load->model('admin/Product_model', 'product_model');
		$this->load->model('admin/Cart_model', 'cart_model');
		$this->load->model('Common_model', 'common');
		$this->load->library('pagination');
		$this->load->helper('common');
	}


	public function index()
	{
	   $data['productList'] = $this->Common_model->getRecords('fx_products',array('is_active'=>1)); 

		$this->load->view('common/header.php');
    	$this->load->view('productListing.php',$data);
    	$this->load->view('common/footer.php');
	}
	public function product_details()
	{

	    $seoUri = strip_tags(trim($this->uri->segment(2)));
	    $varientID = strip_tags(trim($this->uri->segment(3)));
	    $varientID = base64_decode($varientID);

		$data['products_details'] = $this->product_model->get_single_products($seoUri);
		$product_id= $data['products_details']['product_id'];
		$data['products_images'] = $this->common->getRecords('fx_product_images', array('product_id' => $product_id));

		$data['products_varient'] = $this->product_model->get_single_products_varient($product_id);

		// echo"<pre>";
		// print_r($data['products_varient']);exit;

		$data['varientPrice'] = $this->common->getRow('fx_product_varients', array('varient_id' => $varientID));

		

		 $this->load->view('common/header.php');
    	$this->load->view('product.php',$data);
    	$this->load->view('common/footer.php');
	}

	public function get_price_per_varient_new()
	{
		//die('aaa');
		$result = $this->db->get_where('fx_product_varients', array('varient_id' => $_POST['varient']))->row_array();
		echo "<pre>";print_r($result);exit;
		// $price = array('price' => $result['varient_price'] * ($_POST['number']), 'dprice' => $result['varient_dprice'] * ($_POST['number']));
		$price = array('price' => $result['varient_price'] * ($_POST['number']), 'ddprice' => $result['varient_dprice'] * ($_POST['number']) , 'dprice' => $result['varient_dprice']);

		$cookie_id = '';
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$stockQty = 0;
		$userId = $this->session->userdata('userID') ? $this->session->userdata('userID') : 0;
		$getStock = $this->db->get_where('fx_product_varients', array('varient_id' => $_POST['varient']))->row_array();
		if( $getStock['varient_stock'] == 0 )
		{
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['price'] = $price;
				echo json_encode($jsonData);
				exit;
		}else
		{
			if ($userId > 0) 
			{
				//if session exist
				$checkCart = $this->cart_model->checkCartProduct(0, $userId, $_POST['varient']); // checks if same product exists or not by userID
				if( !empty( $checkCart ) )
				{
						$stockQty = $checkCart['quantity'];
				}
			} else 
			{
				$checkCart = $this->cart_model->checkCart(0, $cookie_id, $_POST['varient']); // checks if same product exists or not by IP
				// echo "<pre>";print_r($checkCart);exit;
				if( !empty( $checkCart ) )
				{
						$stockQty = $checkCart['quantity'];
				}
			}
			
			$final = '';
			if ( $stockQty  == $getStock['varient_stock'] ) 
			{
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['price'] = $price;
				echo json_encode($jsonData);
				exit;
				// redirect( base_url('products/cart') );

			} else {

				$jsonData = array();
				$jsonData['instock'] = 1;
				$jsonData['price'] = $price;
				echo json_encode($jsonData);
				exit;
			}
		}
	}
	public function get_default_stock()
	{
		$cookie_id = '';
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$checkCart = array();
		$cartData = array();
		$varient_id = 0;
		$pid = $this->input->post('pid');
		$varient_id = $_POST['hidden_varient_id'];
		$price =$_POST['price'] ;
		$userId = 0;
		$quantity = $_POST['number'];
		$updatedQty = 0;
		$stockQty = 0;
		$userId = $this->session->userdata('userID') ? $this->session->userdata('userID') : 0;
		$getStock = $this->db->get_where('fx_product_varients', array('varient_id' => $varient_id))->row_array();
		
		if( $getStock['varient_stock'] == 0 )
		{
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['qty'] = 0;
				$jsonData['msg'] = 'Out of stock';
				echo json_encode($jsonData);
				exit;
		}else
		{
			if ($userId > 0) 
			{
				//if session exist
				$checkCart = $this->cart_model->checkCartProduct($pid, $userId, $varient_id); // checks if same product exists or not by userID
				if( !empty( $checkCart ) )
				{
						$stockQty = $checkCart['quantity'];
				}
			} else 
			{
				$checkCart = $this->cart_model->checkCart($pid, $cookie_id, $varient_id); // checks if same product exists or not by IP
				// echo "<pre>";print_r($checkCart);exit;
				if( !empty( $checkCart ) )
				{
						$stockQty = $checkCart['quantity'];
				}
			}
			
			$final = '';
			if ( $stockQty  == $getStock['varient_stock'] ) 
			{
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['msg'] =  'Only '.$getStock['varient_stock'].' of these available';
				echo json_encode($jsonData);
				exit;
				// redirect( base_url('products/cart') );

			}else if( $stockQty  > $getStock['varient_stock'] ){
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['msg'] =  'Only '.$getStock['varient_stock'].' of these available';
				echo json_encode($jsonData);
				exit;

			} else {

				$jsonData = array();
				$jsonData['instock'] = 1;
				echo json_encode($jsonData);
				exit;
			}
		}
	}

	public function checkCart()
	{
			$cookie_id = '';
			if (isset($_COOKIE['cart_id'])) {
				$cookie_id = $_COOKIE['cart_id'];
			} else {
				$cookie_id = '';
			}
			$checkCart = array();
			$cartData = array();
			$varient_id = 0;
			$pid = $this->input->post('pid');
			$varient_id = $this->input->post('varient_id');
			$price =$this->input->post('price');
			// $varient_id = $this->input->post('varient_id');
			// $price = $this->input->post('price');
			$userId = 0;
			$get_price = $this->product_model->get_varient_price($varient_id);
			$quantity = $this->input->post('number');
			$updatedQty = 0;
			$stockQty = 0;
			$stockMsg ='';
			$userId = $this->session->userdata('userID') ? $this->session->userdata('userID') : 0;
			
			$getStock = $this->db->get_where('fx_product_varients', array('varient_id' => $varient_id))->row_array();
			//echo"<pre>";
			//print_r($getStock);exit;

			if( $getStock['varient_stock'] == 0 )
			{
					$jsonData = array();
					$jsonData['instock'] = 0;
					$jsonData['qty'] = 0;
					$jsonData['msg'] = 'Out of stock';
					echo json_encode($jsonData);
					exit;
			}else{
				if ($userId > 0){
						//if session exist
					$checkCart = $this->cart_model->checkCartProduct($pid, $userId, $varient_id); // checks if same product exists or not by userID
					//echo"<pre>";print_r($checkCart);exit;
					if( !empty( $checkCart ) ){
						// echo "2";
						$stockQty = $checkCart['quantity'];
						$get_qty = 	$checkCart['quantity'];
						if( ( $checkCart['quantity'] + $quantity ) > $getStock['varient_stock']  ){
							$updatedQty = $getStock['varient_stock'];
							$stockMsg = 'Only '.$updatedQty.' of these available';
						}else{
							$updatedQty = $quantity + $get_qty; 
						}
					}else{
						// echo "3";
						 if( ( $quantity ) > $getStock['varient_stock']  ){
			                $updatedQty = $getStock['varient_stock'];
			            }else{
			                $updatedQty = $quantity;
			            }


							// $updatedQty = $quantity; 
					}
				} else {
					// echo "1";
					$checkCart = $this->cart_model->checkCart($pid, $cookie_id, $varient_id);
					// checks if same product exists or not by IP
					//  echo "<pre>";
					// echo 'fffffff';
					 // print_r($checkCart);exit;
					if( !empty( $checkCart ) ){
						// echo "2";
						$stockQty = $checkCart['quantity'];
						$get_qty = 	$checkCart['quantity'];
						if( ( $checkCart['quantity'] + $quantity ) > $getStock['varient_stock']  ){
							$updatedQty = $getStock['varient_stock'];
							$stockMsg = 'Only '.$updatedQty.' of these available';
						}else{
							$updatedQty = $quantity + $get_qty; 
						}
					}else{
						 //echo "3";
						if( ( $quantity ) > $getStock['varient_stock']  ){
			              $updatedQty = $getStock['varient_stock'];
			            }else{
			              $updatedQty = $quantity;
			            }
						
							// $updatedQty = $quantity; 
					}
				}
					// echo "4";exit;
					// echo "<pre>";print_r($checkCart);exit;
				$cartData = array(
					'product_id' => $pid,

					'cookie_id' => $cookie_id,

					'varient_id' => $varient_id,

					'price' => $price * (int)$updatedQty,

					'main_price' => $price,

					'quantity' => $updatedQty,

					'user_id' => $userId,

				);

				//echo "<pre>";print_r($cartData);exit;
				$final = '';
				if (empty($checkCart)) {
					// echo "<pre>";print_r($cartData);exit;
					$this->common->insertRecord('fx_cart', $cartData);

					if( $userId > 0 )
					{
						log_message('info', 'Varient Id : '.$varient_id.' added to cart by User. User id : '.$userId);
					}else
					{
						log_message('info', 'Varient Id : '.$varient_id.' added to cart by without login. Cookie id : '.$cookie_id);
					}
					// $this->cart_model->insertCart($cartData);
					// $this->activity_model->add_log(8);
					$final = cart();
					$jsonData = array();
					$jsonData['html'] = $final;
					$jsonData['count'] = cartCount();
					$jsonData['instock'] = 1;
					$jsonData['qty'] = $getStock['varient_stock'] - $updatedQty;
					$jsonData['msg'] = $stockMsg;

					echo json_encode($jsonData);
					exit;
					// redirect( base_url('products/cart') );

				} else {
					if( $userId > 0 )
					{
						log_message('info', 'Varient Id : '.$varient_id.' cart updated by User. User id : '.$userId);
					}else
					{
						log_message('info', 'Varient Id : '.$varient_id.' cart updated by without login. Cookie id : '.$cookie_id);
					}
					$this->common->db_update('fx_cart', $cartData, 'varient_id', $varient_id);
					// $this->activity_model->add_log(13);
					$final = cart();

					// redirect( base_url('products/cart') );

					$jsonData = array();
					$jsonData['html'] = $final;
					$jsonData['count'] = cartCount();
					$jsonData['instock'] = 1;
					$jsonData['qty'] = $getStock['varient_stock'] - $updatedQty;
					$jsonData['msg'] = $stockMsg;

					echo json_encode($jsonData);
					exit;
				}
			}
	}

public function showCart()
  {
    $cookie_id = '';
    if (isset($_COOKIE['cart_id'])) {
      $cookie_id = $_COOKIE['cart_id'];
    } else {
      $cookie_id = '';
    }
    
    $userId = $this->session->userdata('userID');

    $sessionIPAddr = array();
    if ($userId > 0) 
    {
      $this->db->distinct('varient_id');

            $this->db->select('*');
            $this->db->from('fx_cart');

            $this->db->where('user_id', $userId); 

                $q  =  $this->db->get()->result_array();

                // echo "<pre>";print_r($query);exit;
                if( !empty( $q )  )
                {
                    foreach ($q as $keyss => $values) 
                    {
                        
                        $getUniqueDatas  = $this->common->getRecords('fx_cart',array('varient_id'=>$values['varient_id'],'user_id'=>$userId ),'cart_id' );

                        if( !empty( $getUniqueDatas ) )
                        {
                            if( count( $getUniqueDatas ) > 1 )
                            {
                                $this->db->delete('fx_cart', array('cart_id' => $getUniqueDatas['cart_id'] ) );       
                            }
                        }
                    }
                }
    }




    if (!isset($userId)) {
      $showCart = $this->cart_model->showCart($cookie_id);
      
      // echo"<pre>";
      // print_r($cookie_id);
      // exit;
      $data['subtotal'] = $this->cart_model->getCartTotalPriceByIP($cookie_id);
       //echo "<pre>";print_r($showCart);exit;
    } else {

      $showCart = $this->cart_model->showCartByID($userId);
       //echo "<pre>";print_r($showCart);exit;
      $data['subtotal'] = $this->cart_model->getCartTotalPrice($userId);
    }

    if (!empty($showCart)) {

      foreach ($showCart as $values) {
        $implodedValue[] = $values['product_id'];
      }

      $implodedValue = implode(',', $implodedValue);

      // echo $implodedValue;
      if (!isset($userId)) {
        $data['productDetail'] = $this->cart_model->getProductsForCart($implodedValue, $cookie_id, '');
      } else {
        $data['productDetail'] = $this->cart_model->getProductsForCart($implodedValue, $cookie_id, $userId);
        // echo $this->db->last_query();
      }
      	//echo "<pre>";print_r( $data['productDetail']);exit;


      $data['balance'] =  $this->common->getRow('fx_users', array('id' => $userId), 'balance');
       //echo "<pre>";print_r($data['balance']);exit;
    } else {

      $data['productDetail'] = NULL;
    }
    $data['balance'] =  $this->common->getRow('fx_users', array('id' => $userId), 'balance');

    
    $this->load->view('common/header.php');
    $this->load->view('cart.php',$data);
    $this->load->view('common/footer.php');
  }

  public function deleteItemAjax()
	{
		checkCouponValidOrNot(); 
		// echo "<pre>";print_r($_POST);exit;
		$product_id = $this->input->post('product_id');
		$varient_id = $this->input->post('varient_id');
		$cookie_id = '';
		$IsFavorite = array();
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$user_id    =  !empty($this->session->userdata('userID')) ? $this->session->userdata('userID')  : 0;
		if ($user_id > 0) {
			if ($this->db->delete('fx_cart', array('product_id' => $product_id, 'user_id' => $user_id, 'varient_id' => $varient_id))) {
				
				echo json_encode(1);exit();
				// redirect($_SERVER['REQUEST_URI'], 'refresh'); 
			}
		} else {
			
			if ($this->db->delete('fx_cart', array('product_id' => $product_id, 'cookie_id' => $cookie_id, 'varient_id' => $varient_id))) {
				
				echo json_encode(1);exit();
				// redirect($_SERVER['REQUEST_URI'], 'refresh'); 
			}
		}
		// redirect(base_url('products/show_cart'),'refresh');
	}

	public function get_price_per_varient()
	{
		$result = $this->db->get_where('fx_product_varients', array('varient_id' => $this->input->post('varient_id')))->row_array();
		 //echo "<pre>";print_r($result);exit;
		// echo json_encode($result['varient_dprice'] * ($_POST['number']));
		// $array = array('price' => $result['varient_dprice'] * ($_POST['number']),'cart_price' => $result['varient_dprice'] );
		// $array = array('scratchprice' => $result['varient_price'] * ($_POST['number']),'price' => $result['varient_dprice'] * ($_POST['number']),'cart_price' => $result['varient_dprice'] );
		$array = array('scratchprice' => $result['varient_price'] * ($_POST['number']),'price' => $result['varient_dprice'] * ($_POST['number']),'cart_price' => $result['varient_dprice'] );
		echo json_encode( $array );
	}
	public function get_price_per_qty()
	{
		// echo "<pre>";print_r($_POST);exit;
		// echo ;exit;
		$result = $this->db->get_where('fx_product_varients', array('varient_id' => $_POST['varient_id']))->row_array();

		//

		$cookie_id = '';
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$pid = $_POST['product_id'];
		$action         =  isset( $_POST['action'] )  ? $_POST['action']  : 0; 
		$varient_id = $_POST['varient_id'];
		$price = $result['varient_dprice'];
		$quantity = $_POST['number_' . $varient_id];
		$userId = 0;
		$userId = $this->session->userdata('userID') ? $this->session->userdata('userID') : 0;
		$subTotal = 0;
		$basicTotal = 0;
		$shipping = 0.0;
		$grandTotal = 0.0;
		$total = array();
		$carry_sum = 0;
		$updatedQty = 0;
		$stockQty = 0;
		$stockMsg = '';
		$forward_qty = 0;
		$isCouponPerfect = 0;
		$show_wallet_price = 0;
		$getStock = $this->db->get_where('fx_product_varients', array('varient_id' => $varient_id))->row_array();
		//echo"<pre>";print_r($getStock);exit;
		if( $getStock['varient_stock'] == 0 )
		{
				$jsonData = array();
				$jsonData['instock'] = 0;
				$jsonData['qty'] = 0;
				$jsonData['msg'] = 'Out of stock';
				$jsonData['isCouponPerfect'] = $isCouponPerfect;

				echo json_encode($jsonData);
				exit;
		}else
		{
			if ($userId > 0) 
			{
					//if session exists
					$checkCart = $this->cart_model->checkCartProduct($pid, $userId, $varient_id); // checks if same product exists or not by userID
					if( !empty( $checkCart ) )
						{
							// echo "2";
								$stockQty = $checkCart['quantity'];
								$get_qty = 	$checkCart['quantity'];

								if( $action == 1  )
		            {   
		                $updatedQty = $action == 1 ? $get_qty - 1 : 1 + $get_qty;
		            }else
		            {
		                if( ( $checkCart['quantity'] + $quantity ) > $getStock['varient_stock']  )
		                {
		                    $updatedQty = $getStock['varient_stock'];
		                    $stockMsg = 'Only '.$updatedQty.' of these available';
		                }else
		                {
		                    // $updatedQty = $quantity + $get_qty; 
		                    $updatedQty = $action == 1 ? $get_qty - 1 : 1 + $get_qty;
		                } 
		            }




								// $updatedQty = $action == 1 ? $get_qty - 1 : 1 + $get_qty;
						}else
						{
							// echo "3";
							if( ( $quantity ) > $getStock['varient_stock']  )
		          {
		              $updatedQty = $getStock['varient_stock'];
		              $stockMsg = 'Product added to Cart Successfully. Only '.$updatedQty.' of these available';

		          }else
		          {
		              $updatedQty = $quantity;
		          }
								// $updatedQty = $quantity; 
						}
			}else 
			{
				$checkCart = $this->cart_model->checkCart($pid, $cookie_id, $varient_id); 
				//echo"<pre>";print_r($cookie_id);
				//echo"<pre>";print_r($checkCart);exit;// checks if same product exists or not by IP
				if( !empty( $checkCart ) )
				{
					// echo "2";
						$get_qty = 	$checkCart['quantity'];
						// $updatedQty = 1 + $get_qty; 
						// $updatedQty =  $action == 1 ? $get_qty - 1 : 1 + $get_qty;

						if( $action == 1  )
            {   
                $updatedQty = $action == 1 ? $get_qty - 1 : 1 + $get_qty;
            }else
            {
                if( ( $checkCart['quantity'] + $quantity ) > $getStock['varient_stock']  )
                {
                    $updatedQty = $getStock['varient_stock'];
                    $stockMsg = 'Only '.$updatedQty.' of these available';

                }else
                {
                    // $updatedQty = $quantity + $get_qty; 
                    $updatedQty = $action == 1 ? $get_qty - 1 : 1 + $get_qty;
                } 
            }
				}else
				{
					// echo "3";
						$updatedQty =  1; 
				}
			}

			$cartData = array(

				'product_id' => $pid,

				'cookie_id' => $cookie_id,

				'varient_id' => $varient_id,

				'price' => $price * $quantity,

				'main_price' => $price,

				'quantity' => $quantity,

				'user_id' => $userId,

			);
			//echo"<pre>";print_r($cartData);exit;
			if (empty($checkCart)) {
				$this->cart_model->insertCart($cartData);
				$forward_qty = $getStock['varient_stock'] - $updatedQty;
			} else {
				$this->common->db_update('fx_cart', $cartData, 'varient_id', $varient_id);
				$forward_qty = $getStock['varient_stock'] - $updatedQty;
			}

			if ($userId > 0) 
			{
				//if session exist
				$subTotal = $this->cart_model->getCartTotalPrice($userId);
			} else {
				$subTotal = $this->cart_model->getCartTotalPriceByIP($cookie_id);
			}

			//echo"<pre>";print_r($subTotal);exit;
			if (!empty($subTotal)) 
			{
				foreach ($subTotal as $value) 
				{	
	      		(int) $basicTotal = $value['price'];
						if( $this->session->userdata('coupon_name') != '' )
		        {
		        	if( $this->session->userdata('coupon_type') == 1 )
		          {
		              (int) $subTotal = $value['price'] - ( ( $this->session->userdata('coupon_percentage') / 100 ) * $value['price'] ) ; 
		          }else
		          {
		              (int) $subTotal = $value['price'] - $this->session->userdata('coupon_percentage') ; 
		          }
		        }else
		        {
			      		(int) $subTotal = $value['price'];
		        }
				}
				if ($subTotal <= 500 && $subTotal > 0) {
					$shipping = 80;
					$carry_sum = $subTotal + 80;
				}else
	      {
	          $carry_sum = $subTotal;
	      }



				$grandTotal = $subTotal + floatval($shipping);

				//echo"<pre>";print_r($grandTotal);exit;

				$total['total'] = $grandTotal;
					if( $userId > 0 )
					{
						$data['balance'] =  $this->Common_model->getRow('fx_users', array('id' => $userId), 'balance');

						$balance = $data['balance']['balance'];
						if($balance > $grandTotal)
	          {
	              $wallet_amt = $balance - $grandTotal;
	              if( $wallet_amt > 0 )
	              {
	                  $show_wallet_price = $grandTotal;
	                  $wallet_amt = 0;
	              }else
	              {
	                  $show_wallet_price = $grandTotal - $wallet_amt;
	                  $wallet_amt = $grandTotal;
	              }
	          }else if( $balance < $grandTotal )
	          {
	              $wallet_amt = $grandTotal - $balance;
	              if( $wallet_amt > 0 )
	              {
	                  $show_wallet_price = $grandTotal - $wallet_amt;
	              }else
	              {
	                  $show_wallet_price = $grandTotal;
	              }
	          }else 
	          {
	              $wallet_amt = $grandTotal - $balance;
	              if( $wallet_amt > 0 )
	              {
	                  $show_wallet_price = $grandTotal;
	              }else
	              {
	                  $show_wallet_price = $grandTotal - $wallet_amt;
	              }
	      
	          }
	        	$grandTotal =$wallet_amt;
					}
					

					$total['total'] = $grandTotal;

				$this->session->set_userdata($total);
			}
			$final = $this->cart();
			$jsonData = array();

			if( $this->session->userdata('coupon_name') != '' )
	    {	$isCouponPerfect = 1;
				if( $basicTotal  < $this->session->userdata('coupon_percentage') )
				{	
						$isCouponPerfect = 1;
					 	$session_array = array

	                            (

	                            'coupon_id',

	                            'coupon_name',

	                            'coupon_percentage',

	                            'coupon_type',

	                        );

	                        $this->session->unset_userdata($session_array);
				}
			}else
			{
				
				$isCouponPerfect = 0;
			}

			// echo "<pre>";print_r($result['varient_dprice']);exit;
			$data = array(
				'price' => $result['varient_dprice'] * ($_POST['number_' . $_POST['varient_id']]),
				'subTotal' => $subTotal,
				'basicTotal' => $basicTotal,
				'carry_sum' => $carry_sum,
				'shipping' => $shipping,
				'grandTotal' => $grandTotal,
				'html' => $final,
				'qty' => $forward_qty,
				'msg' => $stockMsg,
				'isCouponPerfect' => $isCouponPerfect,
				'wallet' => $show_wallet_price,
			);
			//echo "<pre>";print_r($data);exit;
			echo json_encode($data);
		}
	}

	public function cart()
	{
		//add to cart
		$cookie_id = '';
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$userId = $this->session->userdata('userID');
		if( !isset( $userId ) )
		{

			$this->db->distinct('varient_id');

	        $this->db->select('*');
	        $this->db->from('fx_cart');

	        $this->db->where('user_id', 0); 
	        $this->db->where('cookie_id', $cookie_id); 

	        $q  =  $this->db->get()->result_array();

	        // echo "<pre>";print_r($query);exit;
	        if( !empty( $q )  )
	        {
	            foreach ($q as $keyss => $values) 
	            {
	                
	                $getUniqueDatas  = $this->common->getRecords('fx_cart',array('varient_id'=>$values['varient_id'],'user_id'=>0,'cookie_id'=>$cookie_id ),'cart_id' );

	                if( !empty( $getUniqueDatas ) )
	                {
	                    if( count( $getUniqueDatas ) > 1 )
	                    {
	                        $this->db->delete('fx_cart', array('cart_id' => $getUniqueDatas[0]['cart_id'] ) );       
	                    }
	                }
	            }
	        }
		}
		// echo $userId;exit;
		// if( $userId  )
		// {
		// 	$sessionIPAddr = getCookie_id($cookie_id);
		// 	if ($sessionIPAddr['cookie_id'] === $cookie_id)
		// 	{
		// 		//if session ip address == local ipaddress update cart by entering the user id in the cart
		// 		$this->cart_model->updateCartID($userId, $cookie_id);
		// 		// $this->cart();
		// 	}
		// }
		$subTotal = 0;
		$shipping = 0.0;
		$grandTotal = 0.0;
		$total = array();
		$productDetail = array();
		if (!isset($userId)) {
			$showCart = $this->cart_model->showCart($cookie_id);
			$subTotal = $this->cart_model->getCartTotalPriceByIP($cookie_id);
		} else {
			$subTotal = $this->cart_model->getCartTotalPrice($userId);
			$showCart = $this->cart_model->showCartByID($userId);
			// echo "<pre>";print_r($showCart);exit;
		}

		if (!empty($subTotal)) {
			foreach ($subTotal as $value) {
				(int) $subTotal = $value['price'];
			}
			if ($subTotal <= 500 && $subTotal > 0) {
				$shipping = 80;
			}

			$grandTotal = $subTotal + floatval($shipping);

			$total['total'] = $grandTotal;

			$this->session->set_userdata($total);
		}
		if (!empty($showCart)) {

			foreach ($showCart as $values) {
				$implodedValue[] = $values['product_id'];
			}

			$implodedValue = implode(',', $implodedValue);

			//echo $implodedValue;
			if (!isset($userId)) 
			{
				$productDetail = $this->cart_model->getProductsForCart($implodedValue, $cookie_id, '');
				if( !empty( $productDetail ) )
        {
            foreach ($productDetail as $key => $val) 
            {
                if( $val['is_active'] == 0  )
                {
                    $this->db->delete('fx_cart', array('cart_id' => $val['cart_id']));
                }
            }
        }
			} else {
				$productDetail = $this->cart_model->getProductsForCart($implodedValue, $cookie_id, $userId);
				if( !empty( $productDetail ) )
        {
            foreach ($productDetail as $key => $val) 
            {
                if( $val['is_active'] == 0  )
                {
                    $this->db->delete('fx_cart', array('cart_id' => $val['cart_id']));
                }
            }
        }
			}
			// echo $this->db->last_query();

		} else {

			$productDetail = NULL;
		}
		$html = '';
		$html .= '<li>
                    <div class="widget_shopping_cart">
                      <div class="widget_shopping_cart_content">
                        <p class="woocommerce-mini-cart__total total">
                          <strong>Subtotal:</strong>
                          <span class="woocommerce-Price-amount amount">
                            <bdi>
                              <span class="woocommerce-Price-currencySymbol">₹
                              </span>' . $subTotal . '.00
                            </bdi>
                          </span>
                        </p>
                        <ul class="woocommerce-mini-cart cart_list product_list_widget ">';
		if (!empty($productDetail)) {
			foreach ($productDetail as $product) {
				// <a href="'.base_url().'products/deleteItem?id='.$product['product_id'].'&varient_id='.$product['varient_id'].'" class="remove remove_from_cart_button" aria-label="Remove this item" data-product_id="'.$product['varient_id'].'" data-cart_item_key="36660e59856b4de58a219bcf4e27eba3" data-product_sku="">×</a>
				$html .= '<li class="woocommerce-mini-cart-item mini_cart_item">
                            <a href="javascript:;">
                                <img width="270" height="270" src="' . base_url() . $product['image_title'] . '" class="attachment-woocommerce_thumbnail size-woocommerce_thumbnail">' . $product['product_title'] . '</a>
                                <span class="quantity">' . $product["quantity"] . ' × <span class="woocommerce-Price-amount amount"><bdi><span class="woocommerce-Price-currencySymbol">₹</span>' . $product["varient_dprice"] . '</bdi></span></span>
                                <a href="' . base_url() . 'products/deleteItem?id=' . $product['product_id'] . '&varient_id=' . $product['varient_id'] . '" class="remove remove_from_cart_button" aria-label="Remove this item" data-product_id="' . $product['varient_id'] . '" data-cart_item_key="36660e59856b4de58a219bcf4e27eba3" data-product_sku="">×</a>
                        </li>';
			}
		}
		$html .= '</ul>
                    <p class="woocommerce-mini-cart__buttons buttons"><a href="' . base_url('products/show_cart') . '" class="button wc-forward">View cart</a></p>

                  </div>
                </div>

            </li>';
		return $html;
		// $data['middleContent'] = 'cart';
		// $data['pageTitle'] = 'Products';

		// $this->load->view('front/common/template',$data);
	}
	public function checkCouponCode()
	{

		// echo "<pre>";
		// print_r($_POST['coupon']);exit;
		$couponName = $_POST['coupon'];
		$product_price = $_POST['product_price'];
		// $jsonData['status'] = 1;
		$jsonData = array();
		$currentDate = date('Y-m-d');
		$totalPayableStr = '';
		if ($couponName != '') {

			$isvalideCoupon = $this->common->getRow('fx_coupon', array('coupon_name' => $couponName, 'is_active' => '1'));

			if (!empty($isvalideCoupon)) {
				// Check Coupon Expired or not
				$isExpired = $this->common->getRow('fx_coupon', array('coupon_name' => $couponName, 'is_active' => '1', 'DATE(coupon_from_date)<=' => $currentDate, 'DATE(coupon_to_date)>=' => $currentDate));

				// Check Coupon Already Used or not
				$alreadyUsedCoupon = $this->common->getRecords('fx_used_coupon', array('coupon_name' => $couponName, 'user_id' => $this->session->userdata('userID')));
				// echo "<pre>";print_r(count($alreadyUsedCoupon));exit;
				if (!empty($alreadyUsedCoupon)  ) 
				{
				   
					if( $isvalideCoupon['coupon_limit'] == 1 )
					{ 
						// echo "Yes";
					    if( count($alreadyUsedCoupon)  == 1 )
					    {
					        $jsonData['status'] = 2;    
					    }else if (empty($isExpired)) 
    					{
								$jsonData['status'] = 3;
								// echo "Expire";
							} else if ( $product_price  <= $isvalideCoupon['coupon_percentage'] ) {
								$jsonData['status'] = 4;
								// echo "Price Big";
							} else {
							    // echo "No";
								$session_array = array(
									'coupon_id' => $isvalideCoupon['coupon_id'],
									'coupon_name' => $isvalideCoupon['coupon_name'],
									'coupon_percentage' => $isvalideCoupon['coupon_percentage'],
									'coupon_type' => $isvalideCoupon['coupon_type'],
									'coupon_limit' => $isvalideCoupon['coupon_limit'],
								);
								$this->session->set_userdata($session_array);
								$jsonData['status'] = 1;
							}
						
					}
				    //else	
					if( $isvalideCoupon['coupon_limit'] == 2 )
					{
						// echo "YesM";
						// $session_array = array(
    		// 				'coupon_id' => $isvalideCoupon['coupon_id'],
    		// 				'coupon_name' => $isvalideCoupon['coupon_name'],
    		// 				'coupon_percentage' => $isvalideCoupon['coupon_percentage'],
    		// 				'coupon_type' => $isvalideCoupon['coupon_type'],
    		// 				'coupon_limit' => $isvalideCoupon['coupon_limit'],
    		// 			);
    		// 			$this->session->set_userdata($session_array);
    		// 			$jsonData['status'] = 1;

    					if (empty($isExpired)) 
    					{
								$jsonData['status'] = 3;
								// echo "Expire";
							} else if ( $product_price  <= $isvalideCoupon['coupon_percentage'] ) {
								$jsonData['status'] = 4;
								// echo "Price Big";
							} else {
							    // echo "No";
								$session_array = array(
									'coupon_id' => $isvalideCoupon['coupon_id'],
									'coupon_name' => $isvalideCoupon['coupon_name'],
									'coupon_percentage' => $isvalideCoupon['coupon_percentage'],
									'coupon_type' => $isvalideCoupon['coupon_type'],
									'coupon_limit' => $isvalideCoupon['coupon_limit'],
								);
								$this->session->set_userdata($session_array);
								$jsonData['status'] = 1;
							}
					}
				} 
				else if (empty($isExpired)) {
					$jsonData['status'] = 3;
					// echo "Expire";
				} else if ( $product_price  <= $isvalideCoupon['coupon_percentage'] ) {
					$jsonData['status'] = 4;
					// echo "Price Big";
				} else {
				    // echo "No";
					$session_array = array(
						'coupon_id' => $isvalideCoupon['coupon_id'],
						'coupon_name' => $isvalideCoupon['coupon_name'],
						'coupon_percentage' => $isvalideCoupon['coupon_percentage'],
						'coupon_type' => $isvalideCoupon['coupon_type'],
						'coupon_limit' => $isvalideCoupon['coupon_limit'],
					);
					$this->session->set_userdata($session_array);
					$jsonData['status'] = 1;
				}
			} else {
				$jsonData['status'] = 0;
			}
		}
		// echo "<pre>";print_r($jsonData['status']);exit;
		echo json_encode($jsonData);
	}

	public function destroyCouponCode()
	{
		// echo "IN";exit;
		// if( $this->session->userdata('coupon_name') != '' )
  //   {
			$session_array = array(

	                            'coupon_id',

	                            'coupon_name',

	                            'coupon_percentage',

	                            'coupon_type',
	                            'coupon_limit',
	                        );

        $this->session->unset_userdata($session_array);
        
      	echo json_encode(0);
    // }
	}
	public function deleteItem()
	{
		checkCouponValidOrNot();
		$product_id = $this->input->get('id');
		$varient_id = $this->input->get('varient_id');
		$cookie_id = '';
		$IsFavorite = array();
		if (isset($_COOKIE['cart_id'])) {
			$cookie_id = $_COOKIE['cart_id'];
		} else {
			$cookie_id = '';
		}
		$user_id    =  !empty($this->session->userdata('userID')) ? $this->session->userdata('userID')  : 0;
		if ($user_id > 0) {
			if ($this->db->delete('fx_cart', array('product_id' => $product_id, 'user_id' => $user_id, 'varient_id' => $varient_id))) {
				redirect(base_url('cart'),'refresh');
			}
		} else {
			if ($this->db->delete('fx_cart', array('product_id' => $product_id, 'cookie_id' => $cookie_id, 'varient_id' => $varient_id))) {
				redirect(base_url('cart'),'refresh');
			}
		}
	}

	


	

}