<?php defined('BASEPATH') OR exit('No direct script access allowed');

class contact extends My_Controller {

	public function __construct() {

		parent::__construct();

		auth_check();

		$this->rbac->check_module_access();

	}

	public function index() {

	 	$page_data['title'] = 'contact List';

	 	$this->load->view('admin/includes/_header');

		$this->load->view('admin/contact/contact_list', $page_data);

	 	$this->load->view('admin/includes/_footer');

	 }

	
	public function datatable_json() {

		$records['data'] = $this->Common_model->getRecords('fx_contact', array());

		// print_r($records['data']);
		// die();

		$data = array();

		$i = 0;

		foreach ($records['data'] as $row){

			$data[] = array(

				++$i,

				// $row['fullname'] = $row['contact_formFname'] . ' ' . $row['contact_formLname'],

				$row['contactFrom'],

				$row['contactMobile'],

				$row['contactEmail'],

				$row['date'] = date('Y-m-d', strtotime($row['dateAdded'])),

			);

		}

		$records['data'] = $data;

		echo json_encode($records);

	}

	public function export_Contact(){

		$str = '';

		$html = '';

		$this->load->library('form_validation');

		$this->form_validation->set_rules('fromDate', 'From Date', 'required');

		$this->form_validation->set_rules('toDate', 'To Date', 'required');

		if ($this->form_validation->run()) {

			$FromDate = $this->input->post('fromDate');

			$ToDate = $this->input->post('toDate');

			$new_FromDate = date('Y-m-d', strtotime($FromDate));

			$new_ToDate = date('Y-m-d', strtotime($ToDate));

			// get data

			$this->db->select("contactFrom,contactMobile,contactEmail,contactMessage,dateAdded");

			$this->db->from("fx_contact");

			$this->db->where('DATE(dateAdded) >=', $new_FromDate);

			$this->db->where('DATE(dateAdded)  <=', $new_ToDate);

			$query = $this->db->get();

			$result = $query->result_array();
			
			if (empty($result))
			{
			   $this->session->set_flashdata('errors', 'There is no data between these two dates..!!');
			    redirect(base_url('admin/contact'), 'refresh');

			}
			else
			{

			$filename = 'contact_us_list_' . date('Y-m-d') . '.xls';

			$str .= ' <table cellspacing="1" cellpadding="7" border="1">


			<thead>

                        <tr>

                            <th>Contact Name</th>

                            <th>Contact Number</th>

                            <th>Contact Email</th>

                            <th>Contact Message</th>

                            <th>Date</th>

                        </tr>

                    </thead>

                    <tbody>';

                    foreach ($result as $key => $value) {

				// $value['fullname'] = $value['contact_formFname'] . ' ' . $value['contact_formLname'];

				$html .= '<tr>

        				<td>' . $value['contactFrom'] . '</td>

        				<td>' . $value['contactMobile'] . '</td>

        				<td>' . $value['contactEmail'] . '</td>

        				<td>' . $value['contactMessage'] . '</td>

        				<td>' . $value['dateAdded'] . '</td>


                       </tr>
        			

        	';

			}

			$finalContent = $str . $html . '</tbody></table>';

			header("Content-type: application/vnd.ms-excel; name='excel'");

			header("Content-Disposition: filename = " . $filename . "");

			header("Pragma: ");

			header("Cache-Control: ");

			echo $finalContent;

		} }else {

		$page_data['title'] = 'contact List';

	 	$this->load->view('admin/includes/_header');

		$this->load->view('admin/contact/contact_list', $page_data);
        //$this->load->view('admin/contact/contact_list');

	 	$this->load->view('admin/includes/_footer');

		}

	}





	

}
?>