<?php defined('BASEPATH') OR exit('No direct script access allowed');
class Coupon extends MY_Controller {

	public function __construct(){

		parent::__construct();
		auth_check(); // check login auth
		$this->rbac->check_module_access();

		$this->load->model('admin/Common_model', 'common');
	}

	//-----------------------------------------------------------
	public function index(){

		$this->load->view('admin/includes/_header');
		$this->load->view('admin/coupon/list');
		$this->load->view('admin/includes/_footer');
	}
	
	public function datatable_json(){				   					   
		$records['data']=$this->common->getCoupon();
		// echo "<pre>";print_r($records['data']);exit;
		$data = array();
		
		$i=0;
		$faqCategory = '';
		foreach ($records['data']   as $row) 
		{  
			$status = ($row['is_active'] == 1)? 'checked': '';
			$sign = $row['coupon_type'] == 1 ? $row['coupon_percentage']."%" : "₹".$row['coupon_percentage'];
			$data[]= array(
				++$i,
				$row['coupon_name'],
				$sign,
				$row['coupon_from_date'],	
				$row['coupon_to_date'],	
				'<div class="custom-control custom-switch">
        		<input type="checkbox" class="tgl_checkbox custom-control-input" id="cb_'.$row['coupon_id'].'" 
				data-id="'.$row['coupon_id'].'" 
				id="cb_'.$row['coupon_id'].'"
				'.$status.'><label class="custom-control-label" for="cb_'.$row['coupon_id'].'"></label></div>',	
				'
				<a title="Edit" class="update btn btn-success-rgba" href="'.base_url('admin/coupon/add_edit/'.$row['coupon_id']).'"> <i class="feather icon-edit-2"></i></a>
				<a title="Delete" class="delete btn btn-danger-rgba" href='.base_url("admin/coupon/delete/".$row['coupon_id']).' title="Delete" onclick="return confirm(\'Do you want to delete ?\')"> <i class="feather icon-trash"></i></a>'
			);
		}
		$records['data']=$data;
		echo json_encode($records);						   
	}

	
	function change_status()
	{   
		$update_array = array('is_active'=>$this->input->post('status'));
		$this->common->db_update('fx_coupon',$update_array, 'coupon_id',$this->input->post('id') );
	}

	

	public function add_edit($id = 0){

		$this->rbac->check_operation_access(); // check opration permission
		//$data['testimonial']=$this->common->getRow('fx_coupon',array('coupon_id'=>$id),'',array('coupon_id'=>'ASC'));
		// echo $id;exit;
		$data['coupon'] = $this->db->get_where('fx_coupon',array('coupon_id'=>$id))->row_array();
		// echo "<pre>";print_r( $data['coupon'] );exit;
		if(isset($data['coupon']['coupon_id']))
        {
			$original_value = $this->db->query("SELECT coupon_name FROM fx_coupon WHERE coupon_id = ".$id)->row()->coupon_name ;
		    if($this->input->post('coupon_name') != $original_value) {
		       $is_unique =  '|is_unique[fx_coupon.coupon_name]';
		    } else {
		       $is_unique =  '';
		    }
			$this->form_validation->set_rules('coupon_name', 'Coupon Name', 'trim|required|xss_clean'.$is_unique);
			$this->form_validation->set_rules('coupon_type', 'Coupon Type', 'trim|required');
			$this->form_validation->set_rules('coupon_percentage', 'Coupon Percentage', 'trim|required');
			$this->form_validation->set_rules('coupon_from_date', 'Coupon From Date', 'trim|required');
			$this->form_validation->set_rules('coupon_to_date', 'Coupon To Date', 'trim|required');
			$this->form_validation->set_rules('coupon_limit', 'Coupon Access', 'trim|required');
			if ($this->form_validation->run()) 
			{
				$update_array = array(
							'coupon_type' => $this->input->post('coupon_type'),
							'coupon_name' => strtoupper($this->input->post('coupon_name')),
							'coupon_percentage' => $this->input->post('coupon_percentage'),
							'coupon_from_date' => $this->input->post('coupon_from_date'),
							'coupon_to_date' => $this->input->post('coupon_to_date'),
							'coupon_limit' => $this->input->post('coupon_limit'),
							'updated_at' => date('Y-m-d : h:m:s'),
						);
				$update_array = $this->security->xss_clean($update_array);
				$result = $this->common->db_update('fx_coupon',$update_array, 'coupon_id',$id);
				// $result = $this->user_model->edit_user($data, $id);
				if($result){
					$this->session->set_flashdata('success', 'Coupon has been updated successfully!');
					redirect(base_url('admin/coupon'));
				}



			}
			else
			{
				$data['errors'] = validation_errors();
				$this->session->set_flashdata('errors', $data['errors']);
					
				$this->load->view('admin/includes/_header');
				$this->load->view('admin/coupon/add_edit', $data);
				$this->load->view('admin/includes/_footer');
			}
		}else
		{
			$this->form_validation->set_rules('coupon_name', 'Coupon Name', 'trim|required|is_unique[fx_coupon.coupon_name]');
			$this->form_validation->set_rules('coupon_type', 'Coupon Type', 'trim|required');
			$this->form_validation->set_rules('coupon_percentage', 'Coupon Percentage', 'trim|required');
			$this->form_validation->set_rules('coupon_from_date', 'Coupon From Date', 'trim|required');
			$this->form_validation->set_rules('coupon_to_date', 'Coupon To Date', 'trim|required');
			$this->form_validation->set_rules('coupon_limit', 'Coupon Access', 'trim|required');

			if ($this->form_validation->run())  
			{

				$data = array(
					'coupon_name' => strtoupper($this->input->post('coupon_name')),
					'coupon_type' => $this->input->post('coupon_type'),
					'coupon_percentage' => $this->input->post('coupon_percentage'),
					'coupon_from_date' => $this->input->post('coupon_from_date'),
					'coupon_to_date' => $this->input->post('coupon_to_date'),
					'coupon_limit' => $this->input->post('coupon_limit'),
					'created_at' => date('Y-m-d : h:m:s'),
				);
				$data = $this->security->xss_clean($data);
				$result = $this->common->db_add('fx_coupon',$data);
				if($result){


					$this->session->set_flashdata('success', 'Coupon has been added successfully!');
					redirect(base_url('admin/coupon'));
				}

				
			}
			else{
					$data = array(
							'errors' => validation_errors()
						);
				$this->session->set_flashdata('errors', $data['errors']);
				$this->load->view('admin/includes/_header');
				$this->load->view('admin/coupon/add_edit', $data);
				$this->load->view('admin/includes/_footer');
			}

		}
	}

	public function delete($id = 0)
	{
		$this->rbac->check_operation_access(); // check opration permission
		
		$this->db->delete('fx_coupon', array('coupon_id' => $id));


		$this->session->set_flashdata('success', 'FAQ has been deleted successfully!');
		redirect(base_url('admin/coupon'));
	}

}


?>