<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Page extends My_Controller {

	public function __construct() {
		parent::__construct();
		auth_check();
		$this->rbac->check_module_access();

	}
	function index() {

		$data['title'] = 'page List';
		$data['info'] = $this->Common_model->getRecords('fx_page', array('status' => 0), 'pageID,pageImg,pageTitle');
		$this->load->view('admin/includes/_header');
		$this->load->view('admin/page/list', $data);
		$this->load->view('admin/includes/_footer');
	}

	function add_edit() {

		//$this->rbac->check_operation_access(); // check opration permission
		$this->load->library('form_validation');
		$page_data = array();
		if ($this->input->post('submit')) {
			$this->form_validation->set_rules('pageTitle', 'Title', 'trim|required');
			$this->form_validation->set_rules('pageDescription', 'Description', 'trim|required');

			if ($this->form_validation->run() == FALSE) {
				$data = array(
					'errors' => validation_errors(),
				);
				$this->session->set_flashdata('errors', $data['errors']);
				$pageID = $_POST['pageID'];
				if ($_POST['pageID'] > 0) {
					redirect(base_url('admin/page/add_edit/' . $pageID . ''), 'refresh');
				} else {
					redirect(base_url('admin/page/add_edit'), 'refresh');
				}

			} else {
				if (isset($_POST) && !empty($_POST)) {
					$config = array(
						'upload_path' => 'uploads/static_pages/',

						'allowed_types' => 'jpg|jpeg|gif|png',

						'file_name' => rand(1, 9999),

						'max_size' => 0,

					);
					$this->load->library('upload',$config);

					if ($_FILES['pageImg']['name'] != '') {

						if ($this->upload->do_upload('pageImg')) {
							$dt = $this->upload->data();
							$_POST['pageImg'] = $dt['file_name'];
						} else {

							$_POST['pageImg'] = $_POST['old_pageImg'];
							$data['error'] = $this->upload->display_errors();
						}
					} else {
						$_POST['pageImg'] = $_POST['old_pageImg'];
						$data['error'] = $this->upload->display_errors();
					}
					/*$seoUri = makeSeoUri($this->input->post('pageTitle'));*/
					$params = array(
						/*'seoUri' => $seoUri,*/
						'pageImg' => $_POST['pageImg'],
						'pageTitle' => $this->input->post('pageTitle'),
						'heading' => $this->input->post('heading'),
						'pageDescription' => str_replace(['<p>', '</p>'],'',$this->input->post('pageDescription')),
						'pageDescriptionTwo' => str_replace(['<p>', '</p>'],'',$this->input->post('pageDescriptionTwo')),
						'pageDescriptionThree' => str_replace(['<p>', '</p>'],'',$this->input->post('pageDescriptionThree')),
						'pageDescriptionFour' => str_replace(['<p>', '</p>'],'',$this->input->post('pageDescriptionFour')),
						'pageSynopsis' => $this->input->post('pageSynopsis'),
						'seo_url' => $this->input->post('seo_url'),
						'metaTitle' => $this->input->post('metaTitle'),
						'metaDescription' => $this->input->post('metaDescription'),
						'metaKeyword' => $this->input->post('metaKeyword'),
						'dateModified' => date('Y-m-d h:i:s'),
						'dateAdded' => date('Y-m-d h:i:s'),
					);
					$pageID = $_POST['pageID'];
					if ($_POST['pageID'] > 0) {
						$where = ['pageID' => $pageID];
						$insert = $this->Common_model->updateRecord('fx_page', $params, $where);
						if ($insert) {
							$this->session->set_flashdata('success', 'Page Updated successfully!');
							redirect(base_url('admin/page/'));
						}
					} else {

						$insert = $this->Common_model->insertRecord('fx_page', $params);

						if ($insert) {
							$this->session->set_flashdata('success', 'Page Added successfully!');
							redirect(base_url('admin/page/'));
						}
					}

				} else {
					$this->session->set_flashdata('errors', 'Something is Wrong!!');
					redirect(base_url('admin/page/add_edit'), 'refresh');
				}
			}
		} else {

			$pageID = $this->uri->segment(4);
			if ($pageID > 0) {
				$page_data['Fetch_data'] = $this->Common_model->getRow('fx_page', array('pageID' => $pageID));
			} else {
				$page_data['Fetch_data'] = array();
			}
			$this->load->view('admin/includes/_header');
			$this->load->view('admin/page/add_edit', $page_data);
			$this->load->view('admin/includes/_footer');
		}

	}
	function view($pageID = '') {
		$page_data['Fetch_data'] = $this->Common_model->getRow('fx_page', array('pageID' => $pageID));
		// print_r($page_data);die();
		$this->load->view('admin/includes/_header');
		$this->load->view('admin/page/add_edit', $page_data);
		$this->load->view('admin/includes/_footer');
	}

	public function delete($pageID = '') {
		$this->rbac->check_operation_access(); // check opration permission

		$params = array('status' => 1);
		$where = ['pageID' => $pageID];
		$update = $this->Common_model->updateRecord('fx_page', $params, $where);
		$this->session->set_flashdata('success', 'Page has been deleted successfully!');
		redirect(base_url('admin/page'));
	}
	public function trash() {
		if (isset($_POST['multiple_delete'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$result = '';
					$cnt_checkbox_del = count($_POST['checkbox_del']);
					//echo $cnt_checkbox_del;die();
					for ($i = 0; $i < $cnt_checkbox_del; $i++) {

						$data = array('status' => 1);
						$where = ['pageID' => $_POST['checkbox_del'][$i]];
						$result = $this->Common_model->updateRecord('fx_page', $data, $where);
						//echo $this->db->last_query();die();
					}
					if ($result) {
						$this->session->set_flashdata('success', 'Records has been deleted!');
						redirect(base_url('admin/page'));
					}

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/page'));
				}
			} else {

				$this->session->set_flashdata('error', 'Select Record(s) to delete.');
				redirect(base_url('admin/page'));
			}
		}

		if (isset($_POST['multiple_delete_all'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$cnt_checkbox_del = count($_POST['checkbox_del']);

					for ($i = 0; $i < $cnt_checkbox_del; $i++) {
						$where = ['pageID' => $_POST['checkbox_del'][$i]];
						$this->Common_model->delete('fx_page', $where);
					}
					$this->session->set_flashdata('success', 'User has been Deleted Successfully.');
					redirect(base_url('admin/page/trash'));

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/page/trash'));
				}
			} else {

				$this->session->set_flashdata('error', 'Select Record(s) to delete.');
				redirect(base_url('admin/page/trash'));
			}
		}
		if (isset($_POST['multiple_restore'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$result = '';
					$cnt_checkbox_del = count($_POST['checkbox_del']);
					for ($i = 0; $i < $cnt_checkbox_del; $i++) {
						$data = array('status' => 0);
						$where = ['pageID' => $_POST['checkbox_del'][$i]];
						$result = $this->Common_model->updateRecord('fx_page', $data, $where);
					}
					if ($result) {
						$this->session->set_flashdata('success', 'Records has been restored successfully!');
						redirect(base_url('admin/page'));
					}

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/page'));
				}
			} else {
				$this->session->set_flashdata('error', 'Select Record(s) to restore.');
				redirect(base_url() . $this->uri->uri_string());
			}
		}
		$data['info'] = $this->Common_model->getRecords('fx_page', array('status' => 1));
		$data['title'] = 'page List';

		$this->load->view('admin/includes/_header');
		$this->load->view('admin/page/list', $data);
		$this->load->view('admin/includes/_footer');
	}
}