<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Products extends MY_Controller {

	public function __construct() {

		parent::__construct();

		auth_check(); // check login auth

		$this->rbac->check_module_access();

		$this->load->model('admin/Product_model', 'product_model');

		$this->load->model('admin/Common_model', 'common');

		$this->load->model('admin/Activity_model', 'activity_model');

		 $this->load->model('admin/Category_model', 'category');

	}

	//-----------------------------------------------------------

	public function index() {

		$result = $this->product_model->get_all_products();

		// echo "<pre>";print_r($result);exit;

		$this->load->view('admin/includes/_header');

		$this->load->view('admin/products/product_list');

		$this->load->view('admin/includes/_footer');

	}

	public function datatable_json() {

		// $records['data'] = $this->product_model->get_all_products_admin_datatable();
		$records['data'] = $this->product_model->get_all_products_admin_datatable_latest();

		// echo "<pre>";print_r($records['data']);exit;

		$data = array();

		$i = 0;

		foreach ($records['data'] as $row) {

			$status = ($row['is_active'] == 1) ? 'checked' : '';

			$data[] = array(

				++$i,

				'<img src="' . base_url() . $row['image_title'] . '" class="img-fluid" width="35" alt="product">'

				,

				$row['product_title'],
				
				$row['varient_full'],

				$row['varient_price'],

				$row['varient_dprice'],

				$row['varient_stock'],
				$row['xOrder'],

				'<div class="custom-control custom-switch">

        		<input type="checkbox" class="tgl_checkbox custom-control-input" id="cb_' . $row['product_id'] . '"

				data-id="' . $row['product_id'] . '"

				id="cb_' . $row['product_id'] . '"

				' . $status . '><label class="custom-control-label" for="cb_' . $row['product_id'] . '"></label></div>',

				// <a title="Edit" class="update btn btn-sm btn-warning" href="'.base_url('admin/products/edit/'.$row['product_id']).'"> <i class="fa fa-pencil-square-o"></i></a>

				

				// '<a title="View" class="view btn btn-sm btn-info" href="'.base_url('admin/products/edit/'.$row['product_id']).'"> <i class="fa fa-eye"></i></a>'

				'<a title="Edit" class="update btn btn-sm btn-warning" href="' . base_url('admin/products/edit/' . $row['product_id']) . '"> <i class="fa fa-pencil-square-o"></i></a>
				<a title="Delete" class="delete btn btn-sm btn-danger" href='.base_url("admin/products/delete/".$row['product_id']).' title="Delete" onclick="return confirm(\'Do you want to delete ?\')"> <i class="fa fa-trash-o"></i></a>
				',

			);

		}

		$records['data'] = $data;

		echo json_encode($records);

	}

	//-----------------------------------------------------------

	function change_status() {

		$this->product_model->change_status();

	}

	public function add() {

		// echo "<pre>";print_r($_POST);exit;
		$data_insert = array();
		$result = 0;
		$categoriesarr = $this->common->getRecords('fx_category', array( 'is_active' => 1 ));

		// $data['categories'] = $this->category->getTreeDD($categoriesarr, "category_id", "categoryTitle", "parent_id", '');

		 $data['categories'] = $this->common->getAllCategory();


		 // echo "<pre>";print_r($data['categories']);exit;

		$this->rbac->check_operation_access(); // check opration permission

		if ($this->input->post('submit')) {

			// $this->form_validation->set_rules('category_id', 'Product Category', 'trim|required');

			$this->form_validation->set_rules('product_title', 'Username', 'trim|required');

			$this->form_validation->set_rules('product_description', 'Product Description', 'trim|required');

			// $this->form_validation->set_rules('product_health_benefits', 'Lastname', 'trim|required');

			// $this->form_validation->set_rules('product_shelf_life', 'Shelf Life', 'trim|required');

			if ($this->form_validation->run()) {

				// echo "<pre>";print_r( $_FILES);exit;
				$return = array();
				$path = "uploads/products/";

				$config = array(
						'upload_path' => 'uploads/products/',
						'allowed_types' => 'jpg|jpeg|gif|png',
						'file_name' => rand(1, 9999),
						'max_size' => 0,

					);

				 $this->load->library('upload',$config);

				if ($_FILES['default_image']['name'] != '') 
				{

						if ($this->upload->do_upload('default_image')) {
							$dt = $this->upload->data();
							$_POST['default_image'] = $dt['file_name'];
						} else {

							$_POST['default_image'] = $_POST['old_default_image'];
							$data['error'] = $this->upload->display_errors();
						}
					} else {
						$_POST['default_image'] = $_POST['old_default_image'];
						$data['error'] = $this->upload->display_errors();
					}
					
					
					$new_seo;
   
   				$seoUri = makeSeoUri($this->input->post('blog_title'));
   
   				$check_seo = $this->Common_model->getRecords('fx_products',array('seoUri'=>$seoUri));
   
   				if(sizeof($check_seo) > 0){
   
   					$new_seo = $seoUri.rand(1,999);
   
   				}else{
   
   					$new_seo = $seoUri;
   
   				}


				$insert_array = array();
				 $seoUri = makeSeoUri($this->input->post('product_title'));

				$data_insert = array(
				    'seoUri' => $seoUri,

					 'category_id' => $this->input->post('category_id'),

					'product_title' => $this->input->post('product_title'),

					// 'isfeatured' => $this->input->post('isfeatured'),
					// 'isSuperDeal' => $this->input->post('isSuperDeal'),
					
					// 'isbestseller' => $this->input->post('isbestseller'),

					'product_description' => $this->input->post('product_description'),
					'product_short_description' => $this->input->post('product_short_description'),

					// 'product_health_benefits' => $this->input->post('product_health_benefits'),
					// 'helth_title' => $this->input->post('helth_title'),
					'addition_data_title_1' => $this->input->post('addition_data_title_1'),
					'addition_data_description_1' => $this->input->post('addition_data_description_1'),
					'addition_data_title_2' => $this->input->post('addition_data_title_2'),
					'addition_data_description_2' => $this->input->post('addition_data_description_2'),
					'addition_data_title_3' => $this->input->post('addition_data_title_3'),
					'addition_data_description_3' => $this->input->post('addition_data_description_3'),
					// 'addition_data_title_4' => $this->input->post('addition_data_title_4'),
					// 'addition_data_description_4' => $this->input->post('addition_data_description_4'),

					// 'product_shelf_life' => $this->input->post('product_shelf_life'),
					'xOrder' => $this->input->post('xOrder'),
					'link' => $this->input->post('link'),
					'metaTitle' => $this->input->post('metaTitle'),

					'metaKeyword' => $this->input->post('metaKeyword'),

					'metaDescription' => $this->input->post('metaDescription'),
 
					'default_image' => 'uploads/products/'.$_POST['default_image'],

					'created_at' => date('Y-m-d : h:m:s'),

					'updated_at' => date('Y-m-d : h:m:s'),

				);

				/*	echo "<pre>";
				print_r($data_insert);die();*/
				$data_insert = $this->security->xss_clean($data_insert);

				$result = $this->product_model->add_product($data_insert);

				$insert_array['product_id'] = $result;

				// echo "<pre>";print_r($_POST);exit;

				/************ Code By Gaurav 2022-02-15 *********/
				$productTag = $this->common->getRecords('fx_product_tag', array('productID' => $insert_array['product_id'] ));
				if(sizeof($productTag)>0)
				{
					$this->db->delete('fx_product_tag', array('productID' => $insert_array['product_id'])); 
					$productTagArr = explode(',',$this->input->post('productTags'));
					// $productTagInsData = array();
					foreach($productTagArr as $value)
					{
						$productTagInsData['productID'] = $insert_array['product_id'];
						$productTagInsData['tagName'] = $value;
						$productTagInsData['status'] = 1;
						$productTagInsData['dateAdded'] = date('Y-m-d H:i:s');
						$this->common->db_add('fx_product_tag', $productTagInsData);
					}
				}else
				{
					$productTagArr = explode(',',$this->input->post('productTags'));
					// $productTagInsData = array();
					foreach($productTagArr as $value)
					{
						$productTagInsData['productID'] = $insert_array['product_id'];
						$productTagInsData['tagName'] = $value;
						$productTagInsData['status'] = 1;
						$productTagInsData['dateAdded'] = date('Y-m-d H:i:s');
						$this->common->db_add('fx_product_tag', $productTagInsData);
					}
				}
				/************** End Code BY Gaurav 2022-02-15 *******/

				if (!empty($_FILES['image_title']['name'])) 
				{
					 $count = count($_FILES['image_title']['name']);
					// $this->functions->delete_file($old_logo);
					for ($i=0; $i < $count ; $i++)
                    { 
						// $result_img = $this->functions->file_insert_new($path, 'image_title', $i , 'image', '9097152');
						$filename = $_FILES['image_title']['name'][$i];
						$file_extension = strtolower(pathinfo($filename, PATHINFO_EXTENSION));
						$filesize = $_FILES['image_title']["size"][$i];	
						if($file_extension == 'jpg' || $file_extension == 'jpeg' || $file_extension == 'png' || $file_extension == 'gif')
						{
							if ($filesize <= 9097152) 
							{
								if ( ! file_exists(FCPATH.$path))
								{
									$create = mkdir(FCPATH.$path,0777,TRUE);
									if ( ! $create)
										return '';
								}

						        

								$new_filename= $this->rename_image($_FILES['image_title']['name'][$i]);

								if(move_uploaded_file(realpath($_FILES['image_title']['tmp_name'][$i]),$path.$new_filename))
								{
									$insert_array['image_title'] = $path.$new_filename;
									$insert = $this->common->db_add('fx_product_images', $insert_array);
								}

								else

								{

									$this->session->set_flashdata('error', 'Image not uploaded');

									redirect(base_url('admin/products/add'), 'refresh');

								} 
								
							}
							else
							{

								$size=$size/4024;

								$return['msg'] = 'File must be smaller then  '.$size.' KB';

								$return['status'] = 0;

								$this->session->set_flashdata('error', $return['msg']);

								redirect(base_url('admin/products/add'), 'refresh');
							}
						}
						else
						{
							$return['msg'] = 'File Must Be In jpg,jpeg,png,gif Format';

							$return['status'] = 0;

							$this->session->set_flashdata('error', $return['msg']);

							redirect(base_url('admin/products/add'), 'refresh');
						}
						
					}
				}

				
				


				if ($result > 0) {

					$number = count($_POST["name"]);

					if ($number > 0) {

						

						for ($i = 0; $i < $number; $i++) {

							if (trim($_POST["name"][$i] != '')) {

								$varient_array = array('product_id' => $result, 'varient_name' => $_POST["name"][$i], 'varient_type' => $_POST["type"][$i], 'varient_price' => $_POST["price"][$i], 'varient_dprice' => $_POST["dprice"][$i], 'varient_stock' => $_POST["varient_stock"][$i]);

								$varient_result = $this->common->db_add('fx_product_varients', $varient_array);

							}

						}

					}

					$this->session->set_flashdata('success', 'Product has been added successfully!');

					redirect(base_url('admin/products'));

				}

			} else {

				$this->load->view('admin/includes/_header');

				$this->load->view('admin/products/product_add', $data);

				$this->load->view('admin/includes/_footer');

			}

		} else {

			$this->load->view('admin/includes/_header');

			$this->load->view('admin/products/product_add', $data);

			$this->load->view('admin/includes/_footer');

		}

	}

	public function edit($id = 0){

		// $data['products'] = $this->product_model->get_single_products($id);
		$data['products'] = $this->product_model->get_single_products_new($id);
		$data['products_images'] = $this->common->getRecords('fx_product_images', array( 'product_id' => $id ),'',array('image_id' => "asc"));

		$data['products_tags'] = $this->common->getRecords('fx_product_tag', array( 'productID' => $id ),'tagName' );

		$data['varient'] = $this->product_model->get_varient_data($id);
		$categoriesarr = $this->common->getRecords('fx_category', '');
		$data['categorys'] = $this->common->getAllCategory();
		// $data['categorys'] = $this->Common_model->getRecords('fx_category',array('is_active'=>1));
//echo "<pre>";print_r($data['products']);exit;

		// $data['categories'] = $this->category->getTreeDD($categoriesarr, "category_id", "categoryTitle", "parent_id", $data['products']->category_id);

		$this->rbac->check_operation_access(); // check opration permission

		if ($this->input->post('submit')) {

			// $this->form_validation->set_rules('category_id', 'Product Category', 'trim|required');

			$this->form_validation->set_rules('product_title', 'Username', 'trim|required');

			$this->form_validation->set_rules('product_description', 'Product Description', 'trim|required');

			// $this->form_validation->set_rules('product_health_benefits', 'Lastname', 'trim|required');

			// $this->form_validation->set_rules('product_shelf_life', 'Shelf Life', 'trim|required');

			if ($this->form_validation->run()) {
				

				$path = "uploads/products/";

				$insert_array = array();

					$config = array(
						'upload_path' => 'uploads/products/',
						'allowed_types' => 'jpg|jpeg|gif|png',
						'file_name' => rand(1, 9999),
						'max_size' => 0,

					);

				// $this->upload->initialize($config);
					$this->load->library('upload',$config);


				if (!empty($_FILES['default_image']['name'][0]) )
				{

					if ($this->upload->do_upload('default_image')) 
					{
						$dt = $this->upload->data();
						$_POST['default_image'] = 'uploads/products/'.$dt['file_name'];
					} else 
					{

						$_POST['default_image'] = $_POST['old_default_image'];
						$data['error'] = $this->upload->display_errors();
					}
				} else {
					$_POST['default_image'] = $_POST['old_default_image'];
					
				}

				/************ Code By Gaurav 2022-02-15 *********/
				$productTag = $this->common->getRecords('fx_product_tag', array('productID' => $id ));
				if(sizeof($productTag) > 0)
				{
					$this->db->delete('fx_product_tag', array('productID' => $id)); 
					$productTagArr = explode(',',$this->input->post('productTags'));
					foreach($productTagArr as $value)
					{
						$productTagInsData['productID'] = $id;
						$productTagInsData['tagName'] = $value;
						$productTagInsData['status'] = 1;
						$productTagInsData['dateAdded'] = date('Y-m-d H:i:s');
						$this->common->db_add('fx_product_tag', $productTagInsData);
					}
				}else{
					$productTagArr = explode(',',$this->input->post('productTags'));
					foreach($productTagArr as $value)
					{
						$productTagInsData['productID'] = $id;
						$productTagInsData['tagName'] = $value;
						$productTagInsData['status'] = 1;
						$productTagInsData['dateAdded'] = date('Y-m-d H:i:s');
						$this->common->db_add('fx_product_tag', $productTagInsData);
					}
				}
				/************** End Code BY Gaurav 2022-02-15 *******/
				// if (!empty($_FILES['image_title']['name'])) {

				// 	// $this->functions->delete_file($old_logo);

				// 	$result = $this->functions->file_insert($path, 'image_title', 'image', '9097152');

				// 	if ($result['status'] == 1) {

				// 		$insert_array['image_title'] = $path . $result['msg'];

				// 	} else {

				// 		$this->session->set_flashdata('error', $result['msg']);

				// 		redirect(base_url('admin/products/product_edit'), 'refresh');

				// 	}

				// }

				// echo "<pre>";print_r( $_POST["name"] );exit; 
				 	// $seoUri = makeSeoUri($this->input->post('new'));

                	$new_seo;
   
   				$seoUri = makeSeoUri($this->input->post('product_title'));
   
   				$check_seo = $this->Common_model->getRecords('fx_products',array('seoUri'=>$seoUri));
   
   				if(sizeof($check_seo) > 0){
   
   					$new_seo = $seoUri.rand(1,999);
   
   				}else{
   
   					$new_seo = $seoUri;
   
   				}

				$data_insert = array(
				    'seoUri' => $seoUri,

					 'category_id' => $this->input->post('category_id'),

					'product_title' => $this->input->post('product_title'),

					// 'isfeatured' => $this->input->post('isfeatured'),
					// 'isSuperDeal' => $this->input->post('isSuperDeal'),
					// 'isbestseller' => $this->input->post('isbestseller'),

					'product_description' => $this->input->post('product_description'),
					'product_short_description' => $this->input->post('product_short_description'),

					// 'product_health_benefits' => $this->input->post('product_health_benefits'),

					// 'helth_title' => $this->input->post('helth_title'),
					'addition_data_title_1' => $this->input->post('addition_data_title_1'),
					'addition_data_description_1' => $this->input->post('addition_data_description_1'),
					'addition_data_title_2' => $this->input->post('addition_data_title_2'),
					'addition_data_description_2' => $this->input->post('addition_data_description_2'),
					'addition_data_title_3' => $this->input->post('addition_data_title_3'),
					'addition_data_description_3' => $this->input->post('addition_data_description_3'),
					// 'addition_data_title_4' => $this->input->post('addition_data_title_4'),
					// 'addition_data_description_4' => $this->input->post('addition_data_description_4'),
                    

					// 'product_shelf_life' => $this->input->post('product_shelf_life'),
					'xOrder' => $this->input->post('xOrder'),
					'link' => $this->input->post('link'),
					
					'metaTitle' => $this->input->post('metaTitle'),

					'metaKeyword' => $this->input->post('metaKeyword'),

					'metaDescription' => $this->input->post('metaDescription'),
					'default_image' => $_POST['default_image'],

					'created_at' => date('Y-m-d : h:m:s'),

					'updated_at' => date('Y-m-d : h:m:s'),

				);
				// echo"<pre>";
				// print_r($data_insert);exit;

				$data_insert = $this->security->xss_clean($data_insert);
				
				$result = $this->product_model->update_product($data_insert,$id);

					
				
				if ($result > 0) {




					$number = count($_POST["name"]);

					if ($number > 0) {

						// $insert_array['product_id'] = $id;

						
						// $this->common->db_update('fx_product_images', $insert_array,'image_id',$_POST["productImageID"]);

						for ($i = 0; $i < $number; $i++) {

							if (trim($_POST["name"][$i] != '')) {
								$getVarient = $this->common->getRow('fx_product_varients', array("varient_id"=>$_POST["varientID"][$i]));
								if($getVarient)
								{
									$varient_array = array('product_id' => $_POST['productID'], 'varient_name' => $_POST["name"][$i], 'varient_type' => $_POST["type"][$i], 'varient_price' => $_POST["price"][$i], 'varient_dprice' => $_POST["dprice"][$i], 'varient_stock' => $_POST["varient_stock"][$i]);
									// echo "<pre>";print_r($varient_array);exit; 
									$varient_result = $this->common->db_update('fx_product_varients', $varient_array,'varient_id',$_POST["varientID"][$i]);
								}else{
									$varient_array = array('product_id' => $_POST['productID'], 'varient_name' => $_POST["name"][$i], 'varient_type' => $_POST["type"][$i], 'varient_price' => $_POST["price"][$i], 'varient_dprice' => $_POST["dprice"][$i], 'varient_stock' => $_POST["varient_stock"][$i]);

									$varient_result = $this->common->db_add('fx_product_varients', $varient_array);
								}


								

							}

						}

						if ( isset($_FILES['image_title']['name']) && !empty($_FILES['image_title']['name'])) 
						{
							 $count = count($_FILES['image_title']['name']);
							// $this->functions->delete_file($old_logo);
							for ($i=0; $i < $count ; $i++)
		                    { 
								// $result_img = $this->functions->file_insert_new($path, 'image_title', $i , 'image', '9097152');
								$filename = $_FILES['image_title']['name'][$i];
								$file_extension = strtolower(pathinfo($filename, PATHINFO_EXTENSION));
								$filesize = $_FILES['image_title']["size"][$i];	
								if($file_extension == 'jpg' || $file_extension == 'jpeg' || $file_extension == 'png' || $file_extension == 'gif')
								{
									if ($filesize <= 9097152) 
									{
										if ( ! file_exists(FCPATH.$path))
										{
											$create = mkdir(FCPATH.$path,0777,TRUE);
											if ( ! $create)
												return '';
										}
										$new_filename= $this->rename_image($_FILES['image_title']['name'][$i]);
										if(move_uploaded_file(realpath($_FILES['image_title']['tmp_name'][$i]),$path.$new_filename))
										{
											$insert_array['product_id'] = $id;
											$insert_array['image_title'] = $path.$new_filename;
											$insert = $this->common->db_add('fx_product_images', $insert_array);
										}

										else

										{

											$this->session->set_flashdata('error', 'Image not uploaded');

											redirect(base_url('admin/products/edit/'.$id), 'refresh');

										} 
									}
									else
									{

										$size=$size/4024;

										$return['msg'] = 'File must be smaller then  '.$size.' KB';

										$return['status'] = 0;

										$this->session->set_flashdata('error', $return['msg']);

										redirect(base_url('admin/products/edit/'.$id), 'refresh');
									}
								}
								else
								{
									$return['msg'] = 'File Must Be In jpg,jpeg,png,gif Format';

									$return['status'] = 0;

									$this->session->set_flashdata('error', $return['msg']);

									redirect(base_url('admin/products/edit/'.$id), 'refresh');
								}
								
							}
						}

					}

					$this->session->set_flashdata('success', 'Product has been added successfully!');

					redirect(base_url('admin/products/edit/'.$_POST['productID']));

				}

			} else {

				$this->load->view('admin/includes/_header');

				$this->load->view('admin/products/product_edit', $data);

				$this->load->view('admin/includes/_footer');

			}

		} else {

			$this->load->view('admin/includes/_header');

			$this->load->view('admin/products/product_edit', $data);

			$this->load->view('admin/includes/_footer');

		}

	}

	public function delete($id = 0) {

		$this->rbac->check_operation_access(); // check opration permission

		if( $this->db->delete('fx_products', array('product_id' => $id)) )
		{
			if( $this->db->delete('fx_product_tag', array('productID' => $id)) )
			{
				 if( $this->db->delete('fx_product_varients', array('product_id' => $id)))
				 {
				 	$this->db->delete('fx_product_images', array('product_id' => $id));
				 }
			}
		}



		// Activity Log

		// $this->activity_model->add_log(3);

		$this->session->set_flashdata('success', 'Product has been deleted successfully!');

		redirect(base_url('admin/products'));

	}

	 public function delete_image($img_id,$product_id)
	 {

      	$data = $this->common->getRecords('fx_product_images','',array( 'image_id' => $img_id ) );
      	$this->db->delete('fx_product_images',array( 'image_id' => $img_id ));

       $imagePath="uploads/products/".$data[0]['image_title'];

       unlink($imagePath);

       redirect(base_url( 'admin/products/edit/'.$product_id ) );
    

    }

    public function delete_varient($varient_id,$product_id)
	 {

      	$this->db->delete('fx_product_varients',array( 'varient_id' => $varient_id ));

       redirect(base_url( 'admin/products/edit/'.$product_id ) );
    

    }

	public function getSubcategoryById() {
		$parent_id = $_POST['parent_id'];
		$result = $this->common->getSubcategoryById($parent_id);
		echo json_encode($result);
	}


	public function rename_image($img_name)
    {

        $randString = md5(time().$img_name);

        $fileName =$img_name;

        $splitName = explode(".", $fileName);

        $fileExt = end($splitName);

        return strtolower($randString.'.'.$fileExt);

    }


   	public function get_selected_address()
	{
		$data['result'] = $this->db->get_where('fx_shipping_address', array('shipping_address_id' => $_POST['shipping_address_id']))->row_array();

		// echo "<pre>";print_r($data);exit;
		// $this->output->set_output(json_encode($data));
		echo json_encode($data);
		exit;
	}

	public function update_shipping_address()
	{
		
		$data_ship = $this->common->getRow('fx_shipping_address',array( 'shipping_address_id' => $_POST['shipping_address_id'] ),'user_id' );
		// echo "<pre>";print_r($data_ship['user_id']);exit;
		if (isset($_POST)) {
			if ($_POST['shipping_address_id'] != '') {
				$shipping_array = array(
					'user_id' => $data_ship['user_id'],
					'f_name' => $_POST['f_name'],
					'l_name' => $_POST['l_name'],
					'company_name' => $_POST['company_name'],
					'country' => $_POST['country'],
					'street_address' => $_POST['street_address'],
					'address_type' => $_POST['address_type'],
					'city' => $_POST['city'],
					'state' => $_POST['state'],
					'postal_code' => $_POST['postal_code'],
					'email_id' => $_POST['email_id'],
					'contact_no' => $_POST['contact_no'],
					'updated_at' => date('Y-m-d'),
				);

				if ($this->common->db_update('fx_shipping_address', $shipping_array, 'shipping_address_id', $_POST['shipping_address_id'])) 
				{
					
					//echo $this->db->last_query();exit;
					echo json_encode(1);
				} else {
					echo json_encode(0);
				}
			} else {
				$shipping_array = array(
					'user_id' => $data_ship['user_id'],
					'f_name' => $_POST['f_name'],
					'l_name' => $_POST['l_name'],
					'company_name' => $_POST['company_name'],
					'country' => $_POST['country'],
					'street_address' => $_POST['street_address'],
					'address_type' => $_POST['address_type'],
					'city' => $_POST['city'],
					'state' => $_POST['state'],
					'postal_code' => $_POST['postal_code'],
					'email_id' => $_POST['email_id'],
					'contact_no' => $_POST['contact_no'],
					'default_checked' => 1,

					'created_at' => date('Y-m-d'),
				);
				if ($this->db->insert('fx_shipping_address', $shipping_array)) {
					echo json_encode(1);
				} else {
					echo json_encode(0);
				}
			}
		}
	}

	public function set_default_address()
	{
		// echo "<pre>";print_r($_POST);exit;
		$data_ship = $this->common->getRow('fx_shipping_address',array( 'shipping_address_id' => $_POST['shipping_address_id'] ) );
		$this->db->where('shipping_address_id', $_POST['shipping_address_id']);
		if ($this->db->update('fx_shipping_address', array('default_checked' => 1))) {
			$this->db->where('shipping_address_id !=', $_POST['shipping_address_id']);
			$this->db->where('user_id', $data_ship['user_id']);
			if ($this->db->update('fx_shipping_address', array('default_checked' => 0))) 
			{
				$order_shipping_array = array(
					'delivery_country' => $data_ship['country'],
					'delivery_street_address' => $data_ship['street_address'],
					'delivery_address_type' => $data_ship['address_type'],
					'delivery_city' => $data_ship['city'],
					'delivery_state' => $data_ship['state'],
					'delivery_postal_code' => $data_ship['postal_code'],
				);
					$this->common->db_update('orders', $order_shipping_array, 'user_id', $data_ship['user_id']);
				// echo $this->db->last_query();exit;
				echo json_encode(1);
			} else {
				echo json_encode(0);
			}
		}
	}
}

?>