<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
// -----------------------------------------------------------------------------
// Get Language by ID
function get_lang_name_by_id($id)
{
    $ci = & get_instance();
    $ci->db->where('id',$id);
    return $ci->db->get('fx_language')->row_array()['name'];
}
// -----------------------------------------------------------------------------
// Get Language Short Code
function get_lang_short_code($id)
{
    $ci = & get_instance();
    $ci->db->where('id',$id);
    return $ci->db->get('fx_language')->row_array()['short_name'];
}
// -----------------------------------------------------------------------------
// Get Language List
function get_language_list()
{
    $ci = & get_instance();
    $ci->db->where('status',1);
    return $ci->db->get('fx_language')->result_array();
}
// -----------------------------------------------------------------------------
// Get country list
function get_country_list()
{
    $ci = & get_instance();
    return $ci->db->get('fx_countries')->result_array();
}
// -----------------------------------------------------------------------------
// Get country name by ID
function get_country_name($id)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_countries', array('id' => $id))->row_array()['name'];
}
// -----------------------------------------------------------------------------
// Get City ID by Name
function get_country_id($title)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_countries', array('slug' => $title))->row_array()['id'];
}
// -----------------------------------------------------------------------------
// Get country slug
function get_country_slug($id)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_countries', array('id' => $id))->row_array()['slug'];
}
// -----------------------------------------------------------------------------
// Get country's states
function get_country_states($country_id)
{
    $ci = & get_instance();
    return $ci->db->select('*')->where('country_id',$country_id)->get('fx_states')->result_array();
}
// -----------------------------------------------------------------------------
// Get state's cities
function get_state_cities($state_id)
{
    $ci = & get_instance();
    return $ci->db->select('*')->where('state_id',$state_id)->get('fx_cities')->result_array();
}
// Get state name by ID
function get_state_name($id)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_states', array('id' => $id))->row_array()['name'];
}
// -----------------------------------------------------------------------------
// Get city name by ID
function get_city_name($id)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_cities', array('id' => $id))->row_array()['name'];
}
// -----------------------------------------------------------------------------
// Get city ID by title
function get_city_slug($id)
{
    $ci = & get_instance();
    return $ci->db->get_where('fx_cities', array('id' => $id))->row_array()['slug'];
}
/**
 * Generic function which returns the translation of input label in currently loaded language of user
 * @param $string
 * @return mixed
 */
function trans($string)
{
    $ci =& get_instance();
    return $ci->lang->line($string);
}
function remove_accents($string) {
    if (!preg_match('/[\x80-\xff]/', $string)) {
        return $string;
    }
    if (seems_utf8($string)) {
        $chars = array(
            // Decompositions for Latin-1 Supplement
            chr(195) . chr(128) => 'A', chr(195) . chr(129) => 'A',
            chr(195) . chr(130) => 'A', chr(195) . chr(131) => 'A',
            chr(195) . chr(132) => 'A', chr(195) . chr(133) => 'A',
            chr(195) . chr(135) => 'C', chr(195) . chr(136) => 'E',
            chr(195) . chr(137) => 'E', chr(195) . chr(138) => 'E',
            chr(195) . chr(139) => 'E', chr(195) . chr(140) => 'I',
            chr(195) . chr(141) => 'I', chr(195) . chr(142) => 'I',
            chr(195) . chr(143) => 'I', chr(195) . chr(145) => 'N',
            chr(195) . chr(146) => 'O', chr(195) . chr(147) => 'O',
            chr(195) . chr(148) => 'O', chr(195) . chr(149) => 'O',
            chr(195) . chr(150) => 'O', chr(195) . chr(153) => 'U',
            chr(195) . chr(154) => 'U', chr(195) . chr(155) => 'U',
            chr(195) . chr(156) => 'U', chr(195) . chr(157) => 'Y',
            chr(195) . chr(159) => 's', chr(195) . chr(160) => 'a',
            chr(195) . chr(161) => 'a', chr(195) . chr(162) => 'a',
            chr(195) . chr(163) => 'a', chr(195) . chr(164) => 'a',
            chr(195) . chr(165) => 'a', chr(195) . chr(167) => 'c',
            chr(195) . chr(168) => 'e', chr(195) . chr(169) => 'e',
            chr(195) . chr(170) => 'e', chr(195) . chr(171) => 'e',
            chr(195) . chr(172) => 'i', chr(195) . chr(173) => 'i',
            chr(195) . chr(174) => 'i', chr(195) . chr(175) => 'i',
            chr(195) . chr(177) => 'n', chr(195) . chr(178) => 'o',
            chr(195) . chr(179) => 'o', chr(195) . chr(180) => 'o',
            chr(195) . chr(181) => 'o', chr(195) . chr(182) => 'o',
            chr(195) . chr(182) => 'o', chr(195) . chr(185) => 'u',
            chr(195) . chr(186) => 'u', chr(195) . chr(187) => 'u',
            chr(195) . chr(188) => 'u', chr(195) . chr(189) => 'y',
            chr(195) . chr(191) => 'y',
            // Decompositions for Latin Extended-A
            chr(196) . chr(128) => 'A', chr(196) . chr(129) => 'a',
            chr(196) . chr(130) => 'A', chr(196) . chr(131) => 'a',
            chr(196) . chr(132) => 'A', chr(196) . chr(133) => 'a',
            chr(196) . chr(134) => 'C', chr(196) . chr(135) => 'c',
            chr(196) . chr(136) => 'C', chr(196) . chr(137) => 'c',
            chr(196) . chr(138) => 'C', chr(196) . chr(139) => 'c',
            chr(196) . chr(140) => 'C', chr(196) . chr(141) => 'c',
            chr(196) . chr(142) => 'D', chr(196) . chr(143) => 'd',
            chr(196) . chr(144) => 'D', chr(196) . chr(145) => 'd',
            chr(196) . chr(146) => 'E', chr(196) . chr(147) => 'e',
            chr(196) . chr(148) => 'E', chr(196) . chr(149) => 'e',
            chr(196) . chr(150) => 'E', chr(196) . chr(151) => 'e',
            chr(196) . chr(152) => 'E', chr(196) . chr(153) => 'e',
            chr(196) . chr(154) => 'E', chr(196) . chr(155) => 'e',
            chr(196) . chr(156) => 'G', chr(196) . chr(157) => 'g',
            chr(196) . chr(158) => 'G', chr(196) . chr(159) => 'g',
            chr(196) . chr(160) => 'G', chr(196) . chr(161) => 'g',
            chr(196) . chr(162) => 'G', chr(196) . chr(163) => 'g',
            chr(196) . chr(164) => 'H', chr(196) . chr(165) => 'h',
            chr(196) . chr(166) => 'H', chr(196) . chr(167) => 'h',
            chr(196) . chr(168) => 'I', chr(196) . chr(169) => 'i',
            chr(196) . chr(170) => 'I', chr(196) . chr(171) => 'i',
            chr(196) . chr(172) => 'I', chr(196) . chr(173) => 'i',
            chr(196) . chr(174) => 'I', chr(196) . chr(175) => 'i',
            chr(196) . chr(176) => 'I', chr(196) . chr(177) => 'i',
            chr(196) . chr(178) => 'IJ', chr(196) . chr(179) => 'ij',
            chr(196) . chr(180) => 'J', chr(196) . chr(181) => 'j',
            chr(196) . chr(182) => 'K', chr(196) . chr(183) => 'k',
            chr(196) . chr(184) => 'k', chr(196) . chr(185) => 'L',
            chr(196) . chr(186) => 'l', chr(196) . chr(187) => 'L',
            chr(196) . chr(188) => 'l', chr(196) . chr(189) => 'L',
            chr(196) . chr(190) => 'l', chr(196) . chr(191) => 'L',
            chr(197) . chr(128) => 'l', chr(197) . chr(129) => 'L',
            chr(197) . chr(130) => 'l', chr(197) . chr(131) => 'N',
            chr(197) . chr(132) => 'n', chr(197) . chr(133) => 'N',
            chr(197) . chr(134) => 'n', chr(197) . chr(135) => 'N',
            chr(197) . chr(136) => 'n', chr(197) . chr(137) => 'N',
            chr(197) . chr(138) => 'n', chr(197) . chr(139) => 'N',
            chr(197) . chr(140) => 'O', chr(197) . chr(141) => 'o',
            chr(197) . chr(142) => 'O', chr(197) . chr(143) => 'o',
            chr(197) . chr(144) => 'O', chr(197) . chr(145) => 'o',
            chr(197) . chr(146) => 'OE', chr(197) . chr(147) => 'oe',
            chr(197) . chr(148) => 'R', chr(197) . chr(149) => 'r',
            chr(197) . chr(150) => 'R', chr(197) . chr(151) => 'r',
            chr(197) . chr(152) => 'R', chr(197) . chr(153) => 'r',
            chr(197) . chr(154) => 'S', chr(197) . chr(155) => 's',
            chr(197) . chr(156) => 'S', chr(197) . chr(157) => 's',
            chr(197) . chr(158) => 'S', chr(197) . chr(159) => 's',
            chr(197) . chr(160) => 'S', chr(197) . chr(161) => 's',
            chr(197) . chr(162) => 'T', chr(197) . chr(163) => 't',
            chr(197) . chr(164) => 'T', chr(197) . chr(165) => 't',
            chr(197) . chr(166) => 'T', chr(197) . chr(167) => 't',
            chr(197) . chr(168) => 'U', chr(197) . chr(169) => 'u',
            chr(197) . chr(170) => 'U', chr(197) . chr(171) => 'u',
            chr(197) . chr(172) => 'U', chr(197) . chr(173) => 'u',
            chr(197) . chr(174) => 'U', chr(197) . chr(175) => 'u',
            chr(197) . chr(176) => 'U', chr(197) . chr(177) => 'u',
            chr(197) . chr(178) => 'U', chr(197) . chr(179) => 'u',
            chr(197) . chr(180) => 'W', chr(197) . chr(181) => 'w',
            chr(197) . chr(182) => 'Y', chr(197) . chr(183) => 'y',
            chr(197) . chr(184) => 'Y', chr(197) . chr(185) => 'Z',
            chr(197) . chr(186) => 'z', chr(197) . chr(187) => 'Z',
            chr(197) . chr(188) => 'z', chr(197) . chr(189) => 'Z',
            chr(197) . chr(190) => 'z', chr(197) . chr(191) => 's',
            // Euro Sign
            chr(226) . chr(130) . chr(172) => 'E',
            // GBP (Pound) Sign
            chr(194) . chr(163) => '');
        $string = strtr($string, $chars);
    } else {
        // Assume ISO-8859-1 if not UTF-8
        $chars['in'] = chr(128) . chr(131) . chr(138) . chr(142) . chr(154) . chr(158)
        . chr(159) . chr(162) . chr(165) . chr(181) . chr(192) . chr(193) . chr(194)
        . chr(195) . chr(196) . chr(197) . chr(199) . chr(200) . chr(201) . chr(202)
        . chr(203) . chr(204) . chr(205) . chr(206) . chr(207) . chr(209) . chr(210)
        . chr(211) . chr(212) . chr(213) . chr(214) . chr(216) . chr(217) . chr(218)
        . chr(219) . chr(220) . chr(221) . chr(224) . chr(225) . chr(226) . chr(227)
        . chr(228) . chr(229) . chr(231) . chr(232) . chr(233) . chr(234) . chr(235)
        . chr(236) . chr(237) . chr(238) . chr(239) . chr(241) . chr(242) . chr(243)
        . chr(244) . chr(245) . chr(246) . chr(248) . chr(249) . chr(250) . chr(251)
        . chr(252) . chr(253) . chr(255);
        $chars['out'] = "EfSZszYcYuAAAAAACEEEEIIIINOOOOOOUUUUYaaaaaaceeeeiiiinoooooouuuuyy";
        $string = strtr($string, $chars['in'], $chars['out']);
        $double_chars['in'] = array(chr(140), chr(156), chr(198), chr(208), chr(222), chr(223), chr(230), chr(240), chr(254));
        $double_chars['out'] = array('OE', 'oe', 'AE', 'DH', 'TH', 'ss', 'ae', 'dh', 'th');
        $string = str_replace($double_chars['in'], $double_chars['out'], $string);
    }
    return $string;
}
function seems_utf8($str) {
    $length = strlen($str);
    for ($i = 0; $i < $length; $i++) {
        $c = ord($str[$i]);
        if ($c < 0x80) {
            $n = 0;
        }
        # 0bbbbbbb
        elseif (($c & 0xE0) == 0xC0) {
            $n = 1;
        }
        # 110bbbbb
        elseif (($c & 0xF0) == 0xE0) {
            $n = 2;
        }
        # 1110bbbb
        elseif (($c & 0xF8) == 0xF0) {
            $n = 3;
        }
        # 11110bbb
        elseif (($c & 0xFC) == 0xF8) {
            $n = 4;
        }
        # 111110bb
        elseif (($c & 0xFE) == 0xFC) {
            $n = 5;
        }
        # 1111110b
        else {
            return false;
        }
        # Does not match any model
        for ($j = 0; $j < $n; $j++) {
            # n bytes matching 10bbbbbb follow ?
            if ((++$i == $length) || ((ord($str[$i]) & 0xC0) != 0x80)) {
                return false;
            }
        }
    }
    return true;
}
function utf8_uri_encode($utf8_string, $length = 0) {
    $unicode = '';
    $values = array();
    $num_octets = 1;
    $unicode_length = 0;
    $string_length = strlen($utf8_string);
    for ($i = 0; $i < $string_length; $i++) {
        $value = ord($utf8_string[$i]);
        if ($value < 128) {
            if ($length && ($unicode_length >= $length)) {
                break;
            }
            $unicode .= chr($value);
            $unicode_length++;
        } else {
            if (count($values) == 0) {
                $num_octets = ($value < 224) ? 2 : 3;
            }
            $values[] = $value;
            if ($length && ($unicode_length + ($num_octets * 3)) > $length) {
                break;
            }
            if (count($values) == $num_octets) {
                if ($num_octets == 3) {
                    $unicode .= '%' . dechex($values[0]) . '%' . dechex($values[1]) . '%' . dechex($values[2]);
                    $unicode_length += 9;
                } else {
                    $unicode .= '%' . dechex($values[0]) . '%' . dechex($values[1]);
                    $unicode_length += 6;
                }
                $values = array();
                $num_octets = 1;
            }
        }
    }
    return $unicode;
}
function makeSeoUri($courseTitle) {
    $data = array();
    $CI = get_instance();
   // $title = $subjectData['subjectTitle'].' '.$courseTitle;
    $title = $courseTitle;
    $courseTitle = strtolower(str_replace(" ", "-", $title));
    $title = strip_tags($title);
    // Preserve escaped octets.
    $title = preg_replace('|%([a-fA-F0-9][a-fA-F0-9])|', '---$1---', $title);
    // Remove percent signs that are not part of an octet.
    $title = str_replace('%', '', $title);
    // Restore octets.
    $title = preg_replace('|---([a-fA-F0-9][a-fA-F0-9])---|', '%$1', $title);
    $title = remove_accents($title);
    if (seems_utf8($title)) {
        if (function_exists('mb_strtolower')) {
            $title = mb_strtolower($title, 'UTF-8');
        }
        $title = utf8_uri_encode($title, 200);
    }
    $title = strtolower($title);
    $title = preg_replace('/&.+?;/', '', $title); // kill entities
    $title = str_replace('.', '-', $title);
    $title = preg_replace('/[^%a-z0-9 _-]/', '', $title);
    $title = preg_replace('/\s+/', '-', $title);
    $title = preg_replace('|-+|', '-', $title);
    $title = trim($title, '-');
    //echo $title;die();
    $seoUri = $title;
    return $seoUri;
}
/*..........You May Like Product Function Code Start........................*/
function get_you_may_like_products($LikeArray)
{
    $html = '';
    $CI = get_instance();
    if (!empty($LikeArray)) {
        foreach ($LikeArray as $value) {
            $html .= '<li>
                    <div class="ap-prod-wrp col-100 floatLft relative">
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-image"><img src="' . base_url('uploads/products/') . $value['image'] . '" alt=""></div></a>
                        <p class="ap-prod-cat col-100 floatLft">'. strip_tags($value['heading']) . '</p>
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-name col-100 floatLft">'. $value['product_title'] . '</div></a>
                        <div class="ap-star-wrp col-100 floatLft">
                            <span class="star-cb-group">
                                <input type="radio" id="rating-5" name="rating" value="5" checked disabled /><label for="rating-5">5</label>
                                <input type="radio" id="rating-4" name="rating" value="4" disabled /><label for="rating-4">4</label>
                                <input type="radio" id="rating-3" name="rating" value="3" disabled /><label for="rating-3">3</label>
                                <input type="radio" id="rating-2" name="rating" value="2" disabled /><label for="rating-2">2</label>
                                <input type="radio" id="rating-1" name="rating" value="1" disabled /><label for="rating-1">1</label>
                                <input type="radio" id="rating-0" name="rating" value="0" class="star-cb-clear"  /><label for="rating-0">0</label>
                            </span>
                            <p>5.0</p>
                        </div>
                        <div class="ap-price flexDisplay justifySpace alignCenter col-100 floatLft">
                            <span class="ap-amt">₹'. $value['varient_dprice'] . '/-</span>
                            <span class="ap-quantity">'. $value['varient_name'] .' '. $value['varient_type'] . '</span>
                        </div>
                        <div class="ap-cart-add col-100 floatLft flexDisplay justifySpace alignCenter">
                            <a href="javascript:;" class="ap-cart-click">+ Add to Basket</a>
                            <div class="ap-prod-count">
                                <div class="ap-prodcnt-inner product-count">
                                    <button class="button-count no-active" onClick="decreaseCount(event, this)">-</button>
                                    <input type="text" readonly class="number-product" value="1">
                                    <button class="button-count" onClick="increaseCount(event, this)">+</button>
                                </div>
                            </div>
                            <a href="javascript:;" class="ap-wishlist-click">
                                <svg width="19" height="16" viewBox="0 0 19 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M9.75508 14.8116L16.2186 8.30416C17.8066 6.69739 18.038 4.07031 16.5378 2.39123C16.1616 1.96809 15.7036 1.62663 15.1919 1.3877C14.6802 1.14878 14.1254 1.01741 13.5616 1.00162C12.9977 0.985825 12.4365 1.08595 11.9124 1.29587C11.3883 1.50578 10.9122 1.82109 10.5132 2.22252L9.30024 3.4517L8.2549 2.39123C6.65896 0.792485 4.0496 0.559503 2.38184 2.06987C1.96156 2.44866 1.6224 2.90974 1.38509 3.42495C1.14777 3.94015 1.01729 4.49866 1.0016 5.06636C0.985921 5.63405 1.08537 6.199 1.29387 6.72669C1.50237 7.25438 1.81555 7.73373 2.21427 8.13545L8.8454 14.8116C8.96643 14.9323 9.12989 15 9.30024 15C9.47059 15 9.63405 14.9323 9.75508 14.8116V14.8116Z" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                </li>';
        }
    }
    return $html;
}
/*..........You May Like Product Function Code Start........................*/
/*.................Category Deatil Page Function Code Start......*/
function categoryDetailPageProducts($AllProduct)
{
    $CI = get_instance();
        $html = '';
        $new = '';
        $discount ='';
        $discountSpan ='';
    if (!empty($AllProduct)) {

        foreach ($AllProduct as $value) {
            if($value['varient_price'] >0 || $value['varient_dprice'] > 0 )
            {
                $discount = 100 *($value['varient_price']-$value['varient_dprice'])/$value['varient_price'];
                if($discount > 0){
                    $discountSpan ='<span class="ap-tag-lab absolute ap-disc-lab">'.round($discount).'%</span>';
                }else{
                    $discountSpan ='';
                }
            }
            if($value['is_new'] ==1){
                $new = '<span class="ap-tag-lab absolute ap-new-lab">New</span>';
            }else{
                $new = '';
            }
            $html .= '<li>
                    <div class="ap-prod-wrp col-100 floatLft relative">
                      <div class="newDiffer">
                        '.$discountSpan.'
                        '.$new.'
                        </div>
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-image"><img src="' . base_url('uploads/products/') . $value['image'] . '" alt=""></div></a>
                        <p class="ap-prod-cat col-100 floatLft">'. strip_tags($value['heading']) . '</p>
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-name col-100 floatLft">'. $value['product_title'] . '</div></a>
                        <div class="ap-star-wrp col-100 floatLft">
                            <span class="star-cb-group">
                                <input type="radio" id="rating-5" name="rating" value="5" checked disabled /><label for="rating-5">5</label>
                                <input type="radio" id="rating-4" name="rating" value="4" disabled /><label for="rating-4">4</label>
                                <input type="radio" id="rating-3" name="rating" value="3" disabled /><label for="rating-3">3</label>
                                <input type="radio" id="rating-2" name="rating" value="2" disabled /><label for="rating-2">2</label>
                                <input type="radio" id="rating-1" name="rating" value="1" disabled /><label for="rating-1">1</label>
                                <input type="radio" id="rating-0" name="rating" value="0" class="star-cb-clear"  /><label for="rating-0">0</label>
                            </span>
                            <p>5.0</p>
                        </div>
                        <div class="ap-price flexDisplay justifySpace alignCenter col-100 floatLft">
                            <span class="ap-amt">₹'. $value['varient_dprice'] . '/-</span>
                            <span class="ap-quantity">'. $value['varient_name'] .' '. $value['varient_type'] . '</span>
                        </div>
                        <div class="ap-cart-add col-100 floatLft flexDisplay justifySpace alignCenter">
                            <a href="javascript:;" class="ap-cart-click">+ Add to Basket</a>
                            <div class="ap-prod-count">
                                <div class="ap-prodcnt-inner product-count">
                                    <button class="button-count no-active" onClick="decreaseCount(event, this)">-</button>
                                    <input type="text" readonly class="number-product" value="1">
                                    <button class="button-count" onClick="increaseCount(event, this)">+</button>
                                </div>
                            </div>
                            <a href="javascript:;" class="ap-wishlist-click">
                                <svg width="19" height="16" viewBox="0 0 19 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M9.75508 14.8116L16.2186 8.30416C17.8066 6.69739 18.038 4.07031 16.5378 2.39123C16.1616 1.96809 15.7036 1.62663 15.1919 1.3877C14.6802 1.14878 14.1254 1.01741 13.5616 1.00162C12.9977 0.985825 12.4365 1.08595 11.9124 1.29587C11.3883 1.50578 10.9122 1.82109 10.5132 2.22252L9.30024 3.4517L8.2549 2.39123C6.65896 0.792485 4.0496 0.559503 2.38184 2.06987C1.96156 2.44866 1.6224 2.90974 1.38509 3.42495C1.14777 3.94015 1.01729 4.49866 1.0016 5.06636C0.985921 5.63405 1.08537 6.199 1.29387 6.72669C1.50237 7.25438 1.81555 7.73373 2.21427 8.13545L8.8454 14.8116C8.96643 14.9323 9.12989 15 9.30024 15C9.47059 15 9.63405 14.9323 9.75508 14.8116V14.8116Z" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                </li>';
        }
    }
    return $html;
}
/*.................Category Deatil Page Function Code End......*/
/*.................Product Page Category Vise Product Code Start..............*/
function getCategoryViseProucts($cat_id)
{
    $html = '';
    $new = '';
    $discount ='';
    $discountSpan ='';
    $CI = get_instance();
    $popular_product=$CI->Common_model->CategoryViseProucts($cat_id);

    if (sizeof($popular_product) > 0) {

        foreach ($popular_product as $value) {
            if($value['varient_price'] >0 || $value['varient_dprice'] > 0 )
            {
                $discount = 100 *($value['varient_price']-$value['varient_dprice'])/$value['varient_price'];
                if($discount > 0){
                    $discountSpan ='<span class="ap-tag-lab absolute ap-disc-lab">'.round($discount).'%</span>';
                }else{
                    $discountSpan ='';
                }
            }
            if($value['is_new'] ==1){
                $new = '<span class="ap-tag-lab absolute ap-new-lab">New</span>';
            }else{
                $new = '';
            }
            $html .= '<li>
                    <div class="ap-prod-wrp col-100 floatLft relative">
                        <div class="newDiffer">
                            '.$discountSpan.'
                            '.$new.'
                        </div>
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-image"><img src="' . base_url('uploads/products/') . $value['image'] . '" alt=""></div></a>
                        <p class="ap-prod-cat col-100 floatLft">'. strip_tags($value['heading']) . '</p>
                         <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-name col-100 floatLft">'. $value['product_title'] . '</div></a>
                        <div class="ap-star-wrp col-100 floatLft">
                            <span class="star-cb-group">
                                <input type="radio" id="rating-5" name="rating" value="5" checked disabled /><label for="rating-5">5</label>
                                <input type="radio" id="rating-4" name="rating" value="4" disabled /><label for="rating-4">4</label>
                                <input type="radio" id="rating-3" name="rating" value="3" disabled /><label for="rating-3">3</label>
                                <input type="radio" id="rating-2" name="rating" value="2" disabled /><label for="rating-2">2</label>
                                <input type="radio" id="rating-1" name="rating" value="1" disabled /><label for="rating-1">1</label>
                                <input type="radio" id="rating-0" name="rating" value="0" class="star-cb-clear"  /><label for="rating-0">0</label>
                            </span>
                            <p>5.0</p>
                        </div>
                        <div class="ap-price flexDisplay justifySpace alignCenter col-100 floatLft">
                            <span class="ap-amt">₹'. $value['varient_dprice'] . '/-</span>
                            <span class="ap-quantity">'. $value['varient_name'] .' '. $value['varient_type'] . '</span>
                        </div>
                        <div class="ap-cart-add col-100 floatLft flexDisplay justifySpace alignCenter">
                            <a href="javascript:;" class="ap-cart-click">+ Add to Basket</a>
                            <div class="ap-prod-count">
                                <div class="ap-prodcnt-inner product-count">
                                    <button class="button-count no-active" onClick="decreaseCount(event, this)">-</button>
                                    <input type="text" readonly class="number-product" value="1">
                                    <button class="button-count" onClick="increaseCount(event, this)">+</button>
                                </div>
                            </div>
                            <a href="javascript:;" class="ap-wishlist-click">
                                <svg width="19" height="16" viewBox="0 0 19 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M9.75508 14.8116L16.2186 8.30416C17.8066 6.69739 18.038 4.07031 16.5378 2.39123C16.1616 1.96809 15.7036 1.62663 15.1919 1.3877C14.6802 1.14878 14.1254 1.01741 13.5616 1.00162C12.9977 0.985825 12.4365 1.08595 11.9124 1.29587C11.3883 1.50578 10.9122 1.82109 10.5132 2.22252L9.30024 3.4517L8.2549 2.39123C6.65896 0.792485 4.0496 0.559503 2.38184 2.06987C1.96156 2.44866 1.6224 2.90974 1.38509 3.42495C1.14777 3.94015 1.01729 4.49866 1.0016 5.06636C0.985921 5.63405 1.08537 6.199 1.29387 6.72669C1.50237 7.25438 1.81555 7.73373 2.21427 8.13545L8.8454 14.8116C8.96643 14.9323 9.12989 15 9.30024 15C9.47059 15 9.63405 14.9323 9.75508 14.8116V14.8116Z" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                </li>';
        }
    }
    return $html;
}
/*.................Product Page Category Vise Product Code End..............*/
function fetchHomePopularProducts()
{
    $CI = get_instance();
    $popular_product=$CI->Common_model->HomePopularProducts();

    if (!empty($popular_product)) {
        $html = '';
        $new = '';
        $discount ='';
        $discountSpan ='';
        foreach ($popular_product as $value) {
           if($value['varient_price'] > 0 || $value['varient_dprice'] > 0 )
            {
                $discount = 100 *($value['varient_price']-$value['varient_dprice'])/$value['varient_price'];
                if($discount > 0){
                    $discountSpan ='<span class="ap-tag-lab absolute ap-disc-lab">'.round($discount).'%</span>';
                }else{
                    $discountSpan ='';
                }
            }
            if($value['is_new'] ==1){
                $new = '<span class="ap-tag-lab absolute ap-new-lab">New</span>';
            }else{
                $new = '';
            }
            $html .= '<li>
                    <div class="ap-prod-wrp col-100 floatLft relative">
                        <div class="newDiffer">
                             '.$discountSpan.'
                            '.$new.'
                        </div>
                        <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-image"><img src="' . base_url('uploads/products/') . $value['image'] . '" alt=""></div></a>
                        <p class="ap-prod-cat col-100 floatLft">'. strip_tags($value['heading']) . '</p>
                       <a href="'.base_url().'product-details/'.$value['seoUri'].'"><div class="ap-prod-name col-100 floatLft">'. $value['product_title'] . '</div></a>
                        <div class="ap-star-wrp col-100 floatLft">
                            <span class="star-cb-group">
                                <input type="radio" id="rating-5" name="rating" value="5" checked disabled /><label for="rating-5">5</label>
                                <input type="radio" id="rating-4" name="rating" value="4" disabled /><label for="rating-4">4</label>
                                <input type="radio" id="rating-3" name="rating" value="3" disabled /><label for="rating-3">3</label>
                                <input type="radio" id="rating-2" name="rating" value="2" disabled /><label for="rating-2">2</label>
                                <input type="radio" id="rating-1" name="rating" value="1" disabled /><label for="rating-1">1</label>
                                <input type="radio" id="rating-0" name="rating" value="0" class="star-cb-clear"  /><label for="rating-0">0</label>
                            </span>
                            <p>5.0</p>
                        </div>
                        <div class="ap-price flexDisplay justifySpace alignCenter col-100 floatLft">
                            <span class="ap-amt">₹'. $value['varient_dprice'] . '/-</span>
                            <span class="ap-quantity">'. $value['varient_name'] .' '. $value['varient_type'] . '</span>
                        </div>
                        <div class="ap-cart-add col-100 floatLft flexDisplay justifySpace alignCenter">
                            <a href="javascript:;" class="ap-cart-click">+ Add to Basket</a>
                            <div class="ap-prod-count">
                                <div class="ap-prodcnt-inner product-count">
                                    <button class="button-count no-active" onClick="decreaseCount(event, this)">-</button>
                                    <input type="text" readonly class="number-product" value="1">
                                    <button class="button-count" onClick="increaseCount(event, this)">+</button>
                                </div>
                            </div>
                            <a href="javascript:;" class="ap-wishlist-click">
                                <svg width="19" height="16" viewBox="0 0 19 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M9.75508 14.8116L16.2186 8.30416C17.8066 6.69739 18.038 4.07031 16.5378 2.39123C16.1616 1.96809 15.7036 1.62663 15.1919 1.3877C14.6802 1.14878 14.1254 1.01741 13.5616 1.00162C12.9977 0.985825 12.4365 1.08595 11.9124 1.29587C11.3883 1.50578 10.9122 1.82109 10.5132 2.22252L9.30024 3.4517L8.2549 2.39123C6.65896 0.792485 4.0496 0.559503 2.38184 2.06987C1.96156 2.44866 1.6224 2.90974 1.38509 3.42495C1.14777 3.94015 1.01729 4.49866 1.0016 5.06636C0.985921 5.63405 1.08537 6.199 1.29387 6.72669C1.50237 7.25438 1.81555 7.73373 2.21427 8.13545L8.8454 14.8116C8.96643 14.9323 9.12989 15 9.30024 15C9.47059 15 9.63405 14.9323 9.75508 14.8116V14.8116Z" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                            </a>
                        </div>
                    </div>
                </li>';
        }
    }
    return $html;
}
function fetchHomeCategory()
{
    $CI = get_instance();
    $category = $CI->Common_model->getRecords('fx_category', array('is_active' => 1,'status'=>1));
    if (!empty($category)) {
        $html = '';
        foreach ($category as $value) {
            $html .= '<div class="ap-catagory-item">
                   <a href="'.base_url().'category/'.$value['seoUri'].'" class="catagory-click">
                    <div class="ap-catagory-wrp col-100 floatLft">
                        <div class="ap-cat-image col-100 floatLft relative">
                            <img src="' . base_url('uploads/categorys/') . $value['image'] . '" alt="">
                        </div>
                        <h2 class="ap-cat-name">'. $value['heading'] . '</h2>
                    </div>
                   </a>
                </div>';
        }
    }
    return $html;
}


function sendMail($sendMail, $mailContent, $mailSubject, $filename = '')
{
    $API_KEY = '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';
    $FROM_EMAIL = 'info@growersdirect.in';
    //$FROM_EMAIL = 'no-reply@info@growersdirect.in';
    $TO_EMAIL = $sendMail;
    $subject = $mailSubject;
    $from = new SendGrid\Email("Growers Direct Team", $FROM_EMAIL);
    $to = new SendGrid\Email(null, $TO_EMAIL);
    $htmlContent = $mailContent;
    // Create Sendgrid content
    $content = new SendGrid\Content("text/html", $htmlContent);
    // Create a mail object
    $mail = new SendGrid\Mail($from, $subject, $to, $content);
    if ($filename != '') {
        $att1 = new SendGrid\Attachment();
        $att1->setContent(base64_encode(file_get_contents($filename)));
        $att1->setType("pdf");
        $att1->setFilename("invoice.pdf");
        $att1->setDisposition("attachment");
        $mail->addAttachment($att1);
    }
    $sg = new \SendGrid($API_KEY);
    $response = $sg->client->mail()->send()->post($mail);
    if ($response->statusCode() == 202) {
        return true;
    } else {
        return false;
    }
}
function ForgotPasswordmailContent($firstname = '', $link = '')
{
    $htmlContent = '<table  border="0" cellpadding="0" cellspacing="0" width="860px" align="center" class="_mainTable" style="background-color:#fff;">
   <tr>
      <td style="height:20px;">
      </td>
   </tr>
   <tr>
      <td>
         <table border="0" cellpadding="0" cellspacing="0"  align="center" class="_mainTable" style="width:825px; background-color:#6c6b6b;">
            <tr>
               <td>
                  <table  border="0" cellpadding="0" cellspacing="0"  align="center" style="width: 750px;" >
                     <tr>
                        <td style="width:90%;">
                        </td>
                       <td style="width:20%; padding-top:20px;">
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>
            <tr>
               <td>
                  <table border="0" cellpadding="0" cellspacing="0" width="655px"  align="left" style="padding-left:104px;padding-right:104px;">
                     <tr>
                        <td>
                           <table width="100%"  border="0" cellpadding="0" cellspacing="0"  align="center" style="width:630px;">
                              <tr>
                                 <td  style="font-size:20px; line-height:10px; color: #fff;font-weight:500;font-family: Verdana, Geneva, Tahoma, sans-serif;">
                                    Hi ' . $firstname . '
                                 </td>
                              </tr>
                              <tr>
                              <td style="height:30px;"></td>
                              </tr>
                               <tr>
                                 <td  style="font-size:20px; line-height:10px; color: #fff;font-weight:500;font-family: Verdana, Geneva, Tahoma, sans-serif;width:800px;">
                                      Forgot your password ?
                                 </td>
                              </tr>
                              <tr>
                              <tr>
                              <td style="height:30px;"></td>
                              </tr>
                               <tr>
                                 <td  style="font-size:20px; line-height:10px; color: #fff;font-weight:500;font-family: Verdana, Geneva, Tahoma, sans-serif;width:800px;">
                                     We received a request to reset the password for your account
                                 </td>
                              </tr>
                              <tr>
                              <tr>
                              <td style="height:30px;"></td>
                              </tr>
                               <tr>
                                 <td  style="font-size:20px; line-height:10px; color: #fff;font-weight:500;font-family: Verdana, Geneva, Tahoma, sans-serif;width:800px;">
                                     To reset your password, ' . $link . '
                                 </td>
                              </tr>
                              <tr>
                                 <td style="height:30px;"></td>
                              </tr>

                           </table>
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>
         </table>
      </td>
   </tr>
   <tr>
      <td style="height:20px;">
      </td>
   </tr>
   </table>';
    return $htmlContent;
}
/*.................Farmer Details Page Products................*/

/*...........Date Fuction Code Start..................*/
function time_ago($timestamp) {
    $output = ""; //string value to be returned
    $now = time();
    $createtime = strtotime($timestamp); //mysql timestamp
    $difference = abs($now - $createtime);
    $years = floor($difference / (365*60*60*24));
    $months = floor(($difference-$years*365*60*60*24)/(30*60*60*24));
    $days = floor(($difference - $years*365*60*60*24-$months*30*60*60*24)/(60*60*24));
    $hours = floor($difference / 3600);
    $minutes = floor($difference / 60);
    $seconds = floor($difference);
    if ($output == "") {//to check whether it is years old
        if ($years > 1) {
            $output = $years . " years ago";
        } elseif ($years == 1) {
            $output = $years . " year ago";
        }
    }
    if ($output == "") {//to check whether it is months old
        if ($months > 1) {
            $output = $months . " months ago";
        } elseif ($months == 1) {
            $output = $months . " month ago";
        }
    }
    if ($output == "") {//to check whether it is days old
        if ($days > 1) {
            $output = $days . " days ago";
        } elseif ($days == 1) {
            $output = $days . " day ago";
        }
    }
    if ($output == "") {//to check whether it is hours old
        if ($hours > 1) {
            $output = $hours . " hours ago";
        } elseif ($hours == 1) {
            $output = $hours . " hour ago";
        }
    }
    if ($output == "") {//to check whether it is minutes old
        if ($minutes > 1) {
            $output = $minutes . " minutes ago";
        } elseif ($minutes == 1) {
            $output = $minutes . " minute ago";
        }
    }
    if ($output == "") {//to check whether it is seconds old
        if ($seconds > 1) {
            $output = $seconds . " seconds ago";
        } elseif ($seconds == 1) {
            $output = $seconds . " second ago";
        }
    }
    return $output;
  }
  /*...........Date Fuction Code End..................*/
/*............Get Wishlist Product..............*/
function getfavourite($product_id, $userID, $session_id)
{
    $CI = &get_instance();
    if (empty($userID)) {
        $IsFavorite = $CI->Common_model->getRow('fx_favourite', array('session_id' => $session_id, 'product_id' => $product_id));
    } else {
        $IsFavorite = $CI->Common_model->getRow('fx_favourite', array('product_id' => $product_id, 'user_id' => $userID));
    }
    if ($IsFavorite > 0) {
        return 1;
    } else {
        return 0;
    }
}
/*........................................................*/
function get_seoUri()
{
    $CI = &get_instance();
    $get_seoUri = $CI->Common_model->getRow('fx_committees',array('status'=>1,'commiteeID'=>1));
  return $get_seoUri;
}
/*-------------faculty Details-----------*/
function seoUri()
{
    $CI = &get_instance();
    $seoUri = $CI->Common_model->getRow('fx_director',array('status'=>1,'director_Id'=>1));
  return $seoUri;
}
if(!function_exists('fxGetMeta'))
{
    function fxGetMeta(){
        $str = "";
        $MetaTag = '';
        $ogTag = '';
        $RespectiveURL = '';
        $CI =& get_instance();

         $controllerName = $CI->uri->segment(1);
         $methodName = $CI->uri->segment(2);
         $argument= $CI->uri->segment(3);
        $CI->load->database();

        if($controllerName == 'admissions')
        {   
            $d=$CI->Common_model->getRow('fx_admission',array('status'=>'1','is_active'=>1));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }elseif($controllerName == 'careers')
        {   
            $d=$CI->Common_model->getRow('fx_careers',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        } 
        elseif($controllerName == 'events')
        {   
            $d=$CI->Common_model->getRow('fx_events',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        } 
        elseif($controllerName == 'financial')
        {   
            $d=$CI->Common_model->getRow('fx_financial',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        } 
        elseif($controllerName == 'scholarship')
        {   
            $d=$CI->Common_model->getRow('fx_scholarship',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }
        elseif($controllerName == 'contact')
        {   
            $d=$CI->Common_model->getRow('fx_contact',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }
        elseif($controllerName == 'courses')
        {   
            $d=$CI->Common_model->getRow('fx_overview',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }

        elseif($controllerName == 'committees')
        {   
            $d=$CI->Common_model->getRow('fx_committees',array('status'=>'1','is_active'=>1,'seoUri'=>$methodName));
            $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }
        elseif($controllerName == 'placement-reports')
        {   
            $d=$CI->Common_model->getRow('fx_placement_report',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }
        elseif($controllerName == 'faculty_research')
        {   
            $d=$CI->Common_model->getRow('fx_faculty',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }

        elseif($controllerName == 'faculty-details')
        {   
            $d=$CI->Common_model->getRow('fx_director',array('status'=>'1','is_active'=>1,'seoUri'=>$methodName));
            $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';

        }
        elseif($controllerName == 'alumni')
        {   
            $d=$CI->Common_model->getRow('fx_alumni',array('status'=>'1'));
                $RespectiveURL = base_url().$controllerName.'/'.$methodName.'/';
        }


        $str = '<title>'.$d['metaTitle'].'</title>';

        $str .='<meta name="TITLE" content="'.$d['metaTitle'].'">';
        $str .='<meta name="KEYWORDS" content="'.$d['metaKeyword'].'">';
        $str .='<meta name="DESCRIPTION" content="'.$d['metaContent'].'">
                <meta property="og:title" '.$d['metaTitle'].' />
                <meta property="og:description" content="'.$d['metaContent'].'" />
                <meta property="og:url" content="'.$RespectiveURL.'" />
                <meta property="og:type" content="website" />
                <meta property="og:image"  content="'.base_url('images/logo.png').'"/>';
        $canonicalTag = '<link rel="canonical" href="'.$RespectiveURL.'" />';
        $MetaTag = $str.$canonicalTag;
        return $MetaTag;

    }
}
function getProducts()
{
    $CI = get_instance();
    $products = $CI->Common_model->getRecords('fx_products', array('is_active' => 1));
    if (!empty($products)) {
        foreach ($products as $key => $value) {
            $data[] = array("label" => $value['product_title'], "value" => $value['product_title'], "autoVal" => $value['product_id']);
        }
    } else {
        $data = array();
    }
    return $data;
}
function getSingleProductVarient($productID)
{
    $CI = get_instance();
    $singleVarientList = $CI->Common_model->getRow('fx_product_varients', array('product_id'=>$productID),'',array('varient_dprice' => 'ASC'),0,1);

    return $singleVarientList;
}
function cart()
{
    //add to cart
    $CI = get_instance();
    $CI->load->model('admin/Cart_model', 'cart_model');
    $cookie_id = '';
    if (isset($_COOKIE['cart_id'])) {
        $cookie_id = $_COOKIE['cart_id'];
    } else {
        $cookie_id = '';
    }
    $userId = $CI->session->userdata('userID') ? $CI->session->userdata('userID') : 0;
    if( $userId > 0 )
    {
        $CI->db->distinct('varient_id');
        $CI->db->select('*');
        $CI->db->from('fx_cart');
        $CI->db->where('user_id', $userId); 
        $q  =  $CI->db->get()->result_array();
        // echo "<pre>";print_r($query);exit;
        if( !empty( $q )  )
        {
            foreach ($q as $keyss => $values) 
            {

                $getUniqueDatas  = $CI->Common_model->getRecords('fx_cart',array('varient_id'=>$values['varient_id'],'user_id'=>$userId ),'cart_id' );
                if( !empty( $getUniqueDatas ) )
                {
                    if( count( $getUniqueDatas ) > 1 )
                    {
                        $CI->db->delete('fx_cart', array('cart_id' => $getUniqueDatas[0]['cart_id'] ) );       
                    }
                }
            }
        }
    }
    // echo $userId;exit;
    // $sessionIPAddr = $CI->session->userdata('ipAddr');
    // if ($sessionIPAddr === $cookie_id) {
    //  //if session ip address == local ipaddress update cart by entering the user id in the cart
    //  $CI->cart_model->updateCartID($userId, $cookie_id);
    //  // $CI->cart();
    // }
    $subtotal = 0;
    $productDetail = array();
    if ($userId > 0) {
        $showCart = $CI->cart_model->showCartByID($userId);
        // echo $CI->db->last_query();exit;

        $subtotal = $CI->cart_model->getCartTotalPrice($userId);
    // echo "<pre>";print_r($subtotal);exit;
    } else {
        $showCart = $CI->cart_model->showCart($cookie_id);
        $subtotal = $CI->cart_model->getCartTotalPriceByIP($cookie_id);
        // echo "Cookie id";
        // echo $CI->db->last_query();exit;
    }
    $subTotals = 0;
    $shipping = 0.0;
    $grandTotal = 0.0;
    $total = array();
    if (!empty($subtotal)) {
        foreach ($subtotal as $value) {
            (int) $subTotals = $value['price'];
        }
        // echo $subTotals;exit; 
        if ($subTotals <= 500 && $subTotals > 0) {
            $shipping = 80;
        }
        $grandTotal = $subTotals + floatval($shipping);
        $total['total'] = $grandTotal;
        $CI->session->set_userdata($total);
    }
    if (!empty($showCart)) {
        foreach ($showCart as $values) {
            $implodedValue[] = $values['product_id'];
        }
        $implodedValue = implode(',', $implodedValue);
        //echo $implodedValue;
        if (!isset($userId)) {
            $productDetail = $CI->cart_model->getProductsForCart($implodedValue, $cookie_id, '');
        } else {
            $productDetail = $CI->cart_model->getProductsForCart($implodedValue, $cookie_id, $userId);
        }
        // echo $CI->db->last_query();exit;
    } else {
        $productDetail = NULL;
    }
    $html = '';
    if (!empty($productDetail)) {
        
        $html .= '<li>
                        <div class="widget_shopping_cart">
                          <div class="widget_shopping_cart_content">
                            <p class="woocommerce-mini-cart__total total">
                              <strong>Subtotal:</strong>
                              <span class="woocommerce-Price-amount amount">
                                <bdi>
                                  <span class="woocommerce-Price-currencySymbol">₹
                                  </span>' . number_format($grandTotal, 2) . '
                                </bdi>
                              </span>
                            </p>
                            <ul class="woocommerce-mini-cart cart_list product_list_widget ">';
        if (!empty($productDetail)) {
            // echo "<pre>";print_r($productDetail);exit;
            foreach ($productDetail as $product) {
                 $varientID=base64_encode($product['varient_id']);
                $html .= '<li class="woocommerce-mini-cart-item mini_cart_item">
                                                            <div class="np-ProductCartListing col-100 floatLft">
                                                            <img width="270" height="270" src="' . base_url() . $product['image_title'] . '" class="attachment-woocommerce_thumbnail size-woocommerce_thumbnail">
                                                            <a href="'.base_url('product/').$product["seoUri"].'/'.$varientID.'">
                                                                ' . $product['product_title'] . '</a>
                                                            </div>
                                                                    <span class="quantity">' . $product["quantity"] . ' × <span class="woocommerce-Price-amount amount"><bdi><span class="woocommerce-Price-currencySymbol">₹</span>' .  number_format($product["varient_dprice"], 2) . '</bdi></span></span>
                                    <a href="' . base_url() . 'product/deleteItem?id=' . $product['product_id'] . '&varient_id=' . $product['varient_id'] . '" class="remove remove_from_cart_button" aria-label="Remove this item" data-product_id="' . $product['varient_id'] . '" data-cart_item_key="36660e59856b4de58a219bcf4e27eba3" data-product_sku="">×</a>
                            </li>';
            }
        }
        $html .= '</ul>
                        <p class="woocommerce-mini-cart__buttons buttons"><a href="' . base_url('cart') . '" class="button wc-forward">View cart</a></p>
                      </div>
                    </div>
                </li>';
    } else {
        $html .= '<li>
                    <div class="widget_shopping_cart">
                      <div class="widget_shopping_cart_content">
                        <p class="woocommerce-mini-cart__empty-message">No products in the cart.</p>
                      </div>
                    </div>
                  </li>';
    }
    return $html;
}
function cartCount()
{   
    $CI = get_instance();
    $sessionIPAddr = '';
    if (isset($_COOKIE['cart_id'])) {
        $sessionIPAddr = $_COOKIE['cart_id'];
    } else {
        $sessionIPAddr = '';
    }
    $userId = $CI->session->userdata('userID') ? $CI->session->userdata('userID') : 0;
    if( $userId > 0 )
    {
        $CI->db->distinct('varient_id');
        $CI->db->select('*');
        $CI->db->from('fx_cart');
        $CI->db->where('user_id', $userId); 
        $q  =  $CI->db->get()->result_array();
        // echo "<pre>";print_r($query);exit;
        if( !empty( $q )  )
        {
            foreach ($q as $keyss => $values) 
            {

                $getUniqueDatas  = $CI->Common_model->getRecords('fx_cart',array('varient_id'=>$values['varient_id'],'user_id'=>$userId ),'cart_id' );
                if( !empty( $getUniqueDatas ) )
                {
                    if( count( $getUniqueDatas ) > 1 )
                    {
                        $CI->db->delete('fx_cart', array('cart_id' => $getUniqueDatas[0]['cart_id'] ) );       
                    }
                }
            }
        }
    }

    $CI->db->select("*");
    $CI->db->from('fx_cart');
    if ($CI->session->userdata('userID') > 0) {
        $CI->db->where('user_id', $CI->session->userdata('userID'));
    }
    else
    {   
        $CI->db->where('cookie_id', $_COOKIE['cart_id']);
        $CI->db->where('user_id', 0);
    }
    $cartItems = $CI->db->get()->result_array();
    // echo $CI->db->last_query();exit;

    return count($cartItems);
}
function checkCouponValidOrNot()
{
    $CI = get_instance();
    if( $CI->session->userdata('coupon_name') != '' )
    {
        $coupon = $CI->Common_model->getRow('fx_coupon', array( 'coupon_name'=> $CI->session->userdata('coupon_name') ,'is_active' => 0));
        if( !empty($coupon) )
        {
            $session_array = array(
                                'coupon_id',
                                'coupon_name',
                                'coupon_percentage',
                                'coupon_type',
                            );
            $CI->session->unset_userdata($session_array);
        }else
        {
        }
    }
}
function getDefaultCart()
{
    $CI = get_instance();
    $CI->load->model('admin/Cart_model', 'cart_model');
    $userId = NULL;
    $userId = $CI->session->userdata('userID');
    return cart();
}
function getCookie_id($cookie_id)
{

    $CI = get_instance();

    $userData = $CI->db->get_where('fx_cart', array('cookie_id' => $cookie_id))->row_array();
    // echo "<pre>";print_r($userData);exit;
    return $userData;
}