<?php

	class Cart_model extends CI_Model

	{

		function defaultCart($cookie_id)
	 	{

            $this->db->select("*");

            $this->db->from('fx_cart');

            $this->db->where('cookie_id', $cookie_id);

            $cartChecked = $this->db->get()->result_array();

            return $cartChecked;

        }



        function defaultCartProduct($userId)
        {

            $this->db->select("*");

            $this->db->from('fx_cart');

            $this->db->where('user_id', $userId);

            $cartChecked = $this->db->get()->result_array();

            return $cartChecked;

        }	

			 function checkCart($product_id, $cookie_id, $varient_id)
			 {

	            $this->db->select("*");
	            $this->db->from('fx_cart');
	            $this->db->where('product_id', $product_id);
	            $this->db->where('cookie_id', $cookie_id);
	            $this->db->where('varient_id', $varient_id);
	            $cartChecked = $this->db->get()->result_array();
	            //echo $this->db->last_query();die();
	            return $cartChecked;
	        }



	        function checkCartProduct($product_id, $userId, $varient_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('product_id', $product_id);

	            $this->db->where('user_id', $userId);

	            $this->db->where('varient_id', $varient_id);

	            $cartChecked = $this->db->get()->result_array();

	            return $cartChecked;

	        }

	        function checkCartProductApi($product_id, $userId, $varient_id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('product_id', $product_id);

	            $this->db->where('varient_id', $varient_id);

	            $this->db->where('user_id !=', 0);
	            $this->db->where('user_id', $userId);
	            $this->db->where('cookie_id', $cookie_id);


	            $cartChecked = $this->db->get()->result_array();

	            return $cartChecked;

	        }



	        function checkCartById($userid){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', $userid);

	            $cartChecked = $this->db->get()->result_array();

	            return $cartChecked;

	        }



	        function insertCart($cartData){

	            $this->db->insert('fx_cart', $cartData);

	        }



	        function updateCartID($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_cart');

	        }



	        function showCart($cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', 0);

	            $this->db->where('cookie_id', $cookie_id);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }



	        function showCartByID($userID){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', $userID);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }

	        function showCartByIDAndCookieId($userID,$cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            // $this->db->where('user_id', 0);
	            // $this->db->where('user_id', $userID);
	            // $this->db->or_where('cookie_id', $cookie_id);

	            $this->db->where('cookie_id', $cookie_id);
            	$this->db->where('user_id', $userID);
            	$this->db->where('user_id !=', 0);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }

	        function getProductsForCartApi($implodedValue,$cookie_id,$userId){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.id,P.product_title,P.other_product_title,P.other_product_description,P.product_description,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.other_varient_type,PV.varient_id,P.product_detailImage as image_title,CP.heading,CP.other_heading");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_cart as C', 'C.product_id = P.id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.c_id = CP.c_id');
             	
	            if( $userId > 0)
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            	$this->db->where('user_id !=', 0);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            }
	           
	            $this->db->order_by('C.cart_id');      

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }


	        function getProductsForCart($implodedValue,$cookie_id,$userId){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.id,P.product_title,P.other_product_title,P.other_product_description,P.product_description,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.other_varient_type,PV.varient_id,P.product_detailImage as image_title,CP.heading,CP.other_heading");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_cart as C', 'C.product_id = P.id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.c_id = CP.c_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', 0);
	            }
	           
	            $this->db->order_by('C.cart_id');      

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForCart_Web($implodedValue,$cookie_id,$userId,$razorpay_order_id){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.id,P.product_title,P.other_product_title,P.other_product_description,P.product_description,C.user_id,C.cookie_id,C.quantity,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.other_varient_type,PV.varient_id,P.product_detailImage as image_title,CP.heading,CP.other_heading");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_razorpay_orderid as C', 'C.product_id = P.product_id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.c_id = CP.c_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', 0);
	            }
	           
            	$this->db->where('C.order_id', $razorpay_order_id);

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForCartWithoutCart($product_id,$varient_id)
	        {

	            $this->db->select("P.id,P.product_title,P.other_product_title,P.product_description,P.other_product_description,PV.varient_name,PV.varient_type,PV.varient_price,PV.other_varient_type,PV.varient_dprice,PV.varient_id,PI.image_id,PI.image_title,CP.heading,CP.other_heading");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.id', $product_id);

	            $this->db->join( 'fx_product_images as PI','P.id = PI.product_id' );

	            $this->db->join( 'fx_product_varients as PV',' P.id = PV.product_id');

	            $this->db->join('fx_category as CP', 'P.c_id = CP.c_id');
	            
            	$this->db->where('PV.varient_id', $varient_id);

	            $productDetail = $this->db->get()->row();

	            return $productDetail;

	        }



	        function deleteCartItem($id, $varient_id){

	            $this->db->where('product_id', $id);

	            $this->db->where('varient_id', $varient_id);

	            $this->db->delete('fx_cart');

	        }



	        function getCartByID($id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where_in('product_id', $id);

	            $this->db->or_where('cookie_id', $cookie_id);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }



	        function getTotalItemsInCart($id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where_in('product_id', $id);

	            $this->db->or_where('cookie_id', $cookie_id);

	            $cartItems = $this->db->count_all_results();

	            return $cartItems;

	        }



	        function getCartTotalPrice($id){

	            $this->db->select_sum("price");

	            $this->db->where('user_id', $id);

	            $this->db->from('fx_cart');

	           $result = $this->db->get()->result_array();

	           return $result;

	        }

	        function getCartTotalPrice_Web($id){

	            $this->db->select_sum("price");

	            $this->db->where('order_id', $id);

	            $this->db->from('fx_razorpay_orderid');

	           $result = $this->db->get()->result_array();

	           return $result;

	        }



	       function getCartTotalPriceByIP($cookie_id){

	        $this->db->select_sum("price");

	        $this->db->where('cookie_id', $cookie_id);
	        $this->db->where('user_id', 0);

	        $this->db->from('fx_cart');

	       $result = $this->db->get()->result_array();

	  		
	       return $result;

	       }



	       public function placeOrder($order){

	           $this->db->insert('orders', $order);

	           $orderID = $this->db->insert_id();

	           return $orderID;

	       }



	       public function insertOrderDetails($orderDetails)

	       {

	       $this->db->insert('order_details', $orderDetails);

	           $orderID = $this->db->insert_id();

	           return $orderID;

	       }



	       function deleteCartByUserId($id){

	        $this->db->where('user_id', $id);

	        $this->db->delete('fx_cart');

	    }

	}



?>