<?php

	class Cart_model extends CI_Model

	{

		function defaultCart($cookie_id)
	 	{

            $this->db->select("*");

            $this->db->from('fx_cart');

            $this->db->where('cookie_id', $cookie_id);
            $this->db->where('user_id', 0);

            $cartChecked = $this->db->get()->result_array();

            return $cartChecked;

        }



        function defaultCartProduct($userId)
        {

            $this->db->select("*");

            $this->db->from('fx_cart');

            $this->db->where('user_id', $userId);

            $cartChecked = $this->db->get()->result_array();

            return $cartChecked;

        }	

			 function checkCart($product_id = 0, $cookie_id, $varient_id)
			 {

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            if( $product_id > 0 )
	            {
	            	$this->db->where('product_id', $product_id);
	            }

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('varient_id', $varient_id);

	            $cartChecked = $this->db->get()->row_array();

	            return $cartChecked;

	        }



	        function checkCartProduct($product_id = 0, $userId, $varient_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            if( $product_id > 0 )
	            {
	            	$this->db->where('product_id', $product_id);
	            }
	            

	            $this->db->where('user_id', $userId);

	            $this->db->where('varient_id', $varient_id);

	            $cartChecked = $this->db->get()->row_array();

	            return $cartChecked;

	        }

	        function checkCartProductApi($product_id, $userId, $varient_id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('product_id', $product_id);

	            $this->db->where('varient_id', $varient_id);

	            // $this->db->where('user_id !=', 0);
	            $this->db->where('user_id', $userId);
	            // $this->db->where('cookie_id', $cookie_id);


	            $cartChecked = $this->db->get()->result_array();

	            return $cartChecked;

	        }



	        function checkCartById($userid){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', $userid);

	            $cartChecked = $this->db->get()->result_array();

	            return $cartChecked;

	        }



	        function insertCart($cartData){

	            $this->db->insert('fx_cart', $cartData);

	        }



	        function updateCartID($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_cart');

	        }

	        function updateWishList($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('session_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_favourite');

	        }

	        function updateAllNotification($userID, $cookie_id){

	            updateNotification($userID, $cookie_id);
	            updateNotificationLog($userID, $cookie_id);
	            updateNotificationTokens($userID, $cookie_id);
	        }

         	function updateNotification($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_notification');

	        }

	        function updateNotificationLog($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_notification_log');

	        }

	        function updateNotificationTokens($userID, $cookie_id){

	            $this->db->set('user_id', $userID);

	            $this->db->where('cookie_id', $cookie_id);

	            $this->db->where('user_id', 0);

	            $this->db->update('fx_notification_tokens');

	        }

	        function showCart($cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', 0);

	            $this->db->where('cookie_id', $cookie_id);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }



	        function showCartByID($userID){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where('user_id', $userID);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }

	        function showCartByIDAndCookieId($userID,$cookie_id=''){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            // $this->db->where('user_id', 0);
	            // $this->db->where('user_id', $userID);
	            // $this->db->or_where('cookie_id', $cookie_id);
	            if( $userID > 0 )
	            {
            		$this->db->where('user_id', $userID);

	            }else
	            {
	            	$this->db->where('cookie_id', $cookie_id);
            		// $this->db->where('user_id !=', 0);

	            }

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }
	        
	        function getProductsForCartApi($implodedValue,$cookie_id = '',$userId=''){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }
	            
	            $this->db->select("P.product_id,P.product_title,P.is_active,P.product_description,P.product_price,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.product_id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_cart as C', 'C.product_id = P.product_id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            	// $this->db->where('user_id !=', 0);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            }
	           	// $this->db->where('P.is_active', 1);
	            $this->db->order_by('C.cart_id');      

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForWishlist($userId='',$cookie_id = ''){

	         

	            

         	$this->db->select('P.product_id,P.product_title,P.product_description,P.product_health_benefits,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PF.product_id,PF.status,PV.varient_dprice,PV.varient_price,PV.varient_id');
            $this->db->from('fx_favourite as PF');
            $this->db->join('fx_products as P', 'PF.product_id=P.product_id', 'left');
            $this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
            $this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
            $this->db->join('fx_category as C', 'P.category_id = C.category_id');
            if ( $user_id > 0 ) 
            {
                $this->db->where('PF.user_id', $user_id);
            } else {
                $this->db->where('PF.session_id', $cookie_id);
            }
           
            // $this->db->group_by('P.product_id');
	           
	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForCart($implodedValue,$cookie_id,$userId){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.product_id,P.product_title,P.seoUri,P.is_active,P.product_description,P.product_price,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.product_id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_cart as C', 'C.product_id = P.product_id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'PV.varient_type = CP.category_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', 0);
	            }
	           
	            $this->db->order_by('C.cart_id');      

	            $productDetail = $this->db->get()->result_array();
	             //echo $this->db->last_query();exit;
	            return $productDetail;

	        }

	        function getProductsForCart_Web($implodedValue,$cookie_id,$userId,$razorpay_order_id){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.product_id,P.product_title,P.seoUri,P.product_description,P.product_price,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.product_id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_razorpay_orderid as C', 'C.product_id = P.product_id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            }else
	            {
	            	$this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', 0);
	            }
	           
            	$this->db->where('C.order_id', $razorpay_order_id);

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForCart_App($implodedValue,$cookie_id,$userId,$razorpay_order_id){

	         

	            if (!empty($implodedValue)) {

	                $data = explode(',', $implodedValue);

	            }

	            $this->db->select("P.product_id,P.product_title,P.product_description,P.product_price,C.user_id,C.quantity,C.varient_price as price,C.varient_id,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.product_id', $data);

	            // $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join('fx_prebooking as C', 'C.product_id = P.product_id');

	            $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

	            $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');
             	
	            if( $userId > 0)
	            {
	            	// $this->db->where('C.cookie_id', $cookie_id);
	            	$this->db->where('C.user_id', $userId);
	            }
	            // else
	            // {
	            // 	$this->db->where('C.cookie_id', $cookie_id);
	            // 	$this->db->where('C.user_id', 0);
	            // }
	           
            	$this->db->where('C.order_id', $razorpay_order_id);

	            $productDetail = $this->db->get()->result_array();

	            return $productDetail;

	        }

	        function getProductsForCartWithoutCart($product_id,$varient_id)
	        {

	            $this->db->select("P.product_id,P.product_title,P.product_description,P.product_price,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,PI.image_id,PI.image_title,CP.categoryTitle");

	            $this->db->from('fx_products as P');

	            $this->db->where_in('P.product_id', $product_id);

	            $this->db->join( 'fx_product_images as PI','P.product_id = PI.product_id' );

	            $this->db->join( 'fx_product_varients as PV',' P.product_id = PV.product_id');

	            $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');
	            
            	$this->db->where('PV.varient_id', $varient_id);

	            $productDetail = $this->db->get()->row();

	            return $productDetail;

	        }



	        function deleteCartItem($id, $varient_id){

	            $this->db->where('product_id', $id);

	            $this->db->where('varient_id', $varient_id);

	            $this->db->delete('fx_cart');

	        }



	        function getCartByID($id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where_in('product_id', $id);

	            $this->db->or_where('cookie_id', $cookie_id);

	            $cartItems = $this->db->get()->result_array();

	            return $cartItems;

	        }



	        function getTotalItemsInCart($id, $cookie_id){

	            $this->db->select("*");

	            $this->db->from('fx_cart');

	            $this->db->where_in('product_id', $id);

	            $this->db->or_where('cookie_id', $cookie_id);

	            $cartItems = $this->db->count_all_results();

	            return $cartItems;

	        }



	        function getCartTotalPrice($id){

	            $this->db->select_sum("price");

	            $this->db->where('user_id', $id);

	            $this->db->from('fx_cart');

	           $result = $this->db->get()->result_array();

	           return $result;

	        }

	        function getCartTotalPrice_Web($id){

	            $this->db->select_sum("price");

	            $this->db->where('order_id', $id);

	            $this->db->from('fx_razorpay_orderid');

	           $result = $this->db->get()->result_array();

	           return $result;

	        }


	        function getCartTotalPrice_Web_New($id){

	            $this->db->select_sum("main_price");

	            $this->db->where('order_id', $id);

	            $this->db->from('fx_razorpay_orderid');

	           $result = $this->db->get()->result_array();

	           return $result;

	        }


	       function getCartTotalPriceByIP($cookie_id){

	        $this->db->select_sum("price");

	        $this->db->where('cookie_id', $cookie_id);
	        $this->db->where('user_id', 0);

	        $this->db->from('fx_cart');

	       $result = $this->db->get()->result_array();
	       // echo $this->db->last_query();exit;
	       return $result;

	       }



	       public function placeOrder($order){

	           $this->db->insert('orders', $order);

	           $orderID = $this->db->insert_id();

	           return $orderID;

	       }



	       public function insertOrderDetails($orderDetails)

	       {

	       $this->db->insert('order_details', $orderDetails);

	           $orderID = $this->db->insert_id();

	           return $orderID;

	       }



	       function deleteCartByUserId($id){

	        $this->db->where('user_id', $id);

	        $this->db->delete('fx_cart');

	    }

	}



?>