<?php if (!defined('BASEPATH')) {

	exit('No direct script access allowed');

}



class Common_model extends CI_Model {



	public function __construct() {



		parent::__construct();



	}



	/* ===================================================================================================================



		 *



		 * Author 			: Gaurav Jadhav (Vicky)



		 * Company 			: 4Fox Solutions Pvt Ltd.



		 *



		 * =============================================================================================================================



	*/

	public function getShippingData() 
	{
		$this->db->select('U.mobile_no,U.email,CONCAT_WS(" ",U.firstname , U.lastname) AS name,SA.user_id');
		$this->db->from('fx_shipping_address as SA');
		$this->db->join('fx_users as U', 'SA.user_id = U.id','LEFT');
		$this->db->group_by('SA.user_id');
		$this->db->order_by('SA.shipping_address_id','DESC');
		return $this->db->get()->result_array();
	}

	public function getCityByStateId($state_id){
            $query = $this->db->select('*')->from('fx_city')->where('stateID', $state_id)->where('status', 1)->get()->result();
            if($query){
                return $query;
            }else{
                return false;
            }
        } 

// 	public function getcityRecords(){
// 		$query = $this->db->select('fx_cities.*,fx_states.id, fx_states.name')
//                 ->from('fx_cities')
//                 ->join('fx_states','fx_states.id = fx_cities.state_id')
//                 ->order_by('fx_cities.id','DESC')
//                 ->get();
// 		$data['count'] = $query->num_rows();
// 		if($data['count'] > 0){
// 			$data['result'] = $query->result();
// 		}
// 		return $data;
// 	}


public function ShippingAddress(){
        
        $this->db->select('*');
//         $this->db->where('is_active',0);
// 		$this->db->order_by('regCodeID','ASC');
// 		$this->db->limit(1);
		return $this->db->get('fx_shipping_address')->result_array();
    }

	public function getcityRecords($id){
	    
		$this->db->select('*');
		$this->db->from('fx_cities');
		$this->db->where('state_id',$id);
		return $this->db->get()->result_array();	
    }
	
	 public function getAllStates($id){
		$this->db->select('*');
		$this->db->from('fx_states');
		//$this->db->where('status',1);
		$this->db->where('country_id',$id);
		return $this->db->get()->result_array();	
    }

// 	public function getAllStates(){
// 		$query = $this->db->select('*')
//                 ->from('fx_states')
//                 ->order_by('id','DESC')
//                 ->get();
        
// 		$data['count'] = $query->num_rows();
// 		if($data['count'] > 0){
// 			$data['result'] = $query->result();
// 		}
// 		return $data;
// 	}

	// public function autosuggest_products($productName = '') {

	// 	$this->db->select('PT.tagName,C.categoryTitle,P.product_title');

	// 	// $this->db->from('fx_product_tag as PT');
	// 	$this->db->from('fx_products as P');
	// 	$this->db->join('fx_product_tag as PT', 'P.product_id = PT.productID');
	// 	$this->db->join('fx_category as C', 'P.category_id = C.category_id');


	// 	if($productName !='')
	// 	{
	// 		$this->db->like('P.product_title', $productName);
	// 		$this->db->or_like('C.categoryTitle', $productName);
	// 		$this->db->or_like('PT.tagName', $productName);
	// 	}
	// 	$this->db->where('P.is_active',1);
	// 	$this->db->group_by('P.product_id');
	// 	return $this->db->get()->result_array();

	// }

	public function getAbandoneCart()
    {
        $this->db->select("P.product_id,P.is_active,P.product_title,P.product_description,P.product_price,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,CONCAT(PV.varient_name,PV.varient_type) AS varient_data,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

        $this->db->from('fx_cart as C');

        $this->db->join('fx_products as P', 'C.product_id = P.product_id');

        // $this->db->join( 'fx_product_images as PI','C.product_id = PI.product_id' );

        $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

        $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');

        $this->db->group_by('C.user_id');
        $this->db->group_by('C.cookie_id');

        $this->db->order_by('C.cart_id','DESC');      

        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }

 	public function getOrderReport($startDate = '',$endDate = '') 
	{

		$this->db->select('OD.order_details_id,OD.order_id,OD.product_id,OD.product_title,OD.product_description,OD.cart_id,OD.user_id,OD.quantity,OD.varient_id,CONCAT( OD.varient_name,OD.varient_type ) AS varient_data,OD.varient_price,OD.varient_dprice,OD.image_title,OD.refund_note,OD.refund_type,OD.refund_status,CONCAT_WS(" ",U.firstname , U.lastname) AS name, U.mobile_no,U.email,O.txn_order_id,O.delivery_city,O.order_date');

		$this->db->from('fx_order_details as OD');

		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');		
		$this->db->join('orders as O', 'OD.order_id = O.order_id');		

		$this->db->join('fx_users as U', 'OD.user_id = U.id','LEFT');
		$this->db->where('O.shipping_status',2);
		if( $startDate )
		{
			$this->db->where('date(O.order_date) >=',$startDate);
			$this->db->where('date(O.order_date) <=',$endDate);
		}
		
		// $this->db->join('fx_shipping_address as SA', 'OD.user_id = SA.user_id','LEFT');
		return $this->db->get()->result_array();

	}

	public function getReturnOrderReport( $startDate = '',$endDate = '' ) 
	{

		$this->db->select('OD.order_details_id,OD.order_id,OD.product_id,OD.product_title,OD.product_description,OD.cart_id,OD.user_id,OD.quantity,OD.varient_id,CONCAT( OD.varient_name,OD.varient_type ) AS varient_data,OD.varient_price,OD.varient_dprice,OD.image_title,OD.refund_note,OD.refund_type,OD.refund_status,CONCAT_WS(" ",U.firstname , U.lastname) AS name, U.mobile_no,U.email,O.txn_order_id,O.delivery_city,O.order_date');

		$this->db->from('fx_order_details as OD');

		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');		
		$this->db->join('orders as O', 'OD.order_id = O.order_id');		

		$this->db->join('fx_users as U', 'OD.user_id = U.id','LEFT');
		$this->db->where('OD.refund_status',5);

		if( $startDate )
		{
			$this->db->where('date(O.order_date) >=',$startDate);
			$this->db->where('date(O.order_date) <=',$endDate);
		}
		// $this->db->join('fx_shipping_address as SA', 'OD.user_id = SA.user_id','LEFT');
		return $this->db->get()->result_array();

	}

	public function getSalesReport($startDate = '',$endDate = '', $product_id = 0) 
	{

		$this->db->select('OD.order_details_id,OD.order_id,OD.product_id,OD.product_title,OD.product_description,OD.cart_id,OD.user_id,OD.quantity,OD.varient_id,CONCAT( OD.varient_name,OD.varient_type ) AS varient_data,OD.varient_price,OD.varient_dprice,OD.image_title,OD.refund_note,OD.refund_type,OD.refund_status,CONCAT_WS(" ",U.firstname , U.lastname) AS name, U.mobile_no,U.email,O.txn_order_id,O.delivery_city,O.order_date,O.order_total,coupon_name,O.coupon_percentage,O.coupon_type,O.wallet,O.isCouponUsed,( OD.quantity * OD.varient_dprice ) AS total,O.order_id AS o_id');

		$this->db->from('fx_order_details as OD');

		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');		
		$this->db->join('orders as O', 'OD.order_id = O.order_id');		

		$this->db->join('fx_users as U', 'OD.user_id = U.id','LEFT');
		if( $product_id > 0 )
		{
			$this->db->where('OD.product_id',$product_id);
		}
		if( $startDate )
		{
			$this->db->where('date(O.order_date) >=',$startDate);
			$this->db->where('date(O.order_date) <=',$endDate);
		}
		// $this->db->where('OD.refund_status',5);
		// $this->db->join('fx_shipping_address as SA', 'OD.user_id = SA.user_id','LEFT');
		return $this->db->get()->result_array();

	}

	public function getCouponUsageReport($startDate = '',$endDate = '') 
	{

		// $this->db->select('OD.order_id,OD.product_title,O.order_total,CONCAT_WS(" ",U.firstname , U.lastname) AS name,O.txn_order_id,O.coupon_name,O.order_date,SUM( OD.quantity * OD.varient_dprice ) AS total ');

		$this->db->select('OD.order_id,SUM( OD.quantity * OD.varient_dprice ) AS total,O.order_total,CONCAT_WS(" ",U.firstname , U.lastname) AS name,O.txn_order_id,O.coupon_name,O.coupon_type,O.coupon_percentage,O.order_date,O.wallet');

		$this->db->from('orders as O');

		$this->db->join('fx_order_details as OD', 'O.order_id = OD.order_id','LEFT');		

		$this->db->join('fx_users as U', 'O.user_id = U.id','LEFT');
		$this->db->group_by('OD.order_id');
		$this->db->order_by('O.order_id','DESC');
		$this->db->where('O.isCouponUsed',1);
		if( $startDate )
		{
			$this->db->where('date(O.order_date) >=',$startDate);
			$this->db->where('date(O.order_date) <=',$endDate);
		}
		// $this->db->join('fx_shipping_address as SA', 'OD.user_id = SA.user_id','LEFT');
		return $this->db->get()->result_array();

	}

	public function getUserReport( $startDate = '',$endDate = '' ) 
	{

		$this->db->select('U.mobile_no,U.email,COUNT(O.order_id) AS total_order,CONCAT_WS(" ",U.firstname , U.lastname) AS name,O.txn_order_id,O.user_id,O.order_id,O.order_date,SA.street_address,SA.city');

		$this->db->from('orders as O');

		// $this->db->join('fx_order_details as OD', 'O.order_id = OD.order_id','LEFT');		

		$this->db->join('fx_users as U', 'O.user_id = U.id','LEFT');
		$this->db->join('fx_shipping_address as SA', 'O.user_id = SA.user_id','LEFT');
		$this->db->group_by('O.user_id');
		// $this->db->group_by('O.order_id');
		$this->db->order_by('O.order_id','DESC');
		$this->db->where('SA.default_checked',1);
		if( $startDate )
		{
			$this->db->where('date(O.order_date) >=',$startDate);
			$this->db->where('date(O.order_date) <=',$endDate);
		}
		return $this->db->get()->result_array();

	}

	public function getOrderDetailsReport($user_id = 0) 
	{

		$this->db->select('SUM( quantity * varient_dprice ) AS total');

		$this->db->from('fx_order_details');

		// $this->db->group_by('O.user_id');
		$this->db->where('user_id',$user_id);
		return $this->db->get()->row();

	}

    public function getAbandoneCartReport( $startDate = '',$endDate = '' )
    {
        $this->db->select("P.product_id,P.is_active,P.product_title,P.product_description,P.product_price,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,C.created_at,CONCAT(PV.varient_name,PV.varient_type) AS varient_data,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle,CONCAT_WS(' ',U.firstname , U.lastname) AS name, U.mobile_no,SA.street_address,SA.city");

        $this->db->from('fx_cart as C');

        $this->db->join('fx_products as P', 'C.product_id = P.product_id');

        $this->db->join('fx_users as U', 'C.user_id = U.id','LEFT');

        $this->db->join('fx_shipping_address as SA', 'C.user_id = SA.user_id','LEFT');
        // $this->db->join( 'fx_product_images as PI','C.product_id = PI.product_id' );

        $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

        $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');

        // $this->db->group_by('C.user_id');
        // $this->db->group_by('C.cookie_id');

        $this->db->order_by('C.cart_id','DESC'); 

  //       if( $startDate )
		// {
		// 	$this->db->where('date(C.created_at) >=',$startDate);
		// 	$this->db->where('date(C.created_at) <=',$endDate);
		// }     

        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }

    public function getProductStock()
    {
        $this->db->select("P.product_id,P.is_active,P.product_title,P.product_description,P.product_price,CONCAT(PV.varient_name,PV.varient_type) AS varient_data,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

        $this->db->from('fx_products as P');

        $this->db->join( 'fx_product_varients as PV',' P.product_id = PV.product_id');

        $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');

        $this->db->where('PV.varient_stock <',10);
        $this->db->order_by('PV.varient_stock');
        $this->db->limit(5);     

        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }

    public function getCoupon()
    {
        $this->db->select("*");

        $this->db->from('fx_coupon');

        $this->db->order_by('coupon_id',"DESC");
        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }

    public function getCartDetails($cookie_id = '',$user_id = 0)
    {
        $this->db->select("P.product_id,P.is_active,P.product_title,P.product_description,P.product_price,C.cart_id,C.user_id,C.cookie_id,C.quantity,C.price,C.varient_id,CONCAT(PV.varient_name,PV.varient_type) AS varient_data,PV.varient_stock,PV.varient_price,PV.varient_dprice,PV.varient_id,P.default_image as image_title,CP.categoryTitle");

        $this->db->from('fx_cart as C');

        $this->db->join('fx_products as P', 'C.product_id = P.product_id');

        $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

        $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');

        if( $user_id >  0)
        {
        	$this->db->where('C.user_id',$user_id);
        }else
        {
        	$this->db->where('C.user_id',0);
        	$this->db->where('C.cookie_id',$cookie_id);
        }

        
        // $this->db->group_by('C.user_id');
        $this->db->order_by('C.cart_id','DESC');      

        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }

    public function getCartPrice($cookie_id = '',$user_id = 0)
    {
        $this->db->select("SUM( PV.varient_dprice ) AS price ");

        $this->db->from('fx_cart as C');

        $this->db->join('fx_products as P', 'C.product_id = P.product_id');

        $this->db->join( 'fx_product_varients as PV',' C.varient_id = PV.varient_id');

        $this->db->join('fx_category as CP', 'P.category_id = CP.category_id');

        if( $user_id >  0)
        {
        	$this->db->where('C.user_id',$user_id);
        }else
        {
        	$this->db->where('C.user_id',0);
        	$this->db->where('C.cookie_id',$cookie_id);
        }

        

        $this->db->order_by('C.cart_id','DESC');      

        $productDetail = $this->db->get()->result_array();
        // echo $this->db->last_query();exit;
        return $productDetail;

    }
	public function getNotifications($cookie_id = '') {

		$this->db->select('N.title,N.content,N.created_at');
		$this->db->from('fx_notification_tokens as NT');
		$this->db->join('fx_notification as N', 'NT.cookie_id = N.cookie_id');
		$this->db->where('N.cookie_id',$cookie_id);
		return $this->db->get()->result_array();
	}

	public function getProductsByCategory($category_id)
	{
        $query = $this->db->select('*')->from('fx_products')->where('category_id', $category_id)->where('is_active', 1)->get()->result();
        if($query){
            return $query;
        }else{
            return false;
        }
    } 

	public function getCatByCategoryid() {

		$this->db->select('T.*,C.categoryTitle');
		$this->db->from('fx_top_deals as T');
		$this->db->join('fx_category as C', 'T.category_id = C.category_id');
		$this->db->where('C.parent_id',4);
		$this->db->where('T.status',1);
		$this->db->where('T.sectionID',3);
		return $this->db->get()->result_array();
	}
	public function getSumOrder($category_id = 0) {

		// $this->db->select('OD.product_id,C.category_id,C.parent_id,SUM(OD.varient_dprice)');
		$this->db->select('SUM(OD.varient_dprice) AS Total,count(order_details_id) AS Occur');
		// $this->db->select('SUM(OD.varient_dprice) AS Total');
		$this->db->from('fx_order_details as OD');
		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		// $this->db->join('orders as O', 'OD.order_id = O.order_id');
		$this->db->where('C.parent_id',4);
		$this->db->where('C.is_active',1);
		$this->db->where('P.category_id',$category_id);
		return $this->db->get()->row();
	}

	public function getBestProducts($category_id = 0) {

		// $this->db->select('OD.product_id,C.category_id,C.parent_id,SUM(OD.varient_dprice)');
		$this->db->select('OD.product_id,OD.product_title,SUM(OD.varient_dprice) AS Total');
		// $this->db->select('SUM(OD.varient_dprice) AS Total');
		$this->db->from('fx_order_details as OD');
		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		// $this->db->join('orders as O', 'OD.order_id = O.order_id');
		$this->db->where('C.parent_id',4);
		$this->db->where('C.is_active',1);
		$this->db->where('P.category_id',$category_id);
		$this->db->group_by('OD.product_id');
		$this->db->limit(1);
		return $this->db->get()->row();

	}

	public function getSumOrder_Web($category_id = 0,$startDate = '',$endDate = '') {

		// $this->db->select('OD.product_id,C.category_id,C.parent_id,SUM(OD.varient_dprice)');
		$this->db->select('SUM(OD.varient_dprice) AS Total,O.order_date');
		// $this->db->select('SUM(OD.varient_dprice) AS Total');
		$this->db->from('fx_order_details as OD');
		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->join('orders as O', 'OD.order_id = O.order_id');
		$this->db->where('date(O.order_date) >=',$startDate);
		$this->db->where('date(O.order_date) <=',$endDate);
		$this->db->where('C.parent_id',4);
		$this->db->where('C.is_active',1);
		$this->db->where('P.category_id',$category_id);
		return $this->db->get()->row();
	}

	public function getDepthArray($result, $fldParent="", $fldId="", $parent=0, $level=0, $finalArr=array(),$rt=true)

		{

			if(sizeof($result)>0 && $fldParent && $fldId){

				foreach($result as $rs){

					if($rs[$fldParent]== $parent){

						$rs['depth']=$level++;

						$finalArr[]=$rs;

						$rt=false;

						$finalArr = $this->getDepthArray($result,$fldParent,$fldId,$rs[$fldId],$level,$finalArr,$rt);

						$level--;

					}

				}

			}

			return $rt ? $result : $finalArr;

		}



		public function getTreeDD($arrD=array(), $val="category_id", $text="categoryTitle", $nmParent="parent_id",$selected="")

		{



			$options = "";

			$arr = $this->getDepthArray($arrD, $nmParent, $val);

			// echo "<pre>";print_r($arr);exit;

			if(!empty($arr) && sizeof($arr)>=1 && is_array($arr)) {

				foreach($arr as $k=>$v) {

					if($v) {

						$sel = "";

						// echo $v[$val];	

						if($v[$val] == "$selected") $sel=' selected="selected"';

						if($v["depth"])

							$v[$text] = str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$v["depth"])."&rArr; ".$v[$text];

						$options.= "\n<option value=\"".$v[$val]."\"".$sel.">".$v[$text]."</option>";

					}

				}

			}

			return $options;

		}
	public function autosuggest_products($productName = '') 
	{

		$this->db->select('P.product_title as tagName');

		// $this->db->from('fx_product_tag as PT');
		$this->db->from('fx_products as P');
		$this->db->where('P.is_active',1);
		if($productName !='')
		{
			$this->db->like('P.product_title', $productName);
		}
		return $this->db->get()->result_array();

	}

	public function autosuggest_tag($productName = '') 
	{

		$this->db->select('distinct( PT.tagName ) as tagName');

		$this->db->from('fx_product_tag as PT');

		if($productName !='')
		{
			$this->db->like('PT.tagName', $productName);
		}
		return $this->db->get()->result_array();

	}

	public function autosuggest_category($productName = '') 
	{

		$this->db->select('C.categoryTitle as tagName');

		$this->db->from('fx_category as C');

		if($productName !='')
		{
			$this->db->like('C.categoryTitle', $productName);
		}
		return $this->db->get()->result_array();

	}
	
	public function getRow($tbl_name, $condition = FALSE, $select = FALSE, $order_by = FALSE, $start = FALSE, $limit = FALSE) {

		$this->db->cache_delete_all();

		if ($select != "") {$this->db->select($select, FALSE);}

		if (count((array) $condition) > 0 && $condition != "") {$condition = $condition;} else { $condition = array();}

		if (count((array) $order_by) > 0 && $order_by != "") {

			foreach ($order_by as $key => $val) {$this->db->order_by($key, $val);}

		}

		if ($limit != "" || $start != "") {$this->db->limit($limit, $start);}

		$rst = $this->db->get_where($tbl_name, $condition);

		$result_array = array();

		if ($rst) {

			$result_array = $rst->row_array();

		}
// 	echo $this->db->last_query();

		return $result_array;

	}

	public function getRows($tbl_name, $condition = FALSE, $select = FALSE, $order_by = FALSE, $start = FALSE, $limit = FALSE) {

		$this->db->cache_delete_all();

		if ($select != "") {$this->db->select($select, FALSE);}

		if (count((array) $condition) > 0 && $condition != "") {$condition = $condition;} else { $condition = array();}

		if (count((array) $order_by) > 0 && $order_by != "") {

			foreach ($order_by as $key => $val) {$this->db->order_by($key, $val);}

		}

		if ($limit != "" || $start != "") {$this->db->limit($limit, $start);}

		$rst = $this->db->get_where($tbl_name, $condition);

		$result_array = array();

		if ($rst) {

			$result_array = $rst->result_array();

		}

		return $result_array;

	}

	public function check_old_password()
	{

		$this->db->select('id,password');

		$this->db->from('fx_users');

		$this->db->where('id',$this->session->userdata('id'));

		$this->db->where('password',md5($_POST['old_pass']));

		$check_pass = $this->db->get();

		if($check_pass->num_rows() > 0)

		{

			return true;

		}

		else

		{

			return false;

		} 

		

	}

	public function db_add($tablename,$fieldarray)
	{

	   return $this->db->insert($tablename, $fieldarray);

	}	

	public function db_update($tablename, $fieldarray, $columnname, $value) {



		$this->db->where($columnname, $value);



		return $this->db->update($tablename, $fieldarray);



	}



	function check_login($table, $username, $password) {



		$this->db->select('*');



		$this->db->from($table);



		$this->db->where('userEmail', $username);



		$this->db->where('userPass', md5($password));



		$query_result = $this->db->get();



		$result = $query_result->row();



		return $result;



	}



	public function pagination_configuration($base_url, $total_rows, $per_page = '5', $uri_segment, $num_links) {



		$config = array();



		$config["base_url"] = $base_url;



		$config["total_rows"] = $total_rows;



		$config["per_page"] = $per_page;



		$config["uri_segment"] = $uri_segment;



		$config['num_links'] = $num_links;



		$config['use_page_numbers'] = TRUE;



		$config['full_tag_open'] = '<ul class="pagination justify-content-center">';



		$config['full_tag_close'] = '</ul>';



		//First Link



		$config['first_link'] = 'First';



		$config['first_tag_open'] = '<li class="page-item">';



		$config['first_tag_close'] = '</li>';



		//Last Link



		$config['last_link'] = 'Last';



		$config['last_tag_open'] = '<li class="page-item">';



		$config['last_tag_close'] = '</li>';



		//Next Link



		$config['next_link'] = 'Next';



		$config['next_tag_open'] = '<li class="page-item">';



		$config['next_tag_close'] = '</li>';



		//Previous Link



		$config['prev_link'] = 'Previous';



		$config['prev_tag_open'] = '<li class="page-item">';



		$config['prev_tag_close'] = '</li>';



		//Current link



		/*$config['cur_tag_open'] = '<li class="page-item active">';



		$config['cur_tag_close'] = '</li>';*/



		//Current link



		$config['cur_tag_open'] = '<li class="page-item active"><a href="javascript:void(0)" class="page-link">';



		$config['cur_tag_close'] = '</a></li>';



		//Digits Link



		$config['num_tag_open'] = '<li class="page-item">';



		$config['num_tag_close'] = '</li>';



		return $config;



	}



	public function insertRecord($tbl_name, $data_array, $insert_id = FALSE) {



		$this->db->cache_delete_all();



		foreach (array_keys($data_array) as $a) {



			if (!$this->db->field_exists($a, $tbl_name)) {



				unset($data_array[$a]);



			}



		}



		if ($this->db->insert($tbl_name, $data_array)) {



			return $this->db->insert_id();



			/*if($insert_id==true)



				{return $this->db->insert_id();}



				else



			*/



		} else {return false;}



	}


	public function mobile_duplication_check($mobile_no) {



		$this->db->where('userMobile', $mobile_no);



		$result = $this->db->get('fx_users');



		if ($result->num_rows() > 0) {



			return 0;



		} else {



			return 1;



		}



	}



	public function email_duplication_check($email) {



		$this->db->where('userEmail', $email);



		$result = $this->db->get('fx_users');



		if ($result->num_rows() > 0) {



			return 0;



		} else {



			return 1;



		}



	}

	public function updateRecord($tbl_name, $data_array, $where_arr) {

		$this->db->cache_delete_all();



		foreach (array_keys($data_array) as $a) {

			if (!$this->db->field_exists($a, $tbl_name)) {



				unset($data_array[$a]);



			}



		}



		$this->db->where($where_arr, NULL, FALSE);



		if ($this->db->update($tbl_name, $data_array)) {return true;} else {return false;}



	}



	public function getRecords($tbl_name, $condition = FALSE, $select = FALSE, $order_by = FALSE, $start = FALSE, $limit = FALSE) {



		$this->db->cache_delete_all();



		if ($select != "") {$this->db->select($select, FALSE);}





		if ( $condition != "") {$condition = $condition;} else { $condition = array();}


		if ($order_by) {



			if (count($order_by) > 0 && $order_by != "") {



				foreach ($order_by as $key => $val) {$this->db->order_by($key, $val);}



			}



		}



		if ($limit != "" || $start != "") {$this->db->limit($limit, $start);}



		$rst = $this->db->get_where($tbl_name, $condition);



		return $rst->result_array();



	}

	public function get_all_contact()
	{

		$this->db->select('*');

		$this->db->order_by('contact_id','desc');

		return $this->db->get('fx_contact_us')->result_array();

	}
	public function getAllCategory()
	{
		       $this->db->select('*');
                $this->db->from('fx_category');
                $this->db->where('parent_id',1);
                $this->db->where('is_active',1);
                $this->db->order_by('category_id','ASC');
                return $this->db->get()->result_array();
        //return = $query->result_array();
	
		// return $data;
	}

 	public function getSubcategoryById($parent_id)
 	{
        $query = $this->db->select('*')->from('fx_category')->where('parent_id', $parent_id)->where('is_active', 1)->get()->result();
        if($query){
            return $query;
        }else{
            return false;
        }
    } 


     /************* Code By Gaurav 2022-04-09 ************/
    public function getTotalOrderLineChart($current,$lastweek,$type)
    {
    	$data = array();
        $currentDate = $current;
        $lastWeekDate = $lastweek;
        $type = str_replace(' ', '', $type);
        $months = array("1"=>'January', "2"=>'February', "3"=>'March', "4"=>'April', "5"=>'May', "6"=>'June', "7"=>'July', "8"=>'August', "9"=>'September', "10"=>'October', "11"=>'November', "12"=>'December');
        // echo $currentDate."==".$lastWeekDate;exit;

        $dates = $this->dateRange($currentDate, $lastWeekDate);

        /*$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));*/

        $datetime1 = new DateTime($currentDate);

		$datetime2 = new DateTime($lastWeekDate);

		$difference = $datetime1->diff($datetime2);
        
        if(strtolower($type)=='week' || strtolower($type)=='last7days')
        {
        	$data['Graphlabel'] = date('m/d/Y',strtotime($lastWeekDate)).' - '.date('m/d/Y',strtotime($currentDate));
        	/*$start = strtotime($currentDate);
			$end = strtotime($lastWeekDate);
			$days_between = round ( ( $start - $end) / 86400 );*/
			foreach ($dates as $key => $value) {
				$this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['TransctionAmt'] > 0)
                {
                    $data['values'][] = $result['TransctionAmt'];
                    $data['labels'][] = $value;
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = $value;
                    
                }
			}


        }else if(strtolower($type)=='last30days'){
        	
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	
        	foreach ($dates as $key => $value) {
				$this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['TransctionAmt'] > 0)
                {
                    $data['values'][] = $result['TransctionAmt'];
                    $data['labels'][] = date('d',strtotime($value));
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = date('d',strtotime($value));
                    
                }
			}
        }else if(strtolower($type)=='thismonth'){
        	$thismonth = date('m',strtotime($_POST['startDate']));
        	$thismonthYear = date('Y',strtotime($_POST['startDate']));
        	$thismonthDays = cal_days_in_month(CAL_GREGORIAN, $thismonth, $thismonthYear);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=$thismonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $thismonthDate = $thismonthYear.'-'.$thismonth.'-'.$i1;
	            $this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$thismonthDate);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();


	            
	            
	            if($result['TransctionAmt'] > 0)
	            {
	                $data['values'][] = $result['TransctionAmt'];
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	            }
	        }
        }else if(strtolower($type)=='lastmonth'){
        	$lastmonth = date('m',strtotime($_POST['startDate']));
	        $lastmonthYear = date('Y',strtotime($_POST['startDate']));
	        $lastmonthDays = cal_days_in_month(CAL_GREGORIAN, $lastmonth, $lastmonthYear);
	        $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        for($i=1;$i<=$lastmonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $lastmonthDate = $lastmonthYear.'-'.$lastmonth.'-'.$i1;
	            $this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$lastmonthDate);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
	            //echo '<pre>';print_r($result);
	            
	            if($result['TransctionAmt'] > 0)
	            {
	                $data['values'][] = $result['TransctionAmt'];
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	            }
	        }
        }else if(strtolower($type)=='thisyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=0;$i<12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',date('Y'));
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['TransctionAmt'] > 0)
	            {
	                $data['values'][] = $result['TransctionAmt'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else if(strtolower($type)=='lastyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	$lastyear = date('Y',strtotime('-1 year'));
	        for($i=0;$i<12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',$lastyear);
                $this->db->where('shipping_status !=',3);
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['TransctionAmt'] > 0)
	            {
	                $data['values'][] = $result['TransctionAmt'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else{
        	//$dates = $this->dateRange($_POST['startDate'], $_POST['endDate']);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        foreach ($dates as $key => $value) {
	            $this->db->select('SUM(order_total) AS TransctionAmt');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status !=',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
	            //echo '<pre>';print_r($result);
	            
	            if($result['TransctionAmt'] > 0)
	            {
	                $data['values'][] = $result['TransctionAmt'];
	                $data['labels'][] = date('d',strtotime($value));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($value));
	            }
	        }
        }
        
        return $data;
    }

    function dateRange($from, $to)
	{
	    return array_map(function($arg) {
	         return date('Y-m-d', $arg);
	    }, range(strtotime($from), strtotime($to), 86400));
	}

	public function getTotalCancelOrderLineChart($current,$lastweek,$type)
	{
		$data = array();
        $currentDate = $current;
        $lastWeekDate = $lastweek;
        $type = str_replace(' ', '', $type);
        $months = array("1"=>'January', "2"=>'February', "3"=>'March', "4"=>'April', "5"=>'May', "6"=>'June', "7"=>'July', "8"=>'August', "9"=>'September', "10"=>'October', "11"=>'November', "12"=>'December');
        

        $dates = $this->dateRange($currentDate, $lastWeekDate);
        if(strtolower($type)=='week' || strtolower($type)=='last7days')
        {
        	$data['Graphlabel'] = date('m/d/Y',strtotime($lastWeekDate)).' - '.date('m/d/Y',strtotime($currentDate));
        	
			foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = $value;
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = $value;
                    
                }
			}
        }else if(strtolower($type)=='last30days'){
        	
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	
        	foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = date('d',strtotime($value));
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = date('d',strtotime($value));
                    
                }
			}
        }else if(strtolower($type)=='thismonth'){
        	$thismonth = date('m',strtotime($_POST['startDate']));
        	$thismonthYear = date('Y',strtotime($_POST['startDate']));
        	$thismonthDays = cal_days_in_month(CAL_GREGORIAN, $thismonth, $thismonthYear);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=$thismonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $thismonthDate = $thismonthYear.'-'.$thismonth.'-'.$i1;
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$thismonthDate);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();


	            
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	            }
	        }
        }else if(strtolower($type)=='lastmonth'){
        	$lastmonth = date('m',strtotime($_POST['startDate']));
	        $lastmonthYear = date('Y',strtotime($_POST['startDate']));
	        $lastmonthDays = cal_days_in_month(CAL_GREGORIAN, $lastmonth, $lastmonthYear);
	        $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        for($i=1;$i<=$lastmonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $lastmonthDate = $lastmonthYear.'-'.$lastmonth.'-'.$i1;
	           	$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$lastmonthDate);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();	
               
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	            }
	        }
        }else if(strtolower($type)=='thisyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	           $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',date('Y'));
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else if(strtolower($type)=='lastyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	$lastyear = date('Y',strtotime('-1 year'));
	        for($i=0;$i<12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',$lastyear);
                $this->db->where('shipping_status =',3);
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else{
        	//$dates = $this->dateRange($_POST['startDate'], $_POST['endDate']);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        foreach ($dates as $key => $value) {
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($value));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($value));
	            }
	        }
        }
        return $data;
	}

	public function getTotalDeliverOrderLineChart($current,$lastweek,$type)
	{
		$data = array();
        $currentDate = $current;
        $lastWeekDate = $lastweek;
        $type = str_replace(' ', '', $type);
        $months = array("1"=>'January', "2"=>'February', "3"=>'March', "4"=>'April', "5"=>'May', "6"=>'June', "7"=>'July', "8"=>'August', "9"=>'September', "10"=>'October', "11"=>'November', "12"=>'December');
        

        $dates = $this->dateRange($currentDate, $lastWeekDate);
        if(strtolower($type)=='week' || strtolower($type)=='last7days')
        {
        	$data['Graphlabel'] = date('m/d/Y',strtotime($lastWeekDate)).' - '.date('m/d/Y',strtotime($currentDate));
        	
			foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status',2);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = $value;
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = $value;
                    
                }
			}
        }else if(strtolower($type)=='last30days'){
        	
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	
        	foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = date('d',strtotime($value));
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = date('d',strtotime($value));
                    
                }
			}
        }else if(strtolower($type)=='thismonth'){
        	$thismonth = date('m',strtotime($_POST['startDate']));
        	$thismonthYear = date('Y',strtotime($_POST['startDate']));
        	$thismonthDays = cal_days_in_month(CAL_GREGORIAN, $thismonth, $thismonthYear);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=$thismonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $thismonthDate = $thismonthYear.'-'.$thismonth.'-'.$i1;
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$thismonthDate);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();


	            
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	            }
	        }
        }else if(strtolower($type)=='lastmonth'){
        	$lastmonth = date('m',strtotime($_POST['startDate']));
	        $lastmonthYear = date('Y',strtotime($_POST['startDate']));
	        $lastmonthDays = cal_days_in_month(CAL_GREGORIAN, $lastmonth, $lastmonthYear);
	        $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        for($i=1;$i<=$lastmonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $lastmonthDate = $lastmonthYear.'-'.$lastmonth.'-'.$i1;
	           	$this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$lastmonthDate);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();	
               
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	            }
	        }
        }else if(strtolower($type)=='thisyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	           $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',date('Y'));
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else if(strtolower($type)=='lastyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	$lastyear = date('Y',strtotime('-1 year'));
	        for($i=0;$i<12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('YEAR(order_date)',$lastyear);
                $this->db->where('shipping_status =',3);
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else{
        	//$dates = $this->dateRange($_POST['startDate'], $_POST['endDate']);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        foreach ($dates as $key => $value) {
	            $this->db->select('COUNT(order_id) AS OrderCount');
                $this->db->from('orders');
                $this->db->where('DATE(order_date)',$value);
                $this->db->where('shipping_status =',3);
                $this->db->group_by('DATE(order_date)');	
                $result = $this->db->get()->row_array();
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($value));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($value));
	            }
	        }
        }
        return $data;
	}

	public function getTotalReturnOrderLineChart($current,$lastweek,$type)
	{
		$data = array();
        $currentDate = $current;
        $lastWeekDate = $lastweek;
        $type = str_replace(' ', '', $type);
        $months = array("1"=>'January', "2"=>'February', "3"=>'March', "4"=>'April', "5"=>'May', "6"=>'June', "7"=>'July', "8"=>'August', "9"=>'September', "10"=>'October', "11"=>'November', "12"=>'December');
        

        $dates = $this->dateRange($currentDate, $lastWeekDate);
        if(strtolower($type)=='week' || strtolower($type)=='last7days')
        {
        	$data['Graphlabel'] = date('m/d/Y',strtotime($lastWeekDate)).' - '.date('m/d/Y',strtotime($currentDate));
        	
			foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('DATE(refund_date)',$value);
                $this->db->where('refund_status',5);
                $this->db->group_by('DATE(refund_date)');	
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = $value;
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = $value;
                    
                }
			}
        }else if(strtolower($type)=='last30days'){
        	
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	
        	foreach ($dates as $key => $value) {
				$this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('DATE(refund_date)',$value);
                $this->db->where('refund_status',5);
                $this->db->group_by('DATE(refund_date)');		
                $result = $this->db->get()->row_array();
                
                if($result['OrderCount'] > 0)
                {
                    $data['values'][] = $result['OrderCount'];
                    $data['labels'][] = date('d',strtotime($value));
                    
                }else{
                    $data['values'][] = "0";
                    $data['labels'][] = date('d',strtotime($value));
                    
                }
			}
        }else if(strtolower($type)=='thismonth'){
        	$thismonth = date('m',strtotime($_POST['startDate']));
        	$thismonthYear = date('Y',strtotime($_POST['startDate']));
        	$thismonthDays = cal_days_in_month(CAL_GREGORIAN, $thismonth, $thismonthYear);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=$thismonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $thismonthDate = $thismonthYear.'-'.$thismonth.'-'.$i1;

                $this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('DATE(refund_date)',$thismonthDate);
                $this->db->where('refund_status',5);
                $this->db->group_by('DATE(refund_date)');	
                $result = $this->db->get()->row_array();
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($thismonthDate));
	            }
	        }
        }else if(strtolower($type)=='lastmonth'){
        	$lastmonth = date('m',strtotime($_POST['startDate']));
	        $lastmonthYear = date('Y',strtotime($_POST['startDate']));
	        $lastmonthDays = cal_days_in_month(CAL_GREGORIAN, $lastmonth, $lastmonthYear);
	        $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        for($i=1;$i<=$lastmonthDays;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }
	            $lastmonthDate = $lastmonthYear.'-'.$lastmonth.'-'.$i1;
	            $this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('DATE(refund_date)',$lastmonthDate);
                $this->db->where('refund_status',5);
                $this->db->group_by('DATE(refund_date)');
                $result = $this->db->get()->row_array();	
               
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($lastmonthDate));
	            }
	        }
        }else if(strtolower($type)=='thisyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	for($i=1;$i<=12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }


	            $this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('YEAR(order_date)',date('Y'));
                $this->db->where('MONTH(order_date)',$i1);
                $this->db->where('refund_status',5);
                $this->db->group_by('MONTH(refund_date)');	
                $result = $this->db->get()->row_array();
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else if(strtolower($type)=='lastyear'){
        	 $data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
        	$lastyear = date('Y',strtotime('-1 year'));
	        for($i=0;$i<12;$i++)
	        {
	            if($i >= 10)
	            {
	                $i1 = $i;
	            }else{
	                $i1 = '0'.$i;
	            }

	            $this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('YEAR(refund_date)',$lastyear);
                $this->db->where('MONTH(refund_date)',$i1);
                $this->db->where('refund_status',5);
                $this->db->group_by('YEAR(order_date)');	
                $this->db->group_by('MONTH(order_date)');	
                $result = $this->db->get()->row_array();
	            
	            
	            //echo '<pre>';print_r($result);
	           
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = $months[$i];
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = $months[$i];
	            }
	        }
        }else{
        	//$dates = $this->dateRange($_POST['startDate'], $_POST['endDate']);
        	$data['Graphlabel'] = date('m/d/Y',strtotime($currentDate)).' - '.date('m/d/Y',strtotime($lastWeekDate));
	        foreach ($dates as $key => $value) {

	        	$this->db->select('COUNT(order_details_id) AS OrderCount');
                $this->db->from('fx_order_details');
                $this->db->where('DATE(refund_date)',$value);
                $this->db->where('refund_status',5);
                $this->db->group_by('DATE(refund_date)');	
                $result = $this->db->get()->row_array();
	            //echo '<pre>';print_r($result);
	            
	            if($result['OrderCount'] > 0)
	            {
	                $data['values'][] = $result['OrderCount'];
	                $data['labels'][] = date('d',strtotime($value));
	                
	            }else{
	                $data['values'][] = "0";
	                $data['labels'][] = date('d',strtotime($value));
	            }
	        }
        }
        return $data;
	}


	public function getProductId(){

        $this->db->select('A.product_title,A.product_id');
        $this->db->from(' fx_products AS A');
        $this->db->join('fx_related_product AS B','B.product_id=A.product_id','left');
        $this->db->where('A.is_active',1); 
        // $this->db->where(array('B.product_id' => 0));
        // $this->db->where('B.product_id', 0);
        // $this->db->group_by('A.product_id');
        return $this->db->get()->result_array();
    }
    public function getRelatedProductList(){

        $this->db->select('B.product_title AS product_title,C.product_title AS relatedProduct1,D.product_title AS relatedProduct2,E.product_title AS relatedProduct3,F.product_title AS relatedProduct4, B.product_id, B.is_active, A.relatedProductId1, A.relatedProductId2, A.relatedProductId3, A.relatedProductId4, A.productID, A.is_active, A.status' );
       $this->db->from('fx_related_product AS A');
       $this->db->JOIN ('fx_products AS B', 'A.product_id=B.product_id','left');
       $this->db->JOIN ('fx_products AS C', 'A.relatedProductId1=C.product_id','left');
       $this->db->JOIN ('fx_products AS D','A.relatedProductId2=D.product_id','left');
       $this->db->JOIN ('fx_products AS E', 'A.relatedProductId3=E.product_id','left');
       $this->db->JOIN ('fx_products AS F', 'A.relatedProductId4=F.product_id','left');
       $this->db->WHERE ('A.status', 1);
        $this->db->group_by('A.productID');
        $this->db->order_by("A.productID",'desc');
        return $this->db->get()->result_array();
    }

    public function list_similar_products($product_id = 0){
    	$html_similar = '';
        $this->db->select('B.product_id,B.is_active,B.product_id,B.product_title,B.seoUri,B.product_description,B.product_health_benefits,B.product_shelf_life,B.is_active,B.default_image as image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');
        $this->db->from('fx_products AS B');
        $this->db->join('fx_product_varients as PV', 'PV.product_id = B.product_id');
        $this->db->join('fx_category as C', 'B.category_id = C.category_id');
        // $this->db->where('A.status',1);
        $this->db->where('B.product_id',$product_id);
        $this->db->group_by('B.product_id');
        $products =  $this->db->get()->result_array();

        // echo $this->db->last_query()."===========";
        // echo "<pre>";print_r($products);

        foreach ($products as $key => $value) 
        {
        	
        
        $html_similar .= '<div class="wrapper" bis_skin_checked="1">
      
      <section class="bestSeller_section col-100 floatLft">
         <div class="bestSeller_section col-100 floatRgt" bis_skin_checked="1">
            <div class="bestSeller_sectionWrp col-100 floatRgt" bis_skin_checked="1">
               <div class="np-cards bestSellerCards col-100 floatLft" bis_skin_checked="1">
                  <form method="post" name="wishlist_form" id="wishlist_form">
                  <input type="hidden" name="'.$this->security->get_csrf_token_name().'" value="'.$this->security->get_csrf_hash().'">
                  <ul class="np-cards--products flexDisplay justifyStart alignCenter flexWrap">
                                          <li>
                     <a href="'.base_url('products/product_details/').$value["seoUri"].'" class="col-100 floatLft" bis_skin_checked="1">
                        </a><div class="np-card--product" bis_skin_checked="1"><a href="'.base_url('products/product_details/').$value["seoUri"].'" class="col-100 floatLft" bis_skin_checked="1">
                           <div class="np-card--productImg  relative" bis_skin_checked="1">
                              <img src="'.base_url().$value["image_title"].'" alt="">
                           </div>
                           <div class="np-popupTest white-popup-block mfp-hide append_details flexDisplay justifyCenter" id="185" bis_skin_checked="1">
                           </div>
                           <div class="np-card--productDis" bis_skin_checked="1">
                              <div class="np-card--postedin" bis_skin_checked="1">
                                 '.$value["categoryTitle"].'                             </div>
                              <h3 class="np-card--productT">
                                 '.$value['product_title'].'                              </h3>
                              <div class="similarprodlistprice">
                              <span class="np-card--price">
                              <span class="woocommerce-Price-amount amount"><bdi><span class="woocommerce-Price-currencySymbol">₹</span>'.number_format( $value["varient_dprice"] , 2 ).'</bdi></span>
                              </span>'.avg_star($value['product_id']).'
                           </div></div></a>';

                              $session_id = isset($_COOKIE['cart_id']) ? $_COOKIE['cart_id'] : '';
                              $classValue = getfavourite($value['product_id'], $this->session->userdata('userID'), $session_id);
                              if ($classValue == 1) {
                                $class = 'likeme';
                              } else {
                                $class = '';

                              }
                              
                           $html_similar .='<div class="np-card--wish quantityWish np-listing-wishlist" bis_skin_checked="1"><a href="'.base_url('products/product_details/').$value["seoUri"].'" class="col-100 floatLft" bis_skin_checked="1">
                              </a><a id="wishlistbtn_'.$value["product_id"].'" session-id="'.$session_id.'" user-id="'.$this->session->userdata('userID').'" product-id="'.$value['product_id'].'" href="javascript:;" class="'.$class.' favouriteBtn" bis_skin_checked="1">
                                <span class="fa fa-heart-o" aria-hidden="true"></span>
                              </a>

                            </div>
                        </div>
                     
                     </li>
                                       </ul>
                  </form>
               </div>
            </div>
         </div>
      </section>
      
      
      
</div>';

return $html_similar;
		}
	


    }

    public function list_similar_products_api($product_id = 0){
    	
        $this->db->select('B.product_id,B.is_active,B.product_id,B.product_title,B.product_description,B.product_health_benefits,B.product_shelf_life,B.is_active,B.default_image as image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');
        $this->db->from('fx_products AS B');
        $this->db->join('fx_product_varients as PV', 'PV.product_id = B.product_id');
        $this->db->join('fx_category as C', 'B.category_id = C.category_id');
        // $this->db->where('A.status',1);
        $this->db->where('B.product_id',$product_id);
        $this->db->group_by('B.product_id');
        return $this->db->get()->result_array();

        // echo $this->db->last_query()."===========";
        // echo "<pre>";print_r($products);

        
	


    }
    public function  getReviewSection(){

		$this->db->select('A.product_title,A.is_active,A.product_id,B.reviewId');
		$this->db->from('fx_products AS A');
		$this->db->join('fx_review AS B','B.reviewId=A.product_id','left');
		$this->db->where('A.is_active',1);
		$this->db->group_by('A.product_id');
		return $this->db->get()->result_array();

		
    }

    public function getReviewList(){
        $this->db->select('S.product_title,S.product_id,A.reviewId,A.is_approved,A.reviewName,A.reviewEmail,A.mobileNumber,A.reviewTitle,A.reviewImage,A.reviewDescription,A.reviewRating');
        $this->db->from('fx_review AS A');
        $this->db->join('fx_products AS S','S.product_id=A.product_id','left');
        $this->db->where('A.status',1);
        $this->db->order_by("A.reviewId",'asc');
        return $this->db->get()->result_array();
        //echo $this->db->last_query();
    }
    
    public function getAdditionalList(){
        $this->db->select('P.product_title,P.product_id,A.additionalDetailId,A.is_active,A.additionalTitle,A.additionalDescription');
        $this->db->from('fx_additional_details AS A');
        $this->db->join('fx_products AS P','P.product_id=A.product_id','left');
        $this->db->where('A.status',1);
        $this->db->order_by("A.additionalDetailId",'asc');
        return $this->db->get()->result_array();
        //echo $this->db->last_query();
    }
    
    //***Code by Madhuri 29-11-2022***
    public function getAboutData(){
   $this->db->select('*');
   $this->db->from('fx_page');
   $this->db->where('status',0);
   $this->db->where('pageTitle=','aboutUs-page');
   $query = $this->db->get();
   return $query->result_array();        
}
public function getExploreBlog($blogId){
        $this->db->select('*');
        $this->db->from('fx_blog'); 
        $this->db->where('status',1);
        $this->db->order_by('rand()');
        $this->db->limit(3,0);
        $this->db->where_not_in('blogId', $blogId);
        $result= $this->db->get()->result_array();
        //echo $this->db->last_query();die();
        return $result;
    }
    

}

