<?php

class Product_model extends CI_Model {

	public function add_product($data) {

		$this->db->insert('fx_products', $data);

		return $this->db->insert_id();

	}

	public function getNotifications($user_id='',$cookie_id = '') {

		$this->db->select('N.title,N.content,N.created_at,N.is_read,N.notification_id,N.notification_type,N.category_id,N.product_id');
		$this->db->from('fx_notification_tokens as NT');
		$this->db->join('fx_notification as N', 'NT.cookie_id = N.cookie_id');
		if( $user_id )
		{
			$this->db->where('NT.user_id',$user_id);
			$this->db->where('NT.cookie_id',$cookie_id);
			// $this->db->group_by('N.user_id');
		}else
		{
			$this->db->where('NT.cookie_id',$cookie_id);
		}
		return $this->db->get()->result_array();
	}

	/************* Code BY Gaurav 2021-12-14 *************/
	public function update_product($data,$recordID)
	{
		$this->db->where('product_id',$recordID);
		return $this->db->update('fx_products', $data);

		
	}

	//---------------------------------------------------

	// get all users for server-side datatable processing (ajax based)

	public function get_all_products($category_id = 0, $filter_id = 0) {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.seoUri,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		
		$this->db->where('P.is_active',1);

// 		$this->db->order_by('P.xOrder', 'asc');

		if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);
			

		}

		if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			//$this->db->order_by('PV.varient_dprice', 'asc');
		}
		
		if($category_id == 0 && $filter_id == 0){
            $this->db->order_by('C.xOrder', 'asc');
        }else{
            $this->db->order_by('P.xOrder', 'asc');
        }

		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();

	}

	public function get_all_products_datatable($category_id = 0, $filter_id = 0) {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		
		// $this->db->where('P.is_active',1);

		if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);
			

		}

		if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			$this->db->order_by('PV.varient_dprice', 'asc');
		}

		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();

	}

	public function get_all_products_admin_datatable() {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_short_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		
		$this->db->group_by('P.product_id');
		$this->db->order_by('P.product_id');

		return $this->db->get()->result_array();

	}

	// public function get_all_products_admin_datatable_latest() {

	// 	$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_health_benefits,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,CONCAT(PV.varient_name,PV.varient_type) AS varient_full,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.xOrder');

	// 	$this->db->from('fx_product_varients as PV');

	// 	$this->db->join('fx_products as P', 'P.product_id = PV.product_id');
	// 	$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');


	// 	$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		
	// 	$this->db->group_by('PV.varient_id');
	// 	// $this->db->group_by('P.product_id');
	// 	$this->db->order_by('P.product_id');

	// 	return $this->db->get()->result_array();

	// }
      public function get_all_products_admin_datatable_latest() {

		$this->db->select('P.product_id,P.product_title,P.product_description,P.product_short_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,PV.varient_name,
			PV.varient_type,CONCAT(PV.varient_name,PV.varient_type) AS varient_full,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.xOrder');

		$this->db->from('fx_product_varients as PV');

		$this->db->join('fx_products as P', 'P.product_id = PV.product_id');
		
		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
		
		$this->db->group_by('PV.product_id');

		$this->db->order_by('P.product_id');

		return $this->db->get()->result_array();


	}


	public function get_all_products_with_image($category_id = 0, $filter_id = 0) {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,P.default_image as image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_stock,PV.varient_id,P.xOrder');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('P.is_active',1);
// 		$this->db->order_by('P.xOrder', 'asc');
		if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);

		}

		if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			//$this->db->order_by('PV.varient_dprice', 'asc');
		}
		
		if($category_id == 0 && $filter_id == 0){
            $this->db->order_by('C.xOrder', 'asc');
        }else{
            $this->db->order_by('P.xOrder', 'asc');
        }

		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();

	}

	public function get_all_products_with_image_by_userid($category_id = 0, $filter_id = 0,$user_id=0,$cookie_id="") {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,P.default_image as image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_stock,PV.varient_id,F.fav_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->join('fx_favourite as F', 'P.product_id = F.product_id');
		$this->db->where('P.is_active',1);
		if( $user_id > 0 )
		{
			$this->db->where('F.user_id',$user_id);
		}else
		{
			$this->db->where('F.session_id',$cookie_id);
			$this->db->where('F.user_id',0);


		}
		if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);

		}

		if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			$this->db->order_by('PV.varient_dprice', 'asc');
		}

		

		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();

	}

	public function get_all_products_api($category_id = 0, $filter_id = 0, $page = 0) {

		$this->db->select('P.product_id,P.category_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');

		if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);

		}

		if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			$this->db->order_by('PV.varient_dprice', 'asc');
		}
		$this->db->limit(10, $page);
		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();

	}
	public function get_best_products() {
	      $seoUri = $this->uri->segment(2);
		$this->db->select('P.product_id,P.product_title,P.product_description,P.seoUri,P.product_shelf_life,P.is_active,P.default_image as image_title,C.category_id,C.categoryTitle,PV.varient_name,PV.varient_stock,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,P.isbestseller');
		$this->db->from('fx_products as P');
		// $this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('P.isbestseller', 1);
		$this->db->where('P.is_active',1);
		$this->db->order_by('P.product_id', 'desc');
		$this->db->group_by('P.product_id');
		$this->db->limit(8, 0);

		return $this->db->get()->result_array();

	}
	
	public function get_featured_products($category_id = '') {
		$this->db->select('P.product_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.parent_id,C.category_id,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured');
		$this->db->from('fx_products as P');
		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('C.parent_id', $category_id);	
		$this->db->where('P.isfeatured', 1);
		$this->db->where('P.is_active',1);
		$this->db->order_by('rand()');
		$this->db->limit(4, 0);
		

		return $this->db->get()->result_array();

	}
	

	public function get_featured_products_new($category_id = '') {
		$this->db->select('P.product_id,P.product_title,P.product_description,P.seoUri,P.product_shelf_life,P.is_active,P.default_image as image_title,C.parent_id,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured');
		$this->db->from('fx_products as P');
		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('C.parent_id', $category_id);	
		$this->db->where('P.isfeatured', 1);
		$this->db->where('P.is_active',1);
		$this->db->order_by('rand()');
		$this->db->group_by('P.product_id');
		$this->db->limit(4, 0);
		

		return $this->db->get()->result_array();

	}

	public function get_organic_products() {
		$this->db->select('P.product_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,P.default_image as image_title,C.parent_id,C.category_id,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured');
		$this->db->from('fx_products as P');
		// $this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('C.parent_id', 1);	
		$this->db->where('P.isfeatured', 1);
		$this->db->where('P.is_active',1);
		$this->db->order_by('rand()');
		$this->db->group_by('P.product_id');
		$this->db->limit(4, 0);
		return $this->db->get()->result_array();
	}

	public function get_natural_products() {
		$this->db->select('P.product_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,P.default_image as image_title,C.parent_id,C.category_id,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured');
		$this->db->from('fx_products as P');
		// $this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');
		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');
		$this->db->join('fx_category as C', 'P.category_id = C.category_id');
		$this->db->where('C.parent_id', 4);	
		$this->db->where('P.isfeatured', 1);
		$this->db->where('P.is_active',1);
		$this->db->order_by('rand()');
		$this->db->group_by('P.product_id');
		$this->db->limit(4, 0);
		return $this->db->get()->result_array();
	}

	public function get_single_products($seoUri) {

		$this->db->select('P.addition_data_title_1,P.addition_data_title_2,P.seoUri,P.addition_data_title_3,P.addition_data_title_4,P.addition_data_description_1,P.addition_data_description_2,P.addition_data_description_3,P.addition_data_description_4,P.product_id,P.default_image,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured,P.category_id,P.link');


		$this->db->from('fx_products as P');


		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'PV.varient_type = C.category_id');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->where('P.seoUri', $seoUri);

		$this->db->order_by('PV.varient_id', 'asc');

		return $this->db->get()->row_array();

	}

	public function get_all_productDetials() {

		$this->db->select('P.product_id,P.addition_data_title_1,P.addition_data_title_2,P.seoUri,P.addition_data_title_3,P.addition_data_title_4,P.addition_data_description_1,P.addition_data_description_2,P.addition_data_description_3,P.addition_data_description_4,P.default_image,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_stock,PV.varient_dprice,PV.varient_id,P.isbestseller,P.isfeatured,P.link');

		$this->db->from('fx_products as P');


		$this->db->join('fx_product_varients as PV', 'P.product_id = PV.product_id');

		//$this->db->join('fx_category as C', 'PV.varient_type = C.category_id');

		//$this->db->where('P.seoUri', $seoUri);

		$this->db->order_by('PV.varient_id', 'asc');

		return $this->db->get()->result_array();

	}

	public function get_single_products_new($id) {

		$this->db->select('P.addition_data_title_1,P.addition_data_title_2,P.seoUri,P.addition_data_title_3,P.addition_data_title_4,P.addition_data_description_1,P.addition_data_description_2,P.product_short_description,P.addition_data_description_3,P.addition_data_description_4,P.product_id,P.default_image,P.product_title,P.product_description,P.product_shelf_life,P.is_active,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,PV.varient_stock,P.isbestseller,P.isfeatured,P.category_id,P.isSuperDeal,P.xOrder,P.link,P.metaTitle,P.metaKeyword,P.metaDescription');

		$this->db->from('fx_products as P');

		 $this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'PV.varient_type = C.category_id');

		$this->db->where('P.product_id', $id);

		$this->db->order_by('PV.varient_id', 'asc');

		return $this->db->get()->row_array();

	}
	public function get_single_products_varient($product_id){

		$this->db->select('PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,PV.varient_stock,C.category_id,C.categoryTitle');

		$this->db->from('fx_product_varients as PV');

		$this->db->join('fx_category as C', 'PV.varient_type = C.category_id');
		$this->db->where('PV.product_id', $product_id);

		$this->db->order_by('PV.varient_id', 'asc');

		return $this->db->get()->result_array();

	}


	public function get_single_products_api($product_id,$user_id = 0,$session_id = '') {

		$this->db->select('P.addition_data_title_1,P.addition_data_title_2,P.addition_data_title_3,P.addition_data_title_4,P.addition_data_description_1,P.addition_data_description_2,P.addition_data_description_3,P.addition_data_description_4,P.helth_title,P.product_id,P.product_title,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_stock,PV.varient_id,P.isbestseller,P.isfeatured,P.category_id');

		$this->db->from('fx_products as P');

		// $this->db->join('fx_favourite as PF', 'P.product_id = PF.product_id','left');
		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');

		$this->db->where('P.product_id', $product_id);
		// $this->db->where('PF.user_id', $user_id);
		// $this->db->where('PF.session_id', $session_id);

		$this->db->order_by('PV.varient_dprice', 'asc');

		return $this->db->get()->row();

	}

	public function get_related_products($product_id,$category_id) {

		$this->db->select('P.product_id,P.product_title,P.product_description,P.seoUri,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_stock,PV.varient_id,P.isbestseller,P.isfeatured,P.category_id');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');

		$this->db->where('P.product_id !=', $product_id);

		$this->db->where('P.category_id', $category_id);
		$this->db->where('P.is_active', 1);
		$this->db->group_by('P.product_id');
		$this->db->order_by('PV.varient_dprice', 'asc');
		$this->db->limit(3,0);

		return $this->db->get()->result_array();

	}

	public function get_varient_data($product_id) {

		$this->db->select('PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_id,PV.varient_stock,PV.product_id,C.category_id,C.categoryTitle');

		$this->db->from('fx_product_varients as PV');

		$this->db->join('fx_category as C', 'PV.varient_type = C.category_id');

		$this->db->where('PV.product_id', $product_id);

		return $this->db->get()->result_array();

	}

	//---------------------------------------------------

	// Get user detial by ID

	public function get_product_by_id($id) {

		$query = $this->db->get_where('fx_users', array('id' => $id));

		return $result = $query->row_array();

	}

	public function get_varient_price($id) {

		$query = $this->db->get_where('fx_product_varients', array('varient_id' => $id));

		return $result = $query->row();

	}

	//---------------------------------------------------

	// Edit user Record

	public function edit_product($data, $id) {

		$this->db->where('id', $id);

		$this->db->update('fx_users', $data);

		return true;

	}

	public function fetchReviewList($product_id=0) 
	{
		$this->db->select('U.profile_image,R.*');
		$this->db->from('fx_users as U');
		$this->db->join('fx_review as R', 'R.user_id=U.id','RIGHT');
		$this->db->where('R.product_id',$product_id);
		$this->db->where('R.is_approved',1);
		$this->db->where('R.status',1);
		$this->db->order_by('R.reviewId','DESC');
		return $this->db->get()->result_array();
	}

	//---------------------------------------------------

	// Change user status

	//-----------------------------------------------------

	function change_status() {

		$this->db->set('is_active', $this->input->post('status'));

		$this->db->where('product_id', $this->input->post('id'));

		$this->db->update('fx_products');

	}


	public function get_order_data($user_id) 
	{

		$this->db->select('O.user_id,O.txn_id,O.txn_order_id,O.order_total,O.currency,O.userName,O.userEmail,O.order_date,O.order_status,O.order_id,O.shipping_type,O.shipment_id,O.shipping_status,O.delivered_date');

		$this->db->from('orders as O');

		$this->db->where('O.user_id',$user_id);
		$this->db->order_by('O.order_id','DESC');

		return $this->db->get()->result_array();

	}

	public function get_order_details($order_id) 
	{

		$this->db->select('OD.order_details_id,OD.order_id,OD.product_id,OD.product_title,OD.product_description,OD.cart_id,OD.user_id,OD.quantity,OD.varient_id,OD.varient_name,OD.varient_type,OD.varient_price,OD.varient_dprice,OD.image_title,C.categoryTitle,OD.refund_note,OD.refund_type,OD.refund_status');

		$this->db->from('fx_order_details as OD');

		$this->db->join('fx_products as P', 'OD.product_id = P.product_id');

		$this->db->join('fx_category as C', 'P.category_id = C.category_id');

		$this->db->where('OD.order_id',$order_id);

		return $this->db->get()->result_array();

	}

	// public function get_order_data($user_id) 
	// {

	// 	$this->db->select('O.user_id,O.txn_id,O.txn_order_id,O.order_total,O.currency,O.userName,O.userEmail,O.order_date,O.order_status,OD.product_title,OD.quantity,OD.varient_name,OD.varient_type,OD.varient_dprice');

	// 	$this->db->from('orders as O');

	// 	$this->db->join('fx_order_details as OD', 'O.order_id = OD.order_id');

	// 	$this->db->where('O.user_id',$user_id);

	// 	return $this->db->get()->result_array();

	// }
	

	/************* Code BY Gaurav 2021-12-15 ***********/
	public function search_products($productName = '') {

		$this->db->select('P.product_id,P.product_title,P.seoUri,P.product_description,P.product_shelf_life,P.is_active,PI.image_id,PI.image_title,C.category_id,C.categoryTitle,PV.varient_name,PV.varient_type,PV.varient_price,PV.varient_dprice,PV.varient_stock,PV.varient_id,PT.tagName');

		$this->db->from('fx_products as P');

		$this->db->join('fx_product_images as PI', 'P.product_id = PI.product_id','left');

		$this->db->join('fx_product_varients as PV', 'PV.product_id = P.product_id','left');

		$this->db->join('fx_category as C', '(P.category_id = C.category_id AND P.is_active = 1)','left');
		$this->db->join('fx_product_tag as PT', '(P.product_id = PT.productID AND P.is_active = 1)','left');

		/*if ($category_id > 0) {

			$this->db->where('P.category_id', $category_id);

		}*/

		if($productName !='')
		{	
			$this->db->group_start();	
			$this->db->like('P.product_title', $productName);
			$this->db->like('P.product_title', $productName);
			$this->db->or_like('P.product_description', $productName);
			// $this->db->or_like('P.product_health_benefits', $productName);
			$this->db->or_like('P.product_shelf_life', $productName);
			$this->db->or_like('PT.tagName', $productName);
			$this->db->or_like('C.categoryTitle', $productName);
			$this->db->group_end();	
			/*$this->db->like('P.product_title', $productName);
			$this->db->like('P.product_title', $productName);*/
		}
		/*if ($filter_id > 0) {
			if ($filter_id == 1) {
				$this->db->order_by('PV.varient_dprice', 'asc');
			} else {
				$this->db->order_by('PV.varient_dprice', 'desc');
			}

		} else {
			$this->db->order_by('PV.varient_dprice', 'asc');
		}*/

		$this->db->where('P.is_active',1);
		$this->db->group_by('P.product_id');

		return $this->db->get()->result_array();


	}

	// public function get_additional_details($additionalDetailId=0) {

	// 	$this->db->select('A.additionalDetailId,A.product_id,A.additionalTitle,A.additionalDescription,A.is_active,A.status,P.product_id,A.link');

	// 	$this->db->from(' fx_additional_details as A');

	// 	$this->db->join('fx_products as P', 'A.product_id = P.product_id');

	// 	$this->db->where('A.product_id', $additionalDetailId);
	// 	$this->db->where('A.is_active', 1);
	// 	$this->db->where('A.status', 1);
	// 	$this->db->order_by('A.additionalDetailId', 'desc');

	// 	return $this->db->get()->result_array();

	// }

	public function get_average_review_star($product_id) {

		$this->db->select('AVG( reviewRating ) as avg_star');

		$this->db->from('fx_review');

		$this->db->where('product_id', $product_id);
		$this->db->where('is_approved', 1);

		$avg =  $this->db->get()->row();
		$html = '';
		if( $avg )
		{
		 	$five = $avg->avg_star <= 5 ? "checked" : "";
            $fourfive = $avg->avg_star <= 4.5 ? "checked" : "";
            $four = $avg->avg_star <= 4 ? "checked" : "";
            $threefive = $avg->avg_star <= 3.5 ? "checked" : "";
            $three = $avg->avg_star <= 3 ? "checked" : "";
            $twofive = $avg->avg_star <= 2.5 ? "checked" : "";
            $two = $avg->avg_star <= 2 ? "checked" : "";
            $onefive = $avg->avg_star <= 1.5 ? "checked" : "";
            $one = $avg->avg_star <= 1 ? "checked" : "";
            $zerofive = $avg->avg_star <= 0.5 ? "checked" : "";

			$html .= '<div class="farm_star"><div class="rate-ist">
                        <fieldset class="rating">

                        <input type="radio" id="star9" name="rating" value="1" '.$five.' disabled/><label class = "full" for="star9" title="Awesome - 5 stars"></label>

                        <input type="radio" id="star8half" name="rating" value="2"  '.$fourfive.' disabled/><label class="half" for="star8half" title="Pretty good - 4.5 stars"></label>

                        <input type="radio" id="star7" name="rating" value="3" '.$four.' disabled/><label class = "full" for="star7" title="Pretty good - 4 stars"></label>

                        <input type="radio" id="star6half" name="rating" value="4" '.$threefive.' disabled/><label class="half" for="star6half" title="Meh - 3.5 stars"></label>

                        <input type="radio" id="star5" name="rating" value="5" '.$three.' disabled/><label class = "full" for="star5" title="Meh - 3 stars"></label>

                        <input type="radio" id="star4half" name="rating" value="6" '.$twofive.' disabled/><label class="half" for="star4half" title="Kinda bad - 2.5 stars"></label>

                        <input type="radio" id="star3" name="rating" value="7" '.$two.' disabled/><label class = "full" for="star3" title="Kinda bad - 2 stars"></label>

                        <input type="radio" id="star2half" name="rating" value="8" '.$onefive.' disabled/><label class="half" for="star2half" title="Meh - 1.5 stars"></label>

                        <input type="radio" id="star1" name="rating" value="9" '.$one.' disabled/><label class = "full" for="star1" title="Sucks big time - 1 star"></label>

                        <input type="radio" id="star0half" name="rating" value="10" '.$zerofive.' disabled/><label class="half" for="star0half" title="Sucks big time - 0.5 stars"></label>
                             
                        </fieldset>
                    </div></div>';
		}

		return $html;
	}

	public function get_average_review_star_test($product_id = 0) {

		$this->db->select('AVG( reviewRating ) as avg_star');

		$this->db->from('fx_review');

		$this->db->where('product_id', $product_id);
		$this->db->where('is_approved', 1);

		$avg =  $this->db->get()->row();
		return $avg;
	}
	
	public function get_additional_details($additionalDetailId=0) {

		$this->db->select('A.additionalDetailId,A.product_id,A.additionalTitle,A.additionalDescription,A.is_active,A.status,P.product_id,A.link');

		$this->db->from(' fx_additional_details as A');

		$this->db->join('fx_products as P', 'A.product_id = P.product_id');

		$this->db->where('A.product_id', $additionalDetailId);
		$this->db->where('A.is_active', 1);
		$this->db->where('A.status', 1);
		$this->db->order_by('A.additionalDetailId', 'desc');

		return $this->db->get()->result_array();

	}

}

?>