<!-- DataTables -->
<link rel="stylesheet" href="<?= base_url() ?>assets/plugins/datatables_new/dataTables.bootstrap4.css">
<!-- Start Breadcrumbbar -->                    
<div class="breadcrumbbar">
    <div class="row align-items-center">
        <div class="col-md-8 col-lg-8">
            <h4 class="page-title"><?= trans('users_list') ?></h4>
            <div class="breadcrumb-list">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                    <li class="breadcrumb-item"><a href="#">Tables</a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?= trans('users_list') ?></li>
                </ol>
            </div>
        </div>
        <div class="col-md-4 col-lg-4">
            <div class="widgetbar">
                <button class="btn btn-primary-rgba"><i class="feather icon-plus mr-2"></i>Actions</button>
            </div>                        
        </div>
        
    </div>          
</div>
<!-- End Breadcrumbbar -->
<!-- Start Contentbar -->    
<div class="contentbar">                
    <!-- Start row -->
    <div class="row">
        <!-- Start col -->
        <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title"><?= trans('users_list') ?></h5>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="na_datatable" class="table table-bordered table-striped" width="100%">
                            <thead>
                            <tr>
                                <th>#<?= trans('id') ?></th>
                                <th><?= trans('username') ?></th>
                                <th><?= trans('email') ?></th>
                                <th><?= trans('mobile_no') ?></th>
                                <th><?= trans('created_date') ?></th>
                                <th><?= trans('email_verification') ?></th>
                                <th><?= trans('status') ?></th>
                                <th width="100" class="text-right"><?= trans('action') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            
                            
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- End col -->
    </div>
    <!-- End row -->
</div>


<!-- DataTables -->
<script src="<?= base_url() ?>assets/plugins/datatables_new/jquery.dataTables.js"></script>
<script src="<?= base_url() ?>assets/plugins/datatables_new/dataTables.bootstrap4.js"></script>

<script>
  //---------------------------------------------------
  var table = $('#na_datatable').DataTable( {
    "processing": true,
    "serverSide": false,
    "ajax": "<?=base_url('admin/users/datatable_json')?>",
    "order": [[7,'desc']],
    "columnDefs": [
    { "targets": 0, "name": "id", 'searchable':true, 'orderable':true,'width':'50px'},
    { "targets": 1, "name": "username", 'searchable':true, 'orderable':true,'width':'100px'},
    { "targets": 2, "name": "email", 'searchable':true, 'orderable':true,'width':'100px'},
    { "targets": 3, "name": "mobile_no", 'searchable':true, 'orderable':true,'width':'100px'},
    { "targets": 4, "name": "created_at", 'searchable':false, 'orderable':false,'width':'100px'},
    { "targets": 5, "name": "is_active", 'searchable':true, 'orderable':true,'width':'100px'},
    { "targets": 6, "name": "is_verify", 'searchable':true, 'orderable':true,'width':'100px'},
    { "targets": 7, "name": "Action", 'searchable':false, 'orderable':false,'width':'100px' }
    ]
  });
</script>

<script type="text/javascript">
  $("body").on("change",".tgl_checkbox",function(){
    $.post('<?=base_url("admin/users/change_status")?>',
    {
      '<?php echo $this->security->get_csrf_token_name(); ?>' : '<?php echo $this->security->get_csrf_hash(); ?>',
      id : $(this).data('id'),
      status : $(this).is(':checked') == true?1:0
    },
    function(data){
      new PNotify( {
                    title: 'Success notice', text: 'Status Changed Successfully', type: 'success'
                });
    });
  });
</script>


